Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)

Bug #268502 reported by _oOMOo_ on 2008-09-10
746
This bug affects 126 people
Affects Status Importance Assigned to Milestone
Genesi EfikaMX Support Project
Undecided
Unassigned
Linux
In Progress
Medium
bluez (Debian)
Fix Released
Unknown
bluez (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Eddy
Nominated for Karmic by Fernando D.
Nominated for Lucid by Fernando D.
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
bluez-utils (Debian)
New
Unknown
linux (Fedora)
Fix Released
High
linux (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Eddy
Nominated for Karmic by Fernando D.
Nominated for Lucid by Fernando D.
Intrepid
Medium
Unassigned
Jaunty
Medium
Brian Rogers

Bug Description

SRU justification:

Impact: A series of bluetooth dongles [1] do not work properly with the new
        btusb driver which replaced usb_hci. This has been fixed upstream
        (2.6.29-rc3). The required changes are all local to the btusb driver.

Fix: The following three patches are required to fix this (two as prerequisite
     and one for the actual fix). The fix deviates from upstream by the change
     of a version number and the missing resume part which does not exist for
     Intrepid nor Jaunty.

Test: Fix has been tested by bug reporters.

---

Bluetooth doesn't work for at least the following devices:
ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
ID 0a5c:200a Broadcom Corp. Bluetooth dongle

They don't work properly with the newer btusb driver, which replaced hci_usb by default in 2.6.27. This hasn't been fixed upstream as of v2.6.29-rc3.

Original message below:

Association with Bluetooth works using kernel 2.6.26, since the updates to 2.6.27 (both -1 and -2) association fails. I can scan and see bluetooth devices but not pair.

Using my phone, I start the association process, the phone asks for a passkey, and in 2.6.26 the popup window appears normally allowing me to enter the passkey. In 2.6.27 the dialog box never appears.

If I use hcitool:

:~$ sudo hcitool cc 00:1B:59:96:A6:DD
:~$ sudo hcitool auth 00:1B:59:96:A6:DD
HCI authentication request failed: Connection timed out

the dialog box appears very very briefly then vanishes.

dmesg shows a couple of problems:

[25791.306170] btusb_intr_complete: hci0 urb ffff88004dd0fb40 failed to resubmit (19)
[25791.315446] btusb_send_frame: hci0 urb ffff880048542840 submission failed

and the syslog shows that there was an attempt to associate:

Sep 23 08:16:59 charlie hcid[5903]: link_key_request (sba=00:11:67:9C:59:B5, dba=00:1B:59:96:A6:DD)
Sep 23 08:16:59 charlie hcid[5903]: pin_code_request (sba=00:11:67:9C:59:B5, dba=00:1B:59:96:A6:DD)

_oOMOo_ (hermann-blaxhall) wrote :

Output of lsusb

:~$ lsusb
Bus 002 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 148f:2573 Ralink Technology, Corp. RT2501USB Wireless Adapter
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Luca Zorzi (lucazorzi91) wrote :

I had the same problem with Intrepid Alpha 5, then I tried to send a photo from my Nokia N70 to the PC (no problem with that), then tried to associate again my Bluetooth headset and it worked!
I use a D-Link DBT-120.

_oOMOo_ (hermann-blaxhall) wrote :

No change with 2.6.27-4

description: updated
_oOMOo_ (hermann-blaxhall) wrote :

Have clean installed Intrepid Beta, and updated now to 2.6.27-6, and the problem persists.

Danny Wood (danwood76) wrote :

I can confirm this bug with the same bluetooth controller.
I'm wondering if it is a specific bug with this controller?

danny@danny-laptop:~$ lsusb
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Alexander Butenko (avb) wrote :

seems #281949 is a duplicate of this one but assigned to a wrong package.

Alexander Butenko (avb) wrote :

i have the same issue. Mine usb adapter is dlink dbt-122.

Here is a snip of dmesg:
[138209.665630] Bluetooth: Generic Bluetooth USB driver ver 0.3
[138209.666632] usbcore: registered new interface driver btusb
[138214.844410] hci_cmd_task: hci0 command tx timeout
[138219.848340] hci_cmd_task: hci0 command tx timeout
[138224.853676] hci_cmd_task: hci0 command tx timeout
[138229.856417] hci_cmd_task: hci0 command tx timeout
[138234.860719] hci_cmd_task: hci0 command tx timeout
[138239.960585] hci_cmd_task: hci0 command tx timeout
[138240.464277] bluetoothd[5133]: segfault at 3 ip b7e39938 sp bfb8fcc8 error 4 in libc-2.8.90.so[b7dc8000+158000]

# lsusb
..
Bus 004 Device 007: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
..

Carlo (gentuser) wrote :

Same Problem:
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 003: ID 0a5c:200a Broadcom Corp. Bluetooth dongle
Dmesg :
[ 55.092421] hci_cmd_task: hci0 command tx timeout
[ 60.096506] hci_cmd_task: hci0 command tx timeout
[ 65.100369] hci_cmd_task: hci0 command tx timeout
[ 70.104358] hci_cmd_task: hci0 command tx timeout
[ 75.108196] hci_cmd_task: hci0 command tx timeout
[ 80.112996] hci_cmd_task: hci0 command tx timeout

It works with regression of these package :
'bluez-utils_3.26-0ubuntu6_i386.deb'
'bluez-hcidump_1.40-0ubuntu1_i386.deb'
'bluez-cups_3.26-0ubuntu6_i386.deb'
'bluez-audio_3.26-0ubuntu6_i386.deb'
'bluetooth_3.26-0ubuntu6_all.deb'
No other solution found.

tielie (mike-tielie) wrote :

I confirm this as a bug Bus 004 Device 003: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

does not work on mine system to :-/

Intrepid with Linux 2.6.27-7

If I boot with old linux 2.6.26-* it works. So its probadly kernel problem. or maybe bluez related...

_oOMOo_ (hermann-blaxhall) wrote :

I have been able to pair (intermittently) from phone to computer using a different phone, an LG rather than a Sony Ericsson. The LG allows me to enter the passcode much more quickly than the Sony (which normally thinks for about 25 seconds before asking me to choose a passcode). Is this a timeout issue?

Having said that, even when paired I am still unable to browse files on the LG.

tielie (mike-tielie) wrote :

its not a time only a timerissue in the bluz stack its seems to be an KY-BT100 driver issue or/and the ehci/uhci_hsd as far as I could understand it when reading some mailinglists.

My other bt adapter ( 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)) works nicely.

psernetz (patrick-sernetz-com) wrote :

Same problem on my site.

 ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

It's a no name device which worked in hardy but not in intrepid.

It seems my problem is more severe...

I have 2 different bluetooth dongles (Kensington & Ambicom). They both used to work fine in Hardy, but all I'm showing is timeout errors since I upgraded to Ibex. I can't pair, I can't search devices, obex... Anything.

At first, the BT icon didn't even show, but after installing a few packages through Synaptic and rebooting, that problem went away.

Another weird thing is that the timeout errors occur within a second of attempting any kind of interaction with bluetoothd.

Let me know if you guys need any extra info, and I'll try to post it up ASAP.

Syl21 (sylvain-gargasson) wrote :

The same problem for me with the final 8.10 intrepid ibex and a D-Link DBT-122.

Blink green power and link and nothing more...

lsusb:
Bus 006 Device 003: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

lsmod | grep bt:
btusb 21912 3
bluetooth 70820 15 btusb,rfcomm,sco,bnep,l2cap
usbcore 175376 8 btusb,snd_usb_audio,uvcvideo,snd_usb_lib,usbhid,ehci_hcd,uhci_hcd

If I plus and unplus my key I have a normal dmesg like:
[ 851.624013] usb 5-1: new full speed USB device using uhci_hcd and address 3
[ 851.857750] usb 5-1: configuration #1 chosen from 1 choice
[ 923.456037] usb 5-1: USB disconnect, address 3

but the first time I plus and unplug, I have it:
[ 359.864020] usb 6-1: new full speed USB device using uhci_hcd and address 3
[ 360.060177] usb 6-1: configuration #1 chosen from 1 choice
[ 365.196166] hci_cmd_task: hci0 command tx timeout
[ 370.200185] hci_cmd_task: hci0 command tx timeout
[ 375.204223] hci_cmd_task: hci0 command tx timeout
[ 380.208153] hci_cmd_task: hci0 command tx timeout
[ 385.212186] hci_cmd_task: hci0 command tx timeout
[ 390.216194] hci_cmd_task: hci0 command tx timeout
[ 437.128037] usb 6-1: USB disconnect, address 3
[ 437.129858] btusb_intr_complete: hci0 urb ffff88006289cd80 failed to resubmit (19)
[ 437.130126] btusb_send_frame: hci0 urb ffff880062522a80 submission failed
[ 437.130161] __ratelimit: 3 callbacks suppressed
[ 437.130164] bluetoothd[5470]: segfault at 100000007 ip 00007f165b228339 sp 00007fff64096490 error 4 in libc-2.8.90.so[7f165b1ae000+169000]

Thanks in advance...

Syl21 (sylvain-gargasson) wrote :

Suite of my post, I have forget my kernel "uname -a":
Linux syl21-desktop 2.6.27-7-generic #1 SMP Thu Oct 30 04:12:22 UTC 2008 x86_64 GNU/Linux

How as in other users my D-Link DBT-122 not work in 8.10 Untrepid Ibex Release.
--------------------
"uname -a":
Linux leolik-komp 2.6.27-7-generic #1 SMP Thu Oct 30 04:12:22 UTC 2008 x86_64 GNU/Linux

hara (harak-iitm) wrote :

I see this problem when I hibernate... It also vomits other errors as i have included a bug i opened
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/293115

olnabe (waspee) wrote :

I also have this problem with kernel 2.6.27.4.

hci_cmd_task: hci0 command tx timeout
btusb_intr_complete: hci0 urb failed to resubmit (19)

Things like that.

After replacing the bluetooth subsystem with the codes from 2.6.26.7
and recompiling the kernel, the problem is solved. My bluetooth mouse
works again on "2.6.27.4".

My adapter is a KY-BT100 one.

Stiff (stiff.ru) wrote :

I have the same problem. If i request authentification from my phone, it works. But i cant pair device from computer.
hcitool scan scans devices good, but i cant connect to phone via obex or rfcomm. sdptool outputs connetion timeout.
string from lsusb:

Bus 002 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

Syl21 (sylvain-gargasson) wrote :

We are lot of people having loosing our Bluetooth connection... Thanks in Advance.

Changed in linux:
status: Triaged → Confirmed
Krugger (krugger-gmail) wrote :

Same problem with 2 bluetooth adapters, this one is from my usb dongle:

Bus 001 Device 006: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

And the error on dmesg:

[ 235.132015] hci_cmd_task: hci0 command tx timeout

I can see (and pair) the devices, but any other activity fails.

Same here, seems another kernel regression....

kylea (kylea) wrote :

I can pair nearly at will - but what happens to me is that the bluetooth connection will not "stick". I have been getting intermittent syncing and file file transferring to work for two days then it stops for a 3 or 4 and then it will work for 8 hours and then stop.

Here is a log from the last week

1/12/2008 21:45 | kyle Amadio
      Nope that does not seem to make any difference.
      Can send files between my phone and wifes.

01/12/2008 21:37 | kyle Amadio
      Monday morning 1/12/2008 - went to work, started PC - interestingly the Dell Bluetooth switch was not on.
      Noticed this well after the PC had booted. Turned on the switch and the sync process and other Bluetooth functions worked.
     Have now returned home and 5 hours after leaving work. Bluetooth has stopped working.
     Will see if the Dell bluetooth switch being off make during the boot process makes any difference.

30/11/2008 21:03 | kyle Amadio
     Ok its Sunday 30th still not syncing - have tried a variety of things, resetting phone, re-pairing, restarting PC bluetooth.
     I can send images and music files between my 6233 and my wifes successfully, both ways.

29/11/2008 08:07 | kyle Amadio
    Shutdown - went to bed - 8 hours later - it works.
    Changed nothing on the phone

28/11/2008 22:48 | kyle Amadio
    Ok - did a shutdown and reboot. Syncing / Bluetooth stopped working.

28/11/2008 22:36 | kyle Amadio
       Well- went home and syncing is all good again.

28/11/2008 12:15 | kyle Amadio
      Syncing worked fine for two days - failed this morning (Fri 28th).

n0PxN0p (n0pxn0p) wrote :

Same problem, i tried 2 different bt usb-dongles (based on different chipsets), but no luck.
Everything works for me, when i start up with 2.6.24-21 stable kernel from array.org ^_^
_________________
root@gazenwagen:~# rfcomm connect 0
Can't connect RFCOMM socket: Operation now in progress

root@gazenwagen:~# hciconfig dev
hci0: Type: USB
BD Address: 00:11:67:C6:F0:6B ACL MTU: 1021:4 SCO MTU: 48:10
UP RUNNING
RX bytes:2180 acl:0 sco:0 events:85 errors:0
TX bytes:890 acl:0 sco:0 commands:70 errors:0

root@gazenwagen:~# dmesg|tail
[ 2876.984143] hci_cmd_task: hci0 command tx timeout
[ 4710.928544] usb 1-2: USB disconnect, address 5
[ 4710.928742] btusb_intr_complete: hci0 urb e4f5d200 failed to resubmit (19)
[ 4710.928742] btusb_bulk_complete: hci0 urb e4c30780 failed to resubmit (19)
[ 4710.929414] btusb_bulk_complete: hci0 urb e4c30b80 failed to resubmit (19)
[ 4710.940056] btusb_send_frame: hci0 urb e4ee4980 submission failed
[ 4710.952039] __set_isoc_interface: hci0 setting interface failed (19)
[ 4727.752273] usb 1-2: new full speed USB device using uhci_hcd and address 6
[ 4737.927583] usb 1-2: configuration #1 chosen from 1 choice
[ 4990.780188] hci_cmd_task: hci0 command tx timeout
_________________

BrowneR (chris-scotland) wrote :

I just built 2.6.28-rc7-git2 from kernel.org and I have the same problems with bluetooth so this is obviously not something that has been addressed upstream.

Is it worth reporting this upstream?

BrowneR (chris-scotland) wrote :

Bug 288613 seems related (https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/288613) and interestingly the reporter claims bluetooth worked fine in beta but not when the first intrepid RC was released. What changed kernel wise?

kylea (kylea) wrote :

Ok : here is what I think is going: (I have a Dell E6500 laptop)

IF I have my Bluetooth radio switch turned OFF during the Boot Up process and only turn it ON AFTER Gnome is fully loaded and all processes are finished THEN Bluetooth processes work.

Have proven this with repeated tests:

IF the Bluetooth radio switch is ON during the boot up then Bluetooth will not work.

SO what is going on - surely this is enough for you guys to make a search now. Can we change the load sequence of the Bluetooth daemon to load last ?

Jamie Lokier (jamie-shareable) wrote :

kylea, I usually boot with the Bluetooth radio off. It's USB internally and disconnected when I boot, then I switch it on after logging in.

I still have this pairing problem every time with 2.6.27 kernels.
So changing the load sequence wouldn't fix it.

The information we need may be to bisect between the last kernel which works reliably and the one after, trying it on someone's machine until the change which breaks it is identified. Alas I don't have the time for it, so I just run old kernels with Intrepid.

Carlo (gentuser) wrote :

In the same pc on Ubuntu with 2.6.27-7 bluez doesn't pair with any device, with gentoo 2.6.27-r1 bluez-3.36 it does...
I don't know is a kernel problem or what else, but with regression of bluez association works well

Carlo (gentuser) wrote :

Update: ubuntu kernel 2.6.27-10 doesn't solve my problem

n0PxN0p (n0pxn0p) wrote :

it doesn't solve my problem too )

New kernel @ Jaunty, 2.6.28 series fixes my problem.
Now I got my bluetooth headset working on Skype....finally.

Intrepid remains "unpreant" release for me, it was still fine with Hardy.

I too have just tried the Jaunty kernel.
I added this line to my apt/sources.list

deb http://gb.archive.ubuntu.com/ubuntu/ jaunty main restricted multiverse universe

and first of all just upgraded the bluez related packages to 4.21-0ubuntu1.

Now when I try to pair with my phone it immediately fails and gives an error message rather than timing out like before. I then downgraded these packages back to the intrepid version and installed the Jaunty kernel packages (2.6.28). Rebooted the new kernel. Bluetooth still wont work.

I then upgrade the bluez packages again and try to pair with my phone. Success - I am given a 4 digit password and enter this on my phone and it pairs correctly. I am however unable to do any file transfers or use my phone as an HID remote control or modem. So progress at least but still not fixed.

It seems to be a combination of factors related to bluez and the kernel as each one on its own didn't fix the problem however when they were both upgraded i was able to pair at least...

Tiago Silva (tiagosilva) wrote :

I tested file receiving/sending on my laptop (Compal FT00 VBI) with two Nokia mobile phones: N70 and 6600.
Sending files to the phones was fine. Receiving files doesn't work.

pseudolegolas (pseudolegolas) wrote :

same problem with me..............
have tried everything exept different kernel virsion
will do that today

comp is able to detect devices but cant connect

is some developer listening
SOS

SOS

SOS

Mike (farlo144) wrote :

This seems like a pretty bad bug for no one to look into. Is there a workaround yet? 8.10 released ages ago, and bluetooth is a pretty standard technology. Is someone going to look into why this broke between 8.04 and 8.10? Seems like a lot of stuff broke in 64bit 8.10.

kylea (kylea) wrote :

I don't get - I have paid for support and still cannot get a sensible answer on this.

Just another reason why MS will keep its market share. How can we always be moving towards a new version when the basics don;t work on the majority of the hardware out there.

This behaviour is as bad - in fact worse than MS as the Linux community spends its time rightly bagging MS but then we do the same thing.

I just don't get it, can some of the zealots please explain what is going on here?

Vadim Peretokin (vperetokin) wrote :

No - please keep the bug report on topic. If you paid for Ubuntu commercial support, please contact them - however support implies solving user issues most likely. (at least, the contract that came with ubuntu on my laptop did).

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

What does the comment above actually mean then? Does this mean this major bug is not going to be looked at any further? Or assigned to another team? Who should it be assigned to? This is a major flaw and causes extreme disruption particularly to users who rely on services such as calendar/event syncing.

kylea (kylea) wrote :

Ok campers - here is good some news:

refer to my comment in this bug

https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/285283

using 4.12 bluetooth on Kubuntu 8.10 64 - using blues-gnome bluetooth worked!!!!

kylea (kylea) wrote :

Ok - it worked the session !! - re-booted and it stopped!!

kylea (kylea) wrote :

Here are some errors

kylea-E6500-KDE kernel [ 772.393351] __set_isoc_interface: hci0 setting interface failed (110)
kylea-E6500-KDE bluetoothd[4545] Unable to start periodic inquiry: Connection timed out (110)
kylea-E6500-KDE kernel [ 819.626513] hci_cmd_task: hci0 command tx timeout
kylea-E6500-KDE kernel [ 824.631775] __set_isoc_interface: hci0 setting interface failed (110)

kost (kost) wrote :

Still doesn't work with latest ubuntu updates. Mine bluetooth is Linksys Class 1:

Bus 001 Device 003: ID 0a5c:200a Broadcom Corp. Bluetooth dongle

Yes, it worked before.Some dmesgs (if helps):

[ 598.986598] hci_cmd_task: hci0 command tx timeout
[ 1450.720220] usb 1-2: USB disconnect, address 2
[ 1450.723379] btusb_intr_complete: hci0 urb dd3b6e80 failed to resubmit (19)
[ 1450.734137] btusb_send_frame: hci0 urb d110a780 submission failed
[ 1451.704288] usb 1-2: new full speed USB device using uhci_hcd and address 3
[ 1452.136397] usb 1-2: configuration #1 chosen from 1 choice
[ 1457.356989] hci_cmd_task: hci0 command tx timeout

Anyone care fixing it?

Dilldappe (dilldappe) wrote :

Hi, has anything happened about this bug?
i too have the Integrated System Solution Corp. KY-BT100 Bluetooth Adapter, worked fine under hardy, has anyone of the developers responded to this bug?

Mike (farlo144) wrote :

Dilldappe,

The answer to both of your questions is no. None of the developers seem to care that they broke bluetooth sometime between 8.04 and 8.10. It's great, eh?

Sincerely annoyed,
Mike

influencd (charlie-de-courcy) wrote :

I'm pretty sure this is a Kernel / Gnome issue.
I made the switch to Fedora 10 on my home box with TDK bluetooth dongle attached and it did exactly the same thing.
Worked fine under Gutsy / Hardy.
On my desktop it gnome doesn't see there's a dongle attached, and as such the pairing devices screen is blank.
On my laptop (Intrepid) I can run 'hcitool scan' and see devices, but again, nothing in Gnome

bug is kernel related, but nobody cares. Best answer that i got "Fix
repairs more devices then it breaks". Thats just ridiculus, but
stil...

On 1/23/09, influencd <email address hidden> wrote:
> I'm pretty sure this is a Kernel / Gnome issue.
> I made the switch to Fedora 10 on my home box with TDK bluetooth dongle
> attached and it did exactly the same thing.
> Worked fine under Gutsy / Hardy.
> On my desktop it gnome doesn't see there's a dongle attached, and as such
> the pairing devices screen is blank.
> On my laptop (Intrepid) I can run 'hcitool scan' and see devices, but again,
> nothing in Gnome
>
> --
> Bluetooth association no longer works
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Alex

Hervé Fache (rvfh) wrote :

I am not a developer, but I can assure you this is being worked on: the
bluetooth support lib (bluez) has been updated in a way which is not
backwards-compatible with the existing stuff (v4). All distributions are
affected, this is not Ubuntu-specific in any way.

KDE has recently been updated to support it and Kubuntu packages should soon
appear with the fix integrated. If Jaunty still had no support and Fedora 11
had, I think a lot of people would choose the latter...

I've solved my problem (with a bluetooth headset) by adding the following repository and upgrading all bluez-related (bluez*, bluetooth, libbluetooth3). It will upgrade the bluez 4.27. Now works discover, pairing (using bluetooth-applet)... Etc.

So, step by step:

1) Add the repositories

deb http://philip.magicalforest.se/ intrepid extra
deb-src http://philip.magicalforest.se/ intrepid extra

2) Add the repo's GPG sig

wget http://philip.magicalforest.se/Philip5.gpg | sudo apt-key add key.asc

3) Update the repository using Synaptic or apt-get update

4) Mark the upgrades to bluez*, bluetooth, libbluetooth3

5) Apply

Afterwards, just restart the service (sudo /etc/init.d/bluetooth restart) and everything working again. You can test by using the following command:

aplay -D bluetooth /usr/share/sounds/question.wav

Cheers,

Igor Gomes

Thank you very much, Igor.

After this update everything is fine, except for just one thing: there are problems when there are empty files among those being copied. In this case there is no file transfer at all. And when I try to cancel this unsuccessfull file transfer, my computer just starts hanging. Nothing helps but removing the dongle and inserting it again and then removing empty files from the list of files which I want to copy from my cell phone to my computer.

Of course I understand that this has nothing to do with the bug being discussed, but still...

Thank you one more time,
Igor Bronstein.

Felix Oghină (felix.oghina) wrote :

Igor Gomes' solution didn't work for me. By the way, don't try sudo apt-get install bluez*, it will install a lot of bluetooth-unrelated packages, instead, try this command:

sudo apt-get install bluez bluez-* bluetooth libbluetooth3

My bluetooth dongle:
Bus 004 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

yngd wrote:
> New kernel @ Jaunty, 2.6.28 series fixes my problem.
> Now I got my bluetooth headset working on Skype....finally.
>
> Intrepid remains "unpreant" release for me, it was still fine with
> Hardy.

Jaunty's 2.6.28-4 doesn't do it for me. Still can't connect to PAN on
my Sony-Ericsson K850i phone. Intrepid's 2.6.27 kernels can't
connect, but Hardy's 2.6.24 kernels can.

(So I have to reboot to a 2.6.24 kernel to use bluetooth 3g broadband
through my phone, but it that kernel breaks a bunch of other things).

Someone else reports similar, they can't connect to ther S-E phone
starting from Interpid.

-- Jamie

Changed in linux:
status: Unknown → In Progress

OMG kernel 2.6.28 + bluez 4.27 = don't work !!!

$ lsusb
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

$ dmesg
[ 737.054214] Bluetooth: L2CAP ver 2.11
[ 737.054217] Bluetooth: L2CAP socket layer initialized
[ 737.068295] Bluetooth: RFCOMM socket layer initialized
[ 737.068313] Bluetooth: RFCOMM TTY layer initialized
[ 737.068315] Bluetooth: RFCOMM ver 1.10
[ 737.731793] Bluetooth: SCO (Voice Link) ver 0.6
[ 737.731796] Bluetooth: SCO socket layer initialized
[ 737.743677] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 737.743682] Bluetooth: BNEP filters: protocol multicast
[ 737.780733] Bridge firewalling registered
[ 757.399557] hci_cmd_task: hci0 command tx timeout
[ 906.021827] hci_cmd_task: hci0 command tx timeout
[ 940.098262] hci_cmd_task: hci0 command tx timeout

Do I must install and use M$ Windows only for sending/receiving files from Bluetooth Dongle? This is joke?

okkie (okkiel) wrote :

As an Ubuntu user living in Ubuntu country and proud of it,I can only comment as follows:
At the last Linux Foundation International Gathering it was concluded that we,the Ubuntu users, amongst others,are the vitally needed guinea-pig force needed to achieve the ultimate goal of a near-as-possible perfect operating system to oppose Windows/Gates.They further expressed their gratitude for software development but wowed the serious lack of TESTING it before putting into it practice.This is our problem.
An operating system as advanced as Intrepid 8.10 should, when launched ,not have vital components like bluetooth all facets, printer drivers and the like, not functioning properly as thousands of us use these machines to earn our daily living
and dis-functionality of 'vital' components force us to Windows.A totally unacceptable situation.
I realise the problems are vast but cannot accept that after all the bug reports and comments all over the forums, Intrepid is just not delivering what it was intended to do and its the modern day basics that are troublesome.

Chow Loong Jin (hyperair) wrote :

You kidding? Bluetooth works perfectly for me on Intrepid, so please don't talk as though the entire Ubuntu community is affected. Either way, can someone who is affected open up a Jaunty installation (or LiveCD) and see if the issue is fixed over there?

Dave Morley (davmor2) wrote :

For me this works flawlessly on my laptop with built in bluetooth.
However mt bluetooth dongle doesn't work at all (or so slowly that it is unusable)

I'm now wondering if it might have something to do with gvfs any thoughts?

hyperair wrote:
> You kidding? Bluetooth works perfectly for me on Intrepid, so please
> don't talk as though the entire Ubuntu community is affected. Either
> way, can someone who is affected open up a Jaunty installation (or
> LiveCD) and see if the issue is fixed over there?

It does not work for me with Jaunty kernels and Jaunty bluez on an
otherwise Intrepid system. I boot a Hardy kernel when I want to use
Bluetooth, then it works fine. The bluez version doesn't seem to make
any difference, only the kernel version.

This is definitely a kernel bug. I have an affected dongle and I'm a developer, so I'll be able to look at it in a few days.

Until then, if someone could bisect the kernel and find the bad commit, or at least narrow it down, it could speed things up a lot.

kylea (kylea) wrote :

I have recently received a major update to the kernel that included a number of fixes that referenced Bluetooth. I have also have updated to 4.28 of the various Bluez modules. Previously only Bluez 3.26 along with Blueman would work. This new combination is working.

I still keep the Dell Bluetooth radio switch off until the desktop is loaded.

Now for some more weirdness, sometimes my Multisync calendar sync stops, however if I start anyremote on the phone and link to the PC, then the Multisync process will start working and keep working for as long as Anyremote is connected.

Next re-boot it just works normally. There may be a Kernel issue - but sometimes I wonder if the phone is also not playing its part.

Upgraded the following packages:
bluetooth (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez-alsa (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez-cups (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez-gstreamer (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez-pcmcia-support (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
bluez-utils (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125
libbluetooth3 (4.27-intrepid~ppa1) to 4.28-0ubuntu1~git20090125

linux-headers-2.6.27-11 (2.6.27-11.26) to 2.6.27-11.27
linux-headers-2.6.27-11-generic (2.6.27-11.26) to 2.6.27-11.27
linux-image-2.6.27-11-generic (2.6.27-11.26) to 2.6.27-11.27
linux-libc-dev (2.6.27-11.26) to 2.6.27-11.27

Linux kylea-e6500 2.6.27-11-generic #1 SMP Thu Jan 29 19:28:32 UTC 2009 x86_64 GNU/Linux

Artur Rona (ari-tczew) wrote :

It would be nice that someone paste there diff patch which fixes this bug, because 2.6.27-11.27 only fixed bug of * USB: isp1760: Fix probe in PCI glue code ...

Luca Zorzi (lucazorzi91) wrote :

@kylea: did you compile the bluez stuff yourself or did you get packages somewhere?

Artur Rona (ari-tczew) wrote :

I think that bluez is from ppa:
https://launchpad.net/~blueman/+archive/ppa

but we want code from kernel which fixes this bug...

BrowneR (chris-scotland) wrote :

in response to kylea: upgrading to the latest linux 2.6.27-11.27 ubuntu kernel hasnt fixed a thing for me. my bluetooth dongle can still "see" the phone however pairing always fails and no connection can be established. i'm still using the default ubuntu bluez packages.

in terms of kernel commits i think we need to look at what changed 2.6.24-->2.6.27 rather than in this latest update - maybe thats what you meant anyway Ari...

i will try again with the updated bluez packages just in case.

VladimirCZ (vlabla) wrote :

I can confirm that there is no improvement after all upgrades and everything I wrote in the bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/281949 is still valid:

My USB bluetooth adapter worked well under Hardy.

Under Intrepid the Bluetooth manger can only detect connectible devices in neighborhood, but any attempt for pairing them (when pairing is started from PC) is unsuccessful - there appear no dialogues for "key" both on my PC and mobiles. But I can pair mobile phones to my PC, when I start pairing from a phone to be paired. Unfortunately after pairing there is no "mounted phone icon" on a desktop / in Nautilus and I cannot browse the mobile from PC even neither through the bluetooth applet "browse" option.

 I have tried to connect two Nokia phones 6021 a 6310i. (Note: under WinXP it still works => no hardware failure)

USB bluetooth adapter:
Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

OS Ubuntu 8.10 beta 64-bit (2.6.27-11-generic)
Motherboard Asus P5KPL (Intel chipset with Intel(R) Core(TM)2 Duo CPU E4500 @ 2.20GH)

BrowneR (chris-scotland) wrote :

Same issue exactly. Also using ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter.

Definitely seems to be a driver issue with this hardware.

How can we go about finding the maintainer (if such a thing exists) for the kernels "Bluetooth: Generic Bluetooth USB driver ver 0.3"? Comments in the code? Maybe i'll download the kernel source and have a poke about and try contacting them directly to at least bring it to their attention. Even if i have to mail them my bluetooth dongle to test with.

BrowneR (chris-scotland) wrote :

Ok i have subscribed Marcel Holtmann to this bug as he is listed in the /drivers/bluetooth/btusb.c file as the drivers author.

I hope you don't mind this Marcel.

Marcel: Any chance you could take a look at this bug for us in case it does happen to be related to your driver?
If not do you have any suggestions that might help us get the attention of the right people?
I am happy to provide you with any details/logs and even hardware to test it with to the best of my ability.

Thanks.

One definitely exists, you can see which commit was the one that broke
this... but I'm unsure where to start

http://kerneltrap.org/mailarchive/linux-netdev/2008/9/8/3233464
probably thats the place.

$ uname -a
Linux ds 2.6.28-6-generic #17-Ubuntu SMP Fri Jan 30 15:34:36 UTC 2009 i686 GNU/Linux

bug is still here

BrowneR (chris-scotland) wrote :

I just booted the Jaunty Alpha 4 live cd and it looks like this issue is fixed.

I can successfully use ubuntu to associate with my phone, setup a pass code and then browse and receive files from my phone. None of that worked with intrepid.

Unfortunately I have no time to test it further.

I confirm this

2009/2/5 BrowneR <email address hidden>

> I just booted the Jaunty Alpha 4 live cd and it looks like this issue is
> fixed.
>
> I can successfully use ubuntu to associate with my phone, setup a pass
> code and then browse and receive files from my phone. None of that
> worked with intrepid.
>
> Unfortunately I have no time to test it further.
>
> --
> Bluetooth association no longer works
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Booting Jaunty doesn't fix it for me.

Or actually, I haven't tried that yet. I tried installing Jaunty Alpha 4 (from alternate CD) into a vm in VirtualBox, then connected my Bluetooth adapter to that.

The result was fail. Nothing happened. Still dead. Bupkus.

But I'll try the Jaunty live-cd tomorrow and see if that changes anything - which I really doubt.

description: updated
Brian Rogers (brian-rogers) wrote :

The problem still exists on the very latest upstream kernel. I'm going to bisect between 2.6.26 and 2.6.27, and report the bad commit to the Bluetooth guys. Then it shouldn't be too long before we have a fix.

Changed in linux:
assignee: nobody → brian-rogers
Artur Rona (ari-tczew) wrote :

Can be this bug added for Ubuntu 9.04 milestone?

Brian Rogers wrote:
> The problem still exists on the very latest upstream kernel. I'm going
> to bisect between 2.6.26 and 2.6.27, and report the bad commit to the
> Bluetooth guys. Then it shouldn't be too long before we have a fix.

If you narrow it down to the bad commit, I'll be happy to test it with
my S-E phone, which has similar but not quite the same problems.

(Btw, is it even possible to bisect Ubuntu kernels? A recent article
from lwn.net notes that distro kernels have distro-specific initramfs
setups making it impossible to use vanilla kernels on some laptop
configurations now...)

-- Jamie

Brian Rogers (brian-rogers) wrote :

Well it turns out it's not as simple as just a bad commit. The problem is with the newer btusb driver that replaced hci_usb by default in 2.6.27. It looks like that newer driver never worked correctly with certain Bluetooth dongles.

description: updated

Is it not possible to bring the old driver back for some devices, coexisting with the new driver? At least until the new driver gets support for the problematic hardware.

Alternatively, how much work would it be to port the working code from hci_usb into btusb? How different are the two drivers?

Brian Rogers (brian-rogers) wrote :

The configuration menu only lets you select one of the two drivers, but I don't see a reason the two should conflict as long as you only allow one of them to load.

Switching to the older driver is more of a workaround than a solution. The new driver needs to be fixed one way or another, and once we have the fix, we can backport it.

But anyone who wants working Bluetooth today can build a custom kernel with hci_usb instead of btusb.

Dominique Meeùs (dominiquem) wrote :
Download full text (3.8 KiB)

1. I do use a D-Link DBT-122 Bluetooth adapter with kernel 2.6.27
=====================================

Kernel: uname -r
2.6.27-11-generic

Bluetooth dongle: lsusb
Bus 001 Device 006: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

Bluetooth software: dpkg --get-selections | grep blue
blueman deinstall
bluetooth3 install
bluez deinstall
bluez-audio deinstall
bluez-cups install
bluez-gnome install
bluez-utils deinstall
bluez3-audio install
bluez3-utils install
gnome-bluetooth install
libbluetooth2 install
libbluetooth3 install
python-bluez install

Bluetooth software version: dpkg -l bluetooth3
... bluetooth3 3.26-0ubuntu14 Bluetooth stack utilities
(This workaround -- blue3 instead of blue4 -- was given by emersom on 2008-11-07 in https://bugs.launchpad.net/bugs/289836 and I confirmed there the same day that it worked for me also)

This combination recognises the adapter: hcitool dev
Devices:
 hci0 00:13:46:00:55:A0

Adapter is active: hciconfig
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING PSCAN ISCAN
 RX bytes:937 acl:0 sco:0 events:22 errors:0
 TX bytes:332 acl:0 sco:0 commands:22 errors:0

Adapter sees my phone: hcitool inq
Inquiring ...
 00:13:70:0E:8A:77 clock offset: 0x30c9 class: 0x520204

but reads the details only as root: sudo hcitool info 00:13:70:0E:8A:77
Requesting information ...
 BD Address: 00:13:70:0E:8A:77
 LMP Version: 1.2 (0x2) LMP Subversion: 0x4db
 Manufacturer: Cambridge Silicon Radio (10)
 Features: et cetera
(funny: a few years ago I has also: Device Name: Nokia 6021)

The most important: I could pair (don't ask me how) and I use to backup my phone's address book and calendar about once a week with Wammu, wich is all I ask to Bluetooth.

2. There seems to be Bluetooth problems at three different levels
=====================================
A. Kernel
---------
Some Bluetooth adapters may not function with kernel 2.6.27. This is definitely NOT the case with D-Link DBT-122 because I DO use it successfully. See 1. above. See also 2008-11-07 in https://bugs.launchpad.net/bugs/289836

B. Bluetooth version
-------------------
Some Bluetooth adapters may not function with Bluetooth 4 -- see my initial post as https://bugs.launchpad.net/bugs/291298 and on 2008-11-04 in https://bugs.launchpad.net/bugs/289836 -- but function with Bluetooth 3 as explained above and on 2008-11-07 in https://bugs.launchpad.net/bugs/289836.

C. Pairing
----------
Even if one has no kernel problem and/or solved the Bluetooth version problem to the point that hciconfig shows an active device, there can be still problems of pairing. A lot of people in this and other bugs (marked as duplicates) complain about pairing.
Pairing has always been tricky and poorly documented. Forums are full of advice about different flavours of "pin helper", including replacing the pin helper altogether by 'echo "PIN:1234" '. When I began using my dongle with my Nokia phone two or three years ago, I had to hack the pairing in this way. (Story, in French, http://www.meeus-d.be/linux/bluetooth.html.) This was under control of /etc/bluetooth/hcid.conf. I do not now if it is still the case.

Ideally, one should fil...

Read more...

uboltun (ekhaliul-gmail) wrote :

With the latest Jaunty kernel source 2.6.28-6.17 and a custom compiled kernel that has the old hci_usb driver , bluetooth works on my laptop. It was only working with 2.6.24 kernel before. Other relevant packages:
bluez 4.12
bluez-utils 4.12
libbluetooth2 3.29
libbluetooth3 4.12

I tried Integrated System Solution Corp. KY-BT100 Bluetooth Adapter on Ubuntu 9.04 Alpha 4 (Live CD downloaded from ubuntu.org website) and it works on my laptop (Toshiba M40X) but only one usb port recognizes it; on the other two it doesn't work.

Brian Rogers (brian-rogers) wrote :

This is fixed in the bluetooth-testing repository at git://git.kernel.org/pub/scm/linux/kernel/git/holtmann/bluetooth-testing.git

With this, I have my KY-BT100 working perfectly.

Jamie Lokier (jamie-shareable) wrote :

Brian Rogers wrote:
> The configuration menu only lets you select one of the two drivers, but
> I don't see a reason the two should conflict as long as you only allow
> one of them to load.
>
> Switching to the older driver is more of a workaround than a solution.
> The new driver needs to be fixed one way or another, and once we have
> the fix, we can backport it.
>
> But anyone who wants working Bluetooth today can build a custom kernel
> with hci_usb instead of btusb.

Thanks for finding that, but it didn't help.

I've tried hci_usb with Jaunty's 2.6.28-7, and it didn't solve my
problem.

My next attempt will be to try and build the entire Bluetooth stack
from 2.6.24 grafted into the newer kernel, and see if that works...

(I suspect my problem is a different bug.)

-- Jamie

tqft (ianburrows-au) wrote :

I tried Jaunty Alpha 4 i386 live cd this afternoon - dongle and Samsung A411 phone paired but would not share files

Whereas current Intrepid kernel will not pair

Leif Gruenwoldt (leifer) wrote :

I too tried jaunty alpha 4, however I saw no difference. My bt dongle is recognized but my logitech keyboard is not detected like it used to.

Artur Rona (ari-tczew) wrote :

I've tested kernel 2.6.24-22 from hardy in jaunty with bluez 4.30. Receiving files is working, but nautilus-sendto gives information: "Obex push file transfer not supported". I'll soon check kernel 2.6.24 with blueman.

ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

Deje (deje07) wrote :

Brian Rogers wrote on 2009-02-09:
> This is fixed in the bluetooth-testing repository at git://git.kernel.org/pub/scm/linux/kernel/git/holtmann/bluetooth-testing.git
>
> With this, I have my KY-BT100 working perfectly.

Is there a chance that this fix will be available for Intrepid ever? I'm really thinking on switching to another distro because of the issues in Ubuntu like this.

Leif Gruenwoldt (leifer) wrote :

@Deje

>I'm really thinking on switching to another distro because of the issues in Ubuntu like this.

Bluetooth for my devices are broken in fedora 10 as well. In fact as far as I have experienced all all fedora releases have this regression since package updates that came out ~August 2008. Unfortunately it seems this regression does not affect all dongles/devices so little has been done. Very disappointing. Personally I have gone back to requiring Windows Vista just so I can use my bluetooth devices.

Brian Rogers (brian-rogers) wrote :

If just OBEX push doesn't work, then you're now seeing nautilus-sendto bug 282325. You can work around it using 'send files to device' in context menu of the Bluetooth applet icon.

Today I got Bluetooth working on 2.6.27 by cherry-picking several commits leading up to the fix, then the fix. I needed to do that because the fix is entangled with other work in the same file. Now that I know it works on this kernel version, I need to re-write the fix on top of 2.6.27 so it doesn't need those other changes.

Then we'll have a patch suitable for a stable release update for Intrepid.

Deje (deje07) wrote :

Thanks, Brian, you are the man! I hope it will be possible again to use my KY-BT100 under Ubuntu without reverting to Hardy. Thank you for your work on this!

Adam J. Lincoln (adamjlincoln) wrote :

Props to all those who have encountered and worked on this - I just ran into this same problem (KY-BT100 dongle works under Hardy, not under Intrepid). I have to say that while I had about 10 minutes of frustration, it's outstanding to jump on launchpad and see that people have already hammered out workarounds *and* a fix seems to be in the works. Go community and thanks!

Jamie Lokier (jamie-shareable) wrote :

I wrote:
> Brian Rogers wrote:
> > Switching to the older driver is more of a workaround than a solution.
> > But anyone who wants working Bluetooth today can build a custom
> > kernel with hci_usb instead of btusb.
>
> Thanks for finding that, but it didn't help.
> I've tried hci_usb with Jaunty's 2.6.28-7, and it didn't solve my
> problem.
>
> My next attempt will be to try and build the entire Bluetooth stack
> from 2.6.24 grafted into the newer kernel, and see if that works...

Ok, success for me!

I forward-ported the Bluetooth protocol stack from 2.6.24 to 2.6.28, and now I'm able to connect to my Sony-Ericsson phone over Bluetooth, and using the BNEP protocol connect to the internet over 3G.

I'm using the connection to post this command, and have used it to fetch about 50 web pages.

Note I did *not* have to change the drivers, only the network protocol stack... I'm using the "btusb" driver module, which is the one Ubuntu enables.

It's hard to be sure, but for anyone wanting to reproduce this and see if it fixes their problem, I think the steps for the forward port are as follows:

    1. Fetch a linux-2.6.24 source tree from kernel.org, and unpack it.
        (http://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.24.tar.bz2).
    2. Install package kernel-source-2.6.28 (from Jaunty's repo).
        (Start from https://launchpad.net/ubuntu/+source/linux, I think you can
        download a package file and install it with dpkg).
    3. Unpack /usr/src/linux-source-2.6.28.tar.bz2 to somewhere handy.
    4. Enter the unpacked linux-source-2.6.28 directory.
    5. cp /boot/config-$(uname -r) .config
    6. mv net/bluetooth net/bluetooth.orig
    7. mv include/net/bluetooth include/net/bluetooth.orig
    8. Copy files from 2.6.24:
           cp -r ../linux-2.6.24/net/bluetooth net/
           cp -r ../linux-2.6.24/include/net/bluetooth include/net/
    9. Apply a tiny patch to make it compile (attached to this comment).
    10. make bzImage
    11. make modules
    12. make install modules_install
    13. update-initramfs -a
    14. grub-update
    15. Reboot with the new kernel...

It's a fairly trivial forward port.

Changed in linux:
status: Confirmed → In Progress
Brian Murray (brian-murray) wrote :

Looking at the attachments in this bug report, I noticed that "diff" was not flagged as a patch. A patch contains changes to an Ubuntu package that will resolve a bug and this attachment is one! Subsequently, I've checked the patch flag for it. In the future when submitting patches please use the patch checkbox as there are some Launchpad searches that use this feature. Thanks for your contribution Jamie Lokier!

Artur Rona (ari-tczew) wrote :

Today I'd tested bluetooth on 2.6.24-22-generic + bluez 4.30 and... it isn't work!

isecore (isecore) wrote :

For whatever it's worth, when I bought a new BT 2.0 dongle it immediately worked flawlessly. It's the same generic chinese/taiwan brand (Billionton)as my first (which does not work) but it identifies completely different:

[code]Bus 002 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)[/code]

In the forums, it seems people have had success with 2.0-compliant devices, while 1.1 and older suffer from whatever this is.

Jamie Lokier (jamie-shareable) wrote :

isecore wrote:
> For whatever it's worth, when I bought a new BT 2.0 dongle it
> immediately worked flawlessly. It's the same generic chinese/taiwan
> brand (Billionton)as my first (which does not work) but it identifies
> completely different:
>
> [code]Bus 002 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd
> Bluetooth Dongle (HCI mode)[/code]
>
> In the forums, it seems people have had success with 2.0-compliant
> devices, while 1.1 and older suffer from whatever this is.

Mine has the same id as your new one and doesn't work:

Bus 004 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd
Bluetooth Dongle (HCI mode)

But then I've said my bug may be a different one.

-- Jamie

NagPer (nagper) wrote :

Jamie's patch doesn't work for me:

In file included from net/bluetooth/rfcomm/core.c:49:
include/net/bluetooth/rfcomm.h:255: error: expected ‘)’ before ‘(’ token
include/net/bluetooth/rfcomm.h:256: error: expected ‘)’ before ‘(’ token
include/net/bluetooth/rfcomm.h: In function ‘rfcomm_dlc_throttle’:
include/net/bluetooth/rfcomm.h:261: error: implicit declaration of function ‘__rfcomm_dlc_throttle’
include/net/bluetooth/rfcomm.h: In function ‘rfcomm_dlc_unthrottle’:
include/net/bluetooth/rfcomm.h:267: error: implicit declaration of function ‘__rfcomm_dlc_unthrottle’
net/bluetooth/rfcomm/core.c: At top level:
net/bluetooth/rfcomm/core.c:470: warning: conflicting types for ‘__rfcomm_dlc_throttle’
include/net/bluetooth/rfcomm.h:261: warning: previous implicit declaration of ‘__rfcomm_dlc_throttle’ was here
net/bluetooth/rfcomm/core.c:481: warning: conflicting types for ‘__rfcomm_dlc_unthrottle’
include/net/bluetooth/rfcomm.h:267: warning: previous implicit declaration of ‘__rfcomm_dlc_unthrottle’ was here
make[4]: *** [net/bluetooth/rfcomm/core.o] Error 1
make[3]: *** [net/bluetooth/rfcomm] Error 2
make[2]: *** [net/bluetooth] Error 2
make[1]: *** [net] Error 2
make[1]: Leaving directory `/home/nagper/src/linux-source-2.6.28'
make: *** [debian/stamp-build-kernel] Error 2

NagPer

Jamie Lokier (jamie-shareable) wrote :

Thanks for trying, NagPer. Yes, there's a small hunk missing from my "diff" - in include/net/bluetooth/rfcomm.h. Here's a new one, called
make_2.6.24_bluetooth_work_in_2.6.28.diff. You still apply it after copying over the bluetooth tree from 2.6.24 over 2.6.28, as per the instructions.

Jamie Lokier (jamie-shareable) wrote :

Here's an alternative patch which might be easier for some people to try.
Just apply this one to a linux-source-2.6.28-7 tree.

It's exactly the same as the previous small patch, but you don't have fetch a 2.6.24 tree yourself and copy bits over.

There's no point trying both patches, they're the same code.

Artur Rona (ari-tczew) wrote :

@Jamie Lokier
Is your latest patch (114,8 KiB) needs copying files from kernel 2.6.24?

@Jamie Lokier

I have just taken the time to compile 2.6.28.6 with your 114kb patch and rebooted successfully.

I am now able to successfully pair with the mobile device (which i couldn't do previously) but I am unable to send a file from my phone to the laptop, after opening the gnome bluetooth file sharing application (which used to work)

I am unable to SEND files from the laptop to the mobile device (times out)

Browsing files on the mobile device from the bluetooth icon in the systray causes my phone to reboot....but this is likely my phone's problem and I recall it used to do that too. However, it did actually get as far as to connect, which is will not previously do on the buggy BT kernels.

I also tried multisync which also did not work and eventually timed out scanning for bluetooth devices to sync to.

Can you confirm that you can / cannot send a file from your mobile device to the laptop?

Jamie, please let me know your thoughts / test results.

For you guys who aren't able to get this test working here is the complete set of working commands I issued:

  514 tar -xjvpf linux-source-2.6.28.tar.bz2
  515 cd linux-source-2.6.28
  516 cp /boot/config-$(uname -r) .config
  517 patch -p1 < /home/rick/Desktop/put_old_working_bluetooth_into_2.6.28_7.diff
  518 make bzImage
  519 make modules
  520 make install modules_install
  527 update-initramfs -k 2.6.28.6 -c
  528 update-grub

@Ari no you don't need to copy the files with this patch. Jamie explains this to you in the message above!

Richard Hamnett wrote:
> Can you confirm that you can / cannot send a file from your mobile
> device to the laptop?

I never send files over Bluetooth between phone and laptop, and don't
know how to it.

I just tried it now, with the patched kernel, and these things happened:

   - When I asked the phone to "send by bluetooth" a picture file,
     it searched for devices and couldn't see my laptop, even though I
     set the laptop to be visible in the GNOME Bluetooth Preferences.

   - When in GNOME Bluetooth Preferences I told it to search for a new
     device to connect to, it couldn't see the phone even though I set the
     phone to be visible.

   - The laptop does have the phone in its list of known devices, so
     when I clicked button in GNOME Bluetooth Preferences to connect
     explicitly, the button grayed out, but the status icon still
     didn't show it connected after several seconds.

   - Despite the above "not connecting properly as shown by GNOME",
     when I ran pand on the laptop, it *was* able to make a 3G data
     connection to the internet through the phone!

   - Even though the phone was connected and had 3G networking going
     on, and the phone's screen showed a connected icon, the phone
     _still_ didn't show the laptop in the list of devices to send
     files to.

I'm guessing the laptop isn't advertising its ability to receive
files. Since I never use this part of Bluetooth, and there's no
option for it in GNOME Bluetooth Preferences (they removed it!),
I don't know if this has anything to do with the kernel changes.

All I know which works is 3g data networking - running "pand" on the
laptop, that pairing with the phone, and the resulting BNEP network
able to be used as an internet connection. (Btw, it's annoying that
"pand" isn't in the new bluez packages at all... and the scripts on
bluez.org using D-BUS to connect don't work with the new version
of bluez... a different bug).

It's possible that sending and receiving files is not connected with
the kernel change at all, since I noticed some people are reporting
bugs with that and responses say it's something to do with the OBEX
server, not pairing.

As I don't use this part of Bluetooth at all, I'm not interested in
fiddling about with OBEX except just trying it for you now :-)

-- Jamie

Thanks Jamie,

I'm not sure what we do now? This thread has gotten so long that you cannot even view these comments without clicking on "view all xxx comments" !

I am not having the success you had with bluetooth, because I am using some more advanced features....but this should not really be happening if the only problem was the kernel bluetooth upgrade.

We NEED the fix.

Richard Hamnett wrote:
> I am not having the success you had with bluetooth, because I am using
> some more advanced features....but this should not really be happening
> if the only problem was the kernel bluetooth upgrade.

I'm pretty sure there's at least 3 different bugs affecting you:

   1. One which is fixed by changing kernel USB bluetooth
      driver only.

   2. One which is fixed by changing kernel bluetooth network
      protocols only.

   3. One to do with OBEX and Gnome for file transfers.

-- Jamie

@Jamie Lokier

Thanks for the reply.

Can you kindly doa quick summary of what I need to do to remedy each point in your list?

Cheers
Rich

Artur Rona (ari-tczew) wrote :

Kernel 2.6.28.7 patched = bluetooth still doesn't work. Can someone compile generic kernel for ubuntu and send .debs @launchpad?

Brian Rogers (brian-rogers) wrote :

I sent my proposed fix to the kernel team mailing list. It consists of three cherry-picks from upstream (though one hasn't merged into mainline yet), and some conflict resolution for the last patch.

For anyone that wants to build their own kernel and test it, I've rolled it all into a single patch, which I'm attaching.

uboltun (ekhaliul-gmail) wrote :

Jamie's patch fixed the problem for me.

I used someone's patch on one of these email lists and it fixed the
problem. I can confirm it has not been fixed in Intrepid.

On 3/5/09, uboltun <email address hidden> wrote:
> Jamie's patch fixed the problem for me.
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
PGP Public Encryption Key:
http://johndoe32102002.blogspot.com/

Artur Rona (ari-tczew) wrote :

I've kernel compiled from linux-source-2.6.28. I did choice in config:
Networking support
  Bluetooth subsystem support
and disabling HCI USB driver
enabling HCI USB driver (old version)
and compile it. First what I must do:
$ sudo /etc/init.d/bluetooth restart
then
Search new devices, add *** key - it works okay
then
Send files to device - it doesn't work
output message in red color:
org.openbox.Error.ConnectionRefused

Artur Rona (ari-tczew) wrote :

Wow! I tried second test and I sent files on my phone! Without patch Jammy Lokier. BlueZ 4.32.
Linux -> Phone = OK
Phone -> Linux = doesn't work

H.i.M (hir-i-mogul-gmail) wrote :

It works just a view times with Integrated System Solution Corp.
Fully updated Jaunty 64
Bluetooth Laser Mouse

After reboot, there was no connection anymore. (the mouse was set to always trusted, the bluetooth stick is visible)

hci0: Type: USB
        BD Address: 00:11:67:C3:6B:70 ACL MTU: 1021:4 SCO MTU: 48:10
        UP RUNNING PSCAN ISCAN
        RX bytes:2066 acl:0 sco:0 events:70 errors:0
        TX bytes:820 acl:0 sco:0 commands:63 errors:0
        Features: 0xff 0xfe 0xff 0x7e 0x98 0x19 0x00 0x80
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
        Link policy: RSWITCH HOLD SNIFF PARK
        Link mode: SLAVE ACCEPT
        Name: 'mellhen-home-bluetooth'
        Class: 0x1a2104
        Service Classes: Networking, Capturing, Object Transfer
        Device Class: Computer, Desktop workstation
        HCI Ver: 2.0 (0x3) HCI Rev: 0x302 LMP Ver: 2.0 (0x3) LMP Subver: 0x302
        Manufacturer: Integrated System Solution Corp. (57)

To get it work:
1 i deleted all paired devices manually
2 restarted bluetooth
3 restarted kbluetooth
4 paired the device

But after reboot no connection is possible anymore.
Dell Wirelleless (Broadcom) on my notebook works allways.

see attechment for detailes.

H.i.M (hir-i-mogul-gmail) wrote :

attechment is called "kbluetooth"

Artur Rona (ari-tczew) wrote :

I guess that the first step to fix this bug is include command while booting Ubuntu
$ sudo /etc/init.d/bluetooth restart

Pinguin (riebel) wrote :
Download full text (9.6 KiB)

Bluetooth doesn't work for me too (Ubuntu 8.10/9.04a5). I'm able to view another bluetooth devices, but sending or receiving files failed with the following errors.

lsusb -vvv:
Bus 006 Device 003: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 16
  idVendor 0x1131 Integrated System Solution Corp.
  idProduct 0x1004 Bluetooth Device
  bcdDevice 3.73
  iManufacturer 1 ISSC
  iProduct 2 ISSCEDRBTA
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 186
    bNumInterfaces 3
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0010 1x 16 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMa...

Read more...

Stefan Bader (smb) wrote :

As one step to get the proposed patches included I have prepared test kernels based on those patches. They can be found at http://people.ubuntu.com/~smb/bug268502/
Please verify whether this solves the issue. Thanks

Jeff (jeffmart) wrote :
Download full text (3.3 KiB)

I have same problem with bluetooth here, since Ubuntu 8.10 new (and fresh)
install until now, in sync with expeimental repositories
(for KDE 4.2, newest bt packs, etc, etc)...

I had changed my bt dongle (usb) thinking that are a problem with first, but
it was right and bt stack that wasn't (and sitll isn't) the problem...

I tried all kind of solutions, except kernel compile: 1. using experimental
repositories. 2. using alternative bueman reproitories, 3. downgrading
kdebluetooth4 to KDE 3.X, downgrading bt 4 stack to bt 3 stack, but noking
worked.

Curious, a cople of times, I get bt working for receiving/sending files from
other computer. Curious again, just for one or to times I get bt working for
sending files to mobeile (a1200), but not for receiving...

Oh, yes: Based on error message of obex-server, II had tried change
obex-server. I put obexd (work one time, neve more). Reinstalled
obex-server, or did a full remove of obex-server from my notebook fo them
install from source (manual compile and install)

But nothing! BT with a1200e still wont' work.

Any sugests that could I do?

2009/3/10 Stefan Bader <email address hidden>

> As one step to get the proposed patches included I have prepared test
> kernels based on those patches. They can be found at
> http://people.ubuntu.com/~smb/bug268502/<http://people.ubuntu.com/%7Esmb/bug268502/>
> Please verify whether this solves the issue. Thanks
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Linux Kernel: In Progress
> Status in “linux” source package in Ubuntu: In Progress
>
> Bug description:
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
>
> They don't work properly with the newer btusb driver, which replaced
> hci_usb by default in 2.6.27. This hasn't been fixed upstream as of
> v2.6.29-rc3.
>
> Original message below:
>
> Association with Bluetooth works using kernel 2.6.26, since the updates to
> 2.6.27 (both -1 and -2) association fails. I can scan and see bluetooth
> devices but not pair.
>
> Using my phone, I start the association process, the phone asks for a
> passkey, and in 2.6.26 the popup window appears normally allowing me to
> enter the passkey. In 2.6.27 the dialog box never appears.
>
> If I use hcitool:
>
> :~$ sudo hcitool cc 00:1B:59:96:A6:DD
> :~$ sudo hcitool auth 00:1B:59:96:A6:DD
> HCI authentication request failed: Connection timed out
>
> the dialog box appears very very briefly then vanishes.
>
> dmesg shows a couple of problems:
>
> [25791.306170] btusb_intr_complete: hci0 urb ffff88004dd0fb40 failed to
> resubmit (19)
> [25791.315446] btusb_send_frame: hci0 urb ffff880048542840 submission
> failed
>
> and the syslog shows that there was an attempt to associate:
>
> Sep 23 08:16:59 charlie hcid[5903]: link_key_request
> (sb...

Read more...

@Stefan Bader

This package 100% fixed the problem I have been trying to resolve for MONTHS, so I would like to thank you for your efforts.

Strangely, I'm unsure as to how you created the package ...does it differ to the method I described in my comment #101?

Thank you

Stefan Bader (smb) wrote :

That actually are not mine efforts but those of Brian (see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/268502/comments/107). So the package was created by using the current intrepid kernel and then adding the three patches Brian found (which I added to the peoples page).

Pinguin (riebel) wrote :

The packages from Stefan Bader fixed my problem too. The Bluetooth usb device works perfectly!

@Stefan Bader - ok great....well I appreciate you posting the link! :)

@Sebastian Riebel - great news !

I am hoping that this will be enough to get the fixes added into the repos!

Elliot (elliot-orwells) wrote :

Didn't solve my problem:

# hciconfig
hci0: Type: USB
 BD Address: 00:0A:3A:87:A5:8D ACL MTU: 1021:8 SCO MTU: 64:1
 UP RUNNING
 RX bytes:211 acl:0 sco:0 events:27 errors:0
 TX bytes:841 acl:0 sco:0 commands:27 errors:0

# hcitool inq
Inquiring ...
Inquiry failed.: Connection timed out

Stefan, any chance of getting a 2.6.28-9-generic AMD64 patched test kernel?

Just installed Jaunty alpha6, and just about everything works perfectly right out of the box, except for Bluetooth (DBT-122) which has the same problem as in Intrepid.

Hi Sami,

did you really intend to send this to me? I'm on this bug's watch list, but I
have not ever written a comment on this. And I do not use the AMD64 platform.
In the meantime I purchased a different bluetooth dongle that just works fine.

Regards,
Stefan

Am Sonntag, 15. März 2009 schrieb Sami Mäkinen:
> Stefan, any chance of getting a 2.6.28-9-generic AMD64 patched test
> kernel?
>
> Just installed Jaunty alpha6, and just about everything works perfectly
> right out of the box, except for Bluetooth (DBT-122) which has the same
> problem as in Intrepid.

Artur Rona (ari-tczew) wrote :

Yep, Jamie Lokier's patch fixed this bug. But not enough...
The full description this bug fix:

1) Remove BT_HCIBTUSB driver and restore BT_HCIUSB (old version driver) - apply Jamie Lokier's patch
2) Write patch for bluez (?) - with old driver version Ubuntu needs a restart of bluetooth (sudo /etc/init.d/bluetooth restart) so this command must be execute while system's booting

For the future:
Add for bluez-gnome receiving files in the relation Phone -> Linux

This patch must be applied into jaunty! (of course including 2nd step)
Ubuntu's developers, please fix this bug.

Brian Rogers (brian-rogers) wrote :

Ari,

Have you tried my patch? Jamie Lokier's patch is useful for investigating the problem, but it's not the kind of thing that can be committed as a solution. For one, it involves undoing any bug fixes that occurred between 2.6.24 and 2.6.28. My patch just pulls the solution from upstream.

You can get a pre-built kernel at the link Stefan Bader posted: http://people.ubuntu.com/~smb/bug268502/

Also, it'd be nice if anyone reporting a success or failure with that kernel would mention which dongle they are using.

My comment was for Stefan Bader, who built the kernel based on Brian Roger's patch.

Since the patched kernel is for Intrepid, I can't test it in Jaunty, which also features this issue.

uboltun (ekhaliul-gmail) wrote :

Brian,
Your patch worked with my bluetooth dongle and linux_2.6.28-8.26 custom build kernel:
Bus 003 Device 002: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
I was having problems connecting a GPS device before.

Stefan Bader (smb) wrote :

@Sami, Jaunty based kernels including the patch at the same place (http://people.ubuntu.com/~smb/bug268502/)

Artur Rona (ari-tczew) wrote :

@Brian Rogers
https://bugs.launchpad.net/linux/+bug/268502/comments/110
I've got tested kernels from http://people.ubuntu.com/~smb/bug268502/ and both solutions fixing bug.

Thanks Stefan Bader!

Bus 002 Device 008: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

Booted back into Intrepid, and this kernel does not seem to affect the problem. I'm still getting hci0 timeouts. I'm not sure if I have the new kernel set up correctly though. I downloaded linux-image-2.6.27-11-generic_2.6.27-11.27b268502v1_amd64.deb and then did a dpkg -i for that file and rebooted. However after installation the timestamp for the kernel is 2009-03-11 rather than 2009-03-18 (=today) as I'd expect. aptitude shows two versions of that kernel available, and the installed one is 2.6.27-11b268502v1 so from that I would guess that the patched kernel is indeed in use. uname -a says:
Linux skybox 2.6.27-11-generic #1 SMP Tue Mar 10 21:51:11 UTC 2009 x86_64 GNU/Linux

So did I do something wrong, or does this patch not fix my problem?

Booting into Jaunty now.

In Jaunty now

Linux homeskybox 2.6.28-11-generic #34b268502v1 SMP Wed Mar 18 16:32:33 CET 2009 x86_64 GNU/Linux

This time I'm sure I have the right kernel.

No help - still getting hci0 command tx timeout

:(

Anything else I should do? This is a fresh alpha6 install of jaunty, just now updated to today's latest packages. No custom hacks or non-default settings, except for now this test kernel.

Dominique Meeùs (dominiquem) wrote :

The problem with the D-Link Corp. DBT-122 Bluetooth adapter (ID 2001:f111) may not be a kernel problem. I once (7-3-2009) had it working (no timeout, could scan) with the btusb driver while the bluetoothd daemon was stopped (of was it mere chance?) This would indicate a Bluez bug, not a kernel bug (or a combination of two). I tried to file a separate bug on this (https://bugs.launchpad.net/bugs/329828) but I was maybe naive because nobody seems to mind.

Artur Rona (ari-tczew) wrote :

@Sami Mäkinen
Did you put it into console?:
$ sudo /etc/init.d/bluetooth restart

Tried restarting bluetooth, no help. Also tried with bluetooth service stopped. Same thing, hci0 timeout.

VladimirCZ (vlabla) wrote :

Brian & Stefan,

Thanks for your work.

Brian's proposed patches and a test kernel based on them work well with my bluetooth dongle.

Details:
Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
OS Ubuntu 8.10 beta 64-bit (2.6.27-11-generic)
Patches from at http://people.ubuntu.com/~smb/bug268502/

Notes - what I did (I am not much experienced user ...):
1) Installed the right .deb of the patched Intrepid kernel.
2) rebooted
3) reinstalled all bluetooth related packages via Synaptic.
4) rebooted and profiled my kernel
5) rebooted

I have no problems with timeouts. Everything works as it used to in Hardy.
I have jused finished cleaning of 2 Nokia mobiles with Wammu.

Dominique Meeùs (dominiquem) wrote :

lsusb: Bus 002 Device 003: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

uname -a:Linux library 2.6.28-11-generic #34b268502v1 SMP Wed Mar 18 15:32:17 UTC 2009 i686 GNU/Linux (patched kernel)

I stop the daemon, take the dongle out and back in. Bingo:
sudo hciconfig hci0 up
hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:342 acl:0 sco:0 events:10 errors:0
 TX bytes:35 acl:0 sco:0 commands:10 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
 Name: 'Broadcom BCM2035'
 Class: 0x000000
 Service Classes: Unspecified
 Device Class: Miscellaneous,
 HCI Ver: 1.2 (0x2) HCI Rev: 0x0 LMP Ver: 1.2 (0x2) LMP Subver: 0x309
 Manufacturer: Broadcom Corporation (15)

hcitool scan: Scanning ...
 00:13:70:0E:8A:77 Nokia 6021 (my phone is seen)

I start the daemon: sudo /etc/init.d/bluetooth start

hcitool scan: Scanning ...
Inquiry failed: Connection timed out

hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:4866 acl:38 sco:0 events:187 errors:0
 TX bytes:1325 acl:34 sco:0 commands:44 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

Conclusion: in my configuration the btusb kernel driver alone works, not with Bluez.

Artur Rona (ari-tczew) wrote :

Abstract: so this patch is fixing bug. Problem with 2001:f111 D-Link Corp. [hex] DBT-122 is a separate bug, so developers - please include patch into linux-*-2.6.28-11-*, rebuild packages and upload into repos :) Who can talk to Canonical's/Ubuntu's developers?

You can try going to the #ubuntu-motu channel and asking them. Personally
though the success rate is low unless you give them a patch that they can
press the "approve" button on.

tqft (ianburrows-au) wrote :

Booted 2.6.27.11 kernel (linked above) and could transfer files from phone to computer

bt dongle is Bus 004 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

Could not transfer from computer to phone but I have done some other stuff over the course of this bug and things could be broken.

Artur Rona (ari-tczew) wrote :

If we have selected option "Show icon only, while adapter is connected", must execute command /etc/init.d/bluetooth restart so we must add this script to rc.local

DBT-122 is still a problem, procuding the command timeouts.

I borrowed a new device to test:
Bus 001 Device 003: ID 05e3:0605 Genesys Logic, Inc. USB 2.0 Hub [ednet]

This usb dongle works great, both on the patched kernel as well as the regular Ubuntu 2.6.28-10 kernel.

So for me this patched kernel does not make any difference, for better or worse.

Sending from Nokia N95 to computer failed, but sending from computer to N95 works. Also browsing works, although it is very slow and the browsing windows becomes grayed out for a while before later becoming active again, every time a directory or drive is changed. The sending from N95 to computer has once been fixed already, so this is another regression. I will try to locate that bug report and suggest reopening it.

disregard that last bit - sending from phone to computer works after manually installing and starting gnome-bluetooth. Odd that this is not automatically installed and started once bluetooth starts.

Ian M. Stewart (ims) wrote :

 tielie said earlier that ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle worked for them, but mine
Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
does not work for me. Standard ubuntu 8.10 install, backports enabled.

Ian M. Stewart (ims) wrote :

I have tried to use the kernel
linux-image-2.6.28-11-generic_2.6.28-11.34b268502v1_i386.deb
from the link at http://people.ubuntu.com/~smb/bug268502/
but I then get "Error: Dependency not satisfiable: wireless-crda
screenshot attached. What should I do?
Sorry if this is a dumb question.

Ian

Artur Rona (ari-tczew) wrote :

@Ian M. Stewart
You must download wireless-crda and install the package.
$ wget http://mirrors.kernel.org/ubuntu/pool/main/w/wireless-crda/wireless-crda_1.7_i386.deb
$ sudo dpkg -i wireless-crda_1.7_i386.deb

Brian Rogers (brian-rogers) wrote :

Or just use the 2.6.27 kernel at that same location instead.

Ian M. Stewart (ims) wrote :

Thank you to Ari, and to Brian. I tried the 2.6.28 kernel, and it's broken my nvidia drivers (and possibly other things?). However, with my USB dongles (as listed before), this has not fixed my bluetooth. The Bluetooth Device Wizard can still not see either dongle. Is there some other process I should be trying?

If you would be so kind, can you give me a quick lesson on how to get back to my original kernel? It might save me a lot of digging.

It was still worth trying :)

Ian

Artur Rona (ari-tczew) wrote :

@Ian M. Stewart
type into console:

$ sudo /etc/init.d/bluetooth restart

Problem 2.6.28 with your nvidia - I guess this is configurable. If you want to config this, check dkms --help.

Dominique Meeùs (dominiquem) wrote :

Some Bluetooth dongles may have a kernel problem but others not. People keep telling others to try new kernels and patch kernels. But for some dongles, there is no kernel problem but a Bluez daemon problem. See my test on 2009-03-18: with the daemon stopped, with btusb alone, my dongle scans my phone. With the daemon active, I get the hci0 timeout error message.

More people should do this test. Sudo etc/init.d/bluetooth stop and then try hciconfig -a and hcitool scan to see the result. (If hci0 is not recognized, it maybe efficient to take the dongle away and then back in and redo hciconfig-a and hcitool scan.) This way it is possible to separate btusb issues and bluetoothd issues.

I tried bluetooth/bluez/libbluetooth3 version 4.33+git20090327-0ubuntu1. There is no improvement. With a D-Link DBT-122, Bluez is still just as broken as five months ago.

Ian M. Stewart (ims) wrote :

Thanks for your help Ari. I don't see how the bluetooth restart would differ from a system restart - which is what I did to try the dongles. I also tried system restarts with the dongle in and with it out and put in later, but to no effect. The same tests with 2.6.27-11
I have since deleted the 2.6.28-11 and the 2.6.27-11 kernels from my menu.lst and reverted to 2.6.27-9, which I think must have been where I came from as the nvidia now works OK. I'd forgotten how horrible low graphics mode is!

It's getting very late here, and I have work tomorrow. I'll check back tomorrow night, but was only trying to give feedback on the use of those kernels as suggested.

Brian Rogers (brian-rogers) wrote :

People with the kernel problem can scan. It's just that nothing else works.

Brian Rogers (brian-rogers) wrote :

Stefan Bader,

The commit I took from bluetooth-next was merged upstream for 2.6.30 now that the merge window is open, so everything is officially upstream now. That means this is ready to go in the Jaunty kernel, right?

Martin Pitt (pitti) wrote :

I subscribed Stefan. Stefan, can we cherrypick this?

Stefan Bader (smb) wrote :

@Martin, test kernels have been build with the expected patch. As the merge window is open now, it should get in and I will prepare a SRU.

Hello Stefan,

Stefan Bader [2009-03-30 8:36 -0000]:
> @Martin, test kernels have been build with the expected patch. As the
> merge window is open now, it should get in and I will prepare a SRU.

Thanks! I'm actually more concerned about Jaunty, but intrepid SRU is
okay if we can ensure that it doesn't cause regressions on other
hardware.

Alex Mayorga (alex-mayorga) wrote :

Stefan, Martin,

Where to get the kernel that includes the patch? I think I'm being bitten by this one in Jaunty.

> Where to get the kernel that includes the patch? I think I'm being
> bitten by this one in Jaunty.

Currently only as test kernels at (and the Jaunty version will be outdated by
the number of uploads in between):
http://people.ubuntu.com/~smb/bug268502/

Dominique Meeùs (dominiquem) wrote :

No improvement with 4.34
---------------------------------------
uname -a : Linux library 2.6.28-11-generic #38-Ubuntu SMP Fri Mar 27 09:00:52 UTC 2009 i686 GNU/Linux
lsusb : Bus 002 Device 003: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
dpkg -l | grep blue* : ii bluetooth 4.34-0ubuntu1
/etc/init.d/bluetooth status : * bluetooth is running
hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:1340 acl:0 sco:0 events:39 errors:0
 TX bytes:1185 acl:0 sco:0 commands:49 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

But as ususal, btusb alone works
------------------------------------------------
sudo /etc/init.d/bluetooth stop : * Stopping bluetooth
sudo hciconfig hci0 up
hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:1688 acl:0 sco:0 events:50 errors:0
 TX bytes:1226 acl:0 sco:0 commands:61 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
 Name: 'Broadcom BCM2035'
 Class: 0x000000
 Service Classes: Unspecified
 Device Class: Miscellaneous,
 HCI Ver: 1.2 (0x2) HCI Rev: 0x0 LMP Ver: 1.2 (0x2) LMP Subver: 0x309
 Manufacturer: Broadcom Corporation (15)
sudo hcitool scan
Scanning ...
 00:13:70:0E:8A:77 Nokia 6021

Artur Rona (ari-tczew) wrote :

Is it a other bug with DBT-122, right? So, please don't mark as a duplicate of bug #329828
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/329828

Dominique Meeùs (dominiquem) wrote :

@Ari
I thought better to keep things separated and that's why I opened bug #329828
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/329828. At that time, this #268502 was registered as kernel bug only and I thought my problem was not kernel (my post 2009-02-07 above).
But is seems that Baptiste Mille-Mathias made the choice to group kernel and bluez problems (after all it may be an incompatibility between btsub and bluetoothd, revealed by DBT-122), to keep an eye on both I suppose. Therefore he wrote:
** Also affects: bluez (Ubuntu)
   Importance: Undecided
       Status: New
I am just a user. My concern is to see my problem solved. Thus my opening #329828. But of course Baptiste knows better and I am happy with #268502 as long as it concerns the bluez package also, and not only the kernel. (Anyway nobody worked on #329828.)

Dominique, I did finally get my DBT-122 to do as you described, i.e. I stop bluetooth, then pull the USB dongle out, put it back in, do hciconfig and then hcitool. I dunno what I messed up last time I tried it.

I can now scan for devices and connect to and query info from my N95 using hcitool, so at least some bits do indeed work even on my computer.

Same problem here with KY-BT100. I had problems with wiimote:
https://bugs.launchpad.net/bugs/291051

Long story short: Problems connecting the device,doing "hcitool cc MACaddress" at the same time that I try to connect make it to work in all machines. It has to be a simple thing.

Thanks for your work.

Ian M. Stewart (ims) wrote :

@Dominique Meeùs
I have tried what you suggested on 2009-03-29: The result was:

ian@******:~$ sudo hciconfig -a
hci0: Type: USB
 BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
 DOWN
 RX bytes:0 acl:0 sco:0 events:0 errors:0
 TX bytes:0 acl:0 sco:0 commands:0 errors:0

ian@******:~$ sudo hcitool scan
Device is not available: No such device

with both my USB dongles, either straight away or after unplugging and plugging back in.

Stefan Bader (smb) on 2009-04-01
Changed in linux:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → Fix Committed
status: In Progress → Fix Committed
description: updated
Artur Rona (ari-tczew) wrote :

@Stefan Bader
With this patch Ubuntu needs to be restarted after logging.
$ sudo /etc/init.d/bluetooth restart
Can you add to patch thing which can restart bluetooth while booting Ubuntu?

Jeff (jeffmart) wrote :

I have a dondle identified by device 1caa:0001 in lsusb... Just it. Vendor or Model are not identified.

Since Intrepid it is not working. Yesterday I upgraded to Jaunty and, after various other workarounds (sis671, no konsole [/dev/pts has not auto-mounting], slmodem... etc, that I could get work), bluetooth is just one that I couldn't!

Kdebluetooth starts. Other devices can see my notebook. But it can't see anybody.

In Intrepid, it at least see other devices (besides couldn't connect or paring). But now, nothing more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-11.39

---------------
linux (2.6.28-11.39) jaunty; urgency=low

  [ Alan Tull ]

  * SAUCE: mx51: fix to1.1 in mxc_iomux_set_input
    - LP: #348333

  [ Andy Whitcroft ]

  * SAUCE: acer: rfkill disable quirk for ACER Aspire One
    - LP: #319825

  [ Brad Figg ]

  * ARM: Increase CONFIG_BLK_DEV_RAM_SIZE for imx51 flavour.
    - LP: #349842
  * ARM: Enable rtl8187 for imx51
    - LP: #349526
  * ARM: Unset CONFIG_USB_STORAGE_DEBUG for imx51
    - LP: #348504

  [ Bryan Wu ]

  * build CRAMFS into kernel to support mounting CRAMFS initrd on iop32x
    machine
    - LP: #349104

  [ Michael Casadevall ]

  * [lpia] Change ATA, SCSI, SD, ext2-4 modules into compiled-in components
    - LP: #347458

  [ Rob Herring ]

  * SAUCE: imx51: fec: fix cache operations for receive
    - LP: #348333

  [ Sam Yang ]

  * SAUCE: Revert ENGR00103870 FEC reopening causes network wdog timeout
    - LP: #348333
  * SAUCE: imx51: fec cache flush functions are incorrect
    - LP: #348333

  [ Upstream Kernel Changes ]

  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502

 -- Tim Gardner <email address hidden> Wed, 01 Apr 2009 17:37:32 -0600

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

There should be no need to restart it and from the comments up to now I did not see that this was needed with the kernel patch. Can others comment on that?

Dominique Meeùs (dominiquem) wrote :

Still no improvement. The bluetooth daemon seems to be incompatible with btusb.

lsusb | grep D-Link
Bus 002 Device 003: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

uname -a
Linux library 2.6.28-11-generic #39-Ubuntu SMP Thu Apr 2 03:00:35 UTC 2009 i686 GNU/Linux

sudo /etc/init.d/bluetooth status
 * bluetooth is running

hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:667 acl:0 sco:0 events:19 errors:0
 TX bytes:591 acl:0 sco:0 commands:24 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

sudo hcitool scan
Scanning ...
Inquiry failed: Connection timed out

sudo /etc/init.d/bluetooth stop
 * Stopping bluetooth

hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:1015 acl:0 sco:0 events:30 errors:0
 TX bytes:632 acl:0 sco:0 commands:36 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
 Name: 'Broadcom BCM2035'
 Class: 0x000000
 Service Classes: Unspecified
 Device Class: Miscellaneous,
 HCI Ver: 1.2 (0x2) HCI Rev: 0x0 LMP Ver: 1.2 (0x2) LMP Subver: 0x309
 Manufacturer: Broadcom Corporation (15)

sudo hcitool scan
Scanning ...
 00:13:70:0E:8A:77 Nokia 6021

No "timed out (110)" when bluetooth is not in the way.

Artur Rona (ari-tczew) wrote :

Why this bug is affected by bluez [intrepid/jaunty] ?

Dominique Meeùs (dominiquem) wrote :

I wonder why a functionality present in 8.04 and broken for the full duration of 8.10 (regression) can be still "Undecided" and not assigned three weeks before the launch of 9.04.
But I am not a developer and I do not know how such work is assigned in Canonical and in the community. Is there a resource (link) explaining the steps of preparation and launch of a new version?

Leif Gruenwoldt (leifer) wrote :

@Dominique Meeùs

Thankyou!! ~7months later my bluetooth keyboard&mouse finnally works with latest kernel + your work around.

@ Ian M. Stewart

You might be missing a step or two. For reference my complete steps are:

1. sudo /etc/init.d/bluetooth stop
2. <unplug your bluetooth dongle and plug it back in now>
3. sudo hciconfig hci0 up
4. hciconfig -a
5. sudo hcitool scan
6. sudo hidd --search 00:07:61:9D:87:66

(Yes i'm using hidd from bluez-compat to connect, I don't know how else to connect)

For interest here's the full log:

$ lsusb | grep Blue
Bus 003 Device 004: ID 22b8:0850 Motorola PCS Bluetooth Device
leifer@leifer-desktop:~$ uname -a
Linux leifer-desktop 2.6.28-11-generic #40-Ubuntu SMP Fri Apr 3 17:39:51 UTC 2009 i686 GNU/Linux

leifer@leifer-desktop:~$ sudo /etc/init.d/bluetooth start
 * Starting bluetooth [ OK ]
leifer@leifer-desktop:~$ hciconfig -a
hci0: Type: USB
 BD Address: 00:0C:55:36:1E:56 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:667 acl:0 sco:0 events:19 errors:0
 TX bytes:578 acl:0 sco:0 commands:21 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)
leifer@leifer-desktop:~$ sudo hcitool scan
Scanning ...
Inquiry failed: Connection timed out

Ok lets try turning off bluetoothd.

$ sudo /etc/init.d/bluetooth stop
 * Stopping bluetooth [ OK ]
leifer@leifer-desktop:~$ sudo hciconfig hci0 up
leifer@leifer-desktop:~$ hciconfig -a
hci0: Type: USB
 BD Address: 00:0C:55:36:1E:56 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:342 acl:0 sco:0 events:10 errors:0
 TX bytes:35 acl:0 sco:0 commands:10 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
 Name: 'Broadcom BCM2035'
 Class: 0x000000
 Service Classes: Unspecified
 Device Class: Miscellaneous,
 HCI Ver: 1.2 (0x2) HCI Rev: 0x0 LMP Ver: 1.2 (0x2) LMP Subver: 0x309
 Manufacturer: Broadcom Corporation (15)

leifer@leifer-desktop:~$ sudo hcitool scan
Scanning ...
 00:07:61:9D:87:66 Logitech Cordless MediaBoard Pro(TM)
leifer@leifer-desktop:~$ sudo hidd --search 00:07:61:9D:87:66
Searching ...
 Connecting to device 00:07:61:9D:87:66

Success!

VladimirCZ (vlabla) wrote :

Just for your information about current situation in Intrepid:

I had installed the patched kernel for 64-bit Intrepid and my USB bluetooth started to work flawlessly. Today the update system offered newer kernel version. After I installed the update I am back in the situation before the patchech kernel - my USB bluetooth cannot pair phones etc. => Recommendation: Until the fix is committed do not install kernel updates or they will replace the patched kernel ...

Stiff (stiff.ru) wrote :

Is it way to solve this problem in intrepid 32-bit?
my dongle is ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
do i need to patch a kernel or it should be fixed by update?

Dominique Meeùs (dominiquem) wrote :

@ Stiff
As you may see at the top of the page, this is a two-sided bug, with a kernel side (btusb driver) and a Bluez side. The kernel side is said to be fixed. The Bluez side is qualified as New and Undecided. As a result nobody seems to be working on this any more (the Bluez side is not assigned, at least). Shall we see two successive version of Ubuntu (8.10 and 9.04) with the same regression from 8.04 going on for some rather popular hardware?
It may be an upstream bug. I wonder if Bluetooth is broken in all distributions using Bluez 4.xx or only in Ubuntu. I am not a developer and I do not feel like subscribing to a mailing list of Bluez developers to put the question.
Leif Gruenwoldt above (2009-04-05) says that I solved his problem with the hint of stopping bluetooth. Maybe an other software is used to connect keyboard and mouse. With bluetooth stopped, my phone is recognized, but I cannot do anything useful with it. Softwares as Wammu, or bluez-gnome, or blueman want bluetooth started.
In the meanwhile, I reinstalled 8.04 on an old laptop, moved the dongle to the laptop, and I sync my phone with this (mostly the agenda), and copy the files afterwards to other computers to read my agenda in Lightning (Thunderbird extension).

Stiff (stiff.ru) wrote :

I tried to launch ubuntu intrepid with kernel 2.6.24 from hardy and my dongle was worked fine. Therefore, I would like to try fixing this bug in kernel.
status of bug in intrepid "Fix Committed", what does it mean? that i can download update from repository? or i must patch the kernel modules manually?

Stefan Bader (smb) wrote :

Fix committed means it is in our git repo (kernel.ubuntu.com). It has not been uploaded yet, but will first appear in the proposed updates and later in the normal updates.

Dominique Meeùs (dominiquem) wrote :

Got Bluez 4.35 just now. Just as broken as always since 4.xx.

hciconfig -a
hci0: Type: USB
 BD Address: 00:13:46:00:55:A0 ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:667 acl:0 sco:0 events:19 errors:0
 TX bytes:327 acl:0 sco:0 commands:21 errors:0
 Features: 0xff 0xfe 0x0d 0x38 0x08 0x08 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

Øyvind Stegard (oyvinst) wrote :

Confirming problems in current Jaunty Release Candidate with USB Bluetooth dongle that comes with the Logitech DiNovo Edge keyboard. It will initially work in HCI mode (i.e. pairing with keyboard works), but if left idle, the dongle will suddenly revert to HID-mode, and I lose the Bluetooth device.

Here's what appears in the kernel log when the dongle suddenly reverts itself to HID-mode:
[164344.428180] usb 2-3.1: reset low speed USB device using ehci_hcd and address 5
[191730.936976] usb 8-2: USB disconnect, address 6
[191730.936978] usb 8-2.1: USB disconnect, address 9
[191730.937941] btusb_intr_complete: hci0 urb ffff88020b2e8240 failed to resubmit (19)
[191730.937950] btusb_bulk_complete: hci0 urb ffff88020b2e83c0 failed to resubmit (19)
[191730.938939] btusb_bulk_complete: hci0 urb ffff88020b2e86c0 failed to resubmit (19)
[191730.939124] btusb_send_frame: hci0 urb ffff880135304f00 submission failed
[191731.188639] usb 8-2.2: USB disconnect, address 7
[191731.220736] usb 8-2.3: USB disconnect, address 8
[191731.920011] usb 8-2: new full speed USB device using uhci_hcd and address 10
[191732.101937] usb 8-2: configuration #1 chosen from 1 choice
[191732.104908] hub 8-2:1.0: USB hub found
[191732.106862] hub 8-2:1.0: 3 ports detected
[191732.389849] usb 8-2.2: new full speed USB device using uhci_hcd and address 11
[191732.542916] usb 8-2.2: configuration #1 chosen from 1 choice
[191732.554127] input: Logitech Logitech BT Mini-Receiver as /devices/pci0000:00/0000:00:1d.2/usb8/8-2/8-2.2/8-2.2:1.0/input/input13
[191732.580592] generic-usb 0003:046D:C713.000A: input,hidraw2: USB HID v1.11 Keyboard [Logitech Logitech BT Mini-Receiver] on usb-0000:00:1d.2-2.2/input0
[191732.657823] usb 8-2.3: new full speed USB device using uhci_hcd and address 12
[191732.817074] usb 8-2.3: configuration #1 chosen from 1 choice
[191732.836757] input: Logitech Logitech BT Mini-Receiver as /devices/pci0000:00/0000:00:1d.2/usb8/8-2/8-2.3/8-2.3:1.0/input/input14
[191732.885632] logitech 0003:046D:C714.000B: input,hiddev96,hidraw3: USB HID v1.11 Mouse [Logitech Logitech BT Mini-Receiver] on usb-0000:00:1d.2-2.3/input0
[237346.101670] usb 2-3.1: reset low speed USB device using ehci_hcd and address 5

I can run:
$ sudo hid2hci

and the Bluetooth device comes back and works OK paired with the keyboard. Something is timing out somewhere. I would like the dongle to always stay in HCI mode.

This problem did not happen in Ubuntu Intrepid.

Øyvind Stegard (oyvinst) wrote :

Here's the Bluetooth dongle ID:
Bus 008 Device 013: ID 046d:c709 Logitech, Inc. BT Mini-Receiver (HCI mode)

And some versions:
linux-image-2.6.28-11-generic (2.6.28-11.42)
bluez 4.32-0ubuntu4

Stiff (stiff.ru) wrote :

My dongle (Integrated System Solution Corp. KY-BT100 Bluetooth Adapter) works in Jaunty :)

Dominique Meeùs (dominiquem) wrote :

Mine still does not work. This is a regression form 8.04 over two releases 8.10 and 9.04. I wonder why the Bluez bug (filed more than six month ago) is still considered New (through two releases), importance undecided (decidedly important to me) and unassigned (I am not able to fix it myself!)

uname -a
Linux library 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux
dpkg -l | grep bluez
ii bluez 4.35-0ubuntu1
lsusb
Bus 003 Device 002: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
hciconfig -a
hci0: Type: USB
 ...UP RUNNING
 ...Can't read local name on hci0: Connection timed out (110)

Dominique Meeùs wrote:
> Mine still does not work. This is a regression form 8.04 over two
> releases 8.10 and 9.04. I wonder why the Bluez bug (filed more than six
> month ago) is still considered New (through two releases), importance
> undecided (decidedly important to me) and unassigned (I am not able to
> fix it myself!)

Ah well, mine doesn't work either - unless I apply my _kernel_ patch
which reverts _net/bluetooth_ back to the 2.6.24 Hardy kernel's
protocol stack. (Patch posted earlier to this long bug report).

The latest kernel fixes to make the USB Bluetooth driver better don't
make any difference on my system. Neither does running older Bluez
code. I see a protocol bug in the kernel. Fortunately for me, I have
a workaround, but unfortunately it's not suitable for general use as
it reverts the entire kernel bluetooth stack quite a long way.

-- Jamie

Using Jaunty with Blueman from the PPA - browsing, copying, pasting etc.
on a phone via Nautilus works just fine!

No more "Operation not supported by backend". Just works.

It did not work in Intrepid w/Blueman PPA.

Jamie Lokier wrote:
> Dominique Meeùs wrote:
>> Mine still does not work. This is a regression form 8.04 over two
>> releases 8.10 and 9.04. I wonder why the Bluez bug (filed more than six
>> month ago) is still considered New (through two releases), importance
>> undecided (decidedly important to me) and unassigned (I am not able to
>> fix it myself!)
>
> Ah well, mine doesn't work either - unless I apply my _kernel_ patch
> which reverts _net/bluetooth_ back to the 2.6.24 Hardy kernel's
> protocol stack. (Patch posted earlier to this long bug report).
>
> The latest kernel fixes to make the USB Bluetooth driver better don't
> make any difference on my system. Neither does running older Bluez
> code. I see a protocol bug in the kernel. Fortunately for me, I have
> a workaround, but unfortunately it's not suitable for general use as
> it reverts the entire kernel bluetooth stack quite a long way.
>
> -- Jamie
>

kylea (kylea) wrote :

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

Jaunty 64Bit - Dell E6500

Bluetooth behaviour has changed. Under 8.10 the Dell Bluetooth radio had to be off during the boot up and then turned on. From then on Bluetooth mostly worked. Under Jaunty its the exact opposite. The bluetooth radio MUST be on during the boot up phase.

I built a new Jaunty 64 and from alpha 6 it appeared that Bluetooth was fixed. However it has reverted to a new incantation over the various updates to Beta and then RC and Production.

Now bluetooth mostly only works (ie can send files or use Gnome Phone Manager) if I connect from the Phone to the Laptop via anyremote first. So what I have to do it start anyremote via ganyremote - then I start Anyremote on my Nokia 6233 and then I can disconnect if I want too (don't have to) and then the Laptop can successfully communicate with the phone.

I updated to latest Blues 4.36 from 4.32 no change

kylea (kylea) wrote :

Re-booted and the updated to Blueman - Replaces Gnome Bluetooth Applet.

Seems to work properly - will reboot a few more times and advise if behaviour varies.

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

Jaunty 64Bit - Dell E6500

Yes, Blueman is definitely the answer in Jaunty.

All things seem to work for me - browsing, transferring files to phone
and also Wamma/Gammu phone access works when paired by Blueman.

https://launchpad.net/blueman/

kylea wrote:
> Re-booted and the updated to Blueman - Replaces Gnome Bluetooth Applet.
>
> Seems to work properly - will reboot a few more times and advise if
> behaviour varies.
>
> 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64
> GNU/Linux
>
> Jaunty 64Bit - Dell E6500
>

maximi89 (maximi89) wrote :

Debian SID still the problem.

maximi89@Maximiliano:~/Descargas/Bárbara$ uname -a
Linux Maximiliano 2.6.29-1-686 #1 SMP Fri Apr 17 14:35:16 UTC 2009 i686 GNU/Linux

Bus 002 Device 006: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

dmesg
[63401.520024] usb 2-7: reset low speed USB device using ohci_hcd and address 2
[71975.908248] usb 2-2: USB disconnect, address 5
[71975.908411] btusb_intr_complete: hci0 urb ef8e4bc0 failed to resubmit (19)
[71975.908647] btusb_send_frame: hci0 urb ef8e4bc0 submission failed
[71978.900030] usb 2-2: new full speed USB device using ohci_hcd and address 6
[71979.124225] usb 2-2: New USB device found, idVendor=1131, idProduct=1004
[71979.124229] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[71979.124233] usb 2-2: Product: ISSCEDRBTA
[71979.124235] usb 2-2: Manufacturer: ISSC
[71979.124321] usb 2-2: configuration #1 chosen from 1 choice
[71980.338422] hci_cmd_task: hci0 command tx timeout

Changed in debian:
status: Unknown → New
kylea (kylea) wrote :

So far with Blueman - I have to re-scan for devices and then I can Browse the phone. So its still not quite right.

Should just connect and work.

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
Jaunty 64Bit - Dell E6500

Leif Gruenwoldt (leifer) wrote :

Noticed in kernel log for Linux 2.6.30-rc4 something promising on the way for the dreaded "hci_cmd_task: hci0 command tx timeout" ??

 - Bluetooth: Add different pairing timeout for Legacy Pairing

http://lkml.org/lkml/2009/4/30/10

Note sure how to get and test with this latest kernel. If anyone knows or can test it would be great to hear from them.

kylea (kylea) wrote :

Blueman 1.10 - seems to be working last few re-starts have ok , with bluetooth working immediately.

Will do some more re-starts and shutdowns to confirm

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
Jaunty 64Bit - Dell E6500

kylea (kylea) wrote :

Blueman 1.10 - behaviour is not consistent.

Last Restart I had to "Search" for devices (button on the Blueman Devices dialog window) - then Bluetooth started to work. Other times after a restart it just works straight away.

Might be a timing thing - Ill try again and wait a few minutes before trying to connect to the phone.

Note: Connecting from the phone to the PC nearly always works and then all is ok until the next restart.

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
Jaunty 64Bit - Dell E6500

kylea (kylea) wrote :

Another test shutdown then started again - same behaviour had to "Search" for devices (button on the Blueman Devices dialog window) - then Bluetooth started to work.

Noticed this is the syslog log

obex-data-server: sdp_extract_seqtype: Unexpected end of packet

2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
Jaunty 64Bit - Dell E6500

Kylea, Could you provide a list of steps you took to get blueman working? I
have not been able to get it to work at all on a fresh install of jaunty.
After I "enable bluetooth", all the options on the blueman menu are still
greyed out and I can't do anything at all. Thanks!

kylea (kylea) wrote :

added the following to sources.list

http://ppa.launchpad.net/blueman/ppa/ubuntu jaunty main

Upgraded the following packages:
bluetooth (4.32-0ubuntu4) to 4.36-0ubuntu2
bluez (4.32-0ubuntu4) to 4.36-0ubuntu2
bluez-alsa (4.32-0ubuntu4) to 4.36-0ubuntu2
bluez-cups (4.32-0ubuntu4) to 4.36-0ubuntu2
bluez-gstreamer (4.32-0ubuntu4) to 4.36-0ubuntu2
bluez-utils (4.32-0ubuntu4) to 4.36-0ubuntu2
libbluetooth-dev (4.32-0ubuntu4) to 4.36-0ubuntu2
libbluetooth3 (4.32-0ubuntu4) to 4.36-0ubuntu2

Removed the following packages:
bluez-gnome

Installed the following packages:
blueman (1.10-1~ppa3j)

Thats all - beware it usually works - but sometimes it just wont and you have to re-boot

darylb (darylblanc) wrote :

Thanks Kylea. Unfortunately that's exactly what I was doing. I installed
jaunty afresh and tried it again to be sure, but I get the same result (100%
reproducible). I have logged a separate bug against blueman (370389) for
this issue.

Håkon Enger (hakon-enger) wrote :

I have the problem reported by Jamie Lokier here: https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/288613/comments/12 (can not connect to PAN service on Sony-Ericsson phone). The problem still exists in kernel 2.6.28-11.42 (up to date Jaunty) even though this bug is marked as "Fix released" for a month. I have a Thinkpad T61p with bluetooth controller 'Bus 003 Device 002: ID 0a5c:2110 Broadcom Corp. Bluetooth Controller'. The problem with PAN on S-E phones (don't know about other phones...) is also reported separately as bug #336012, I have submitted some more details there. I can confirm applying the patch posted by Jamie Lokier in comment 99 (forward-porting the Bluetooth protocol stack from 2.6.24 to 2.6.28) makes the problem disappear. Is there any progress happening on solving this bug?

psychodude (dhir-dhir-1992) wrote :

hi guys
i have the cambridge silicon dongle
it doesnt work
tielie has mentioned that it works nicely
any help would be appreciated
thanks!!

psychodude (dhir-dhir-1992) wrote :

ok for my above comment
i can send files to some phones
i cant pair with my sony k600i ( can pair with my nokia n73)
but i cant receive any file
any help??

Dominique Meeùs (dominiquem) wrote :

New flavor of the kernel this morning. The famous "more than six month regression" hci0 command tx timeout is still there.
~$ uname -a
Linux library 2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009 i686 GNU/Linux

I insert my dongle
~$ lsusb | grep Blue
Bus 003 Device 002: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter

No improvement:
May 7 05:09:04 library kernel: [ 236.152016] usb 3-1: new full speed USB device using uhci_hcd and address 2
May 7 05:09:04 library kernel: [ 236.344036] usb 3-1: configuration #1 chosen from 1 choice
May 7 05:09:04 library bluetoothd[2968]: HCI dev 0 registered
May 7 05:09:04 library kernel: [ 236.372633] Bluetooth: Generic Bluetooth USB driver ver 0.3
May 7 05:09:04 library kernel: [ 236.372758] usbcore: registered new interface driver btusb
May 7 05:09:04 library bluetoothd[2968]: HCI dev 0 up
May 7 05:09:04 library bluetoothd[2968]: Starting security manager 0
May 7 05:09:09 library kernel: [ 241.512969] hci_cmd_task: hci0 command tx timeout
May 7 05:09:14 library bluetoothd[2968]: Can't write class of device: Connection timed out (110)
May 7 05:09:14 library bluetoothd[2968]: Adapter /org/bluez/2968/hci0 has been enabled
May 7 05:09:14 library kernel: [ 246.519680] hci_cmd_task: hci0 command tx timeout
May 7 05:09:19 library bluetoothd[2968]: Sending getting name command failed: Connection timed out (110)
May 7 05:09:19 library kernel: [ 251.524851] hci_cmd_task: hci0 command tx timeout
May 7 05:09:24 library bluetoothd[2968]: Can't read class of device on hci0: Connection timed out (110)
May 7 05:09:24 library kernel: [ 256.530150] hci_cmd_task: hci0 command tx timeout

maximi89 (maximi89) wrote :

2009/5/6 Dominique Meeùs <email address hidden>

> New flavor of the kernel this morning. The famous "more than six month
> regression" hci0 command tx timeout is still there.
> ~$ uname -a
> Linux library 2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009
> i686 GNU/Linux
>
> I insert my dongle
> ~$ lsusb | grep Blue
> Bus 003 Device 002: ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth
> adapter
>
> No improvement:
> May 7 05:09:04 library kernel: [ 236.152016] usb 3-1: new full speed USB
> device using uhci_hcd and address 2
> May 7 05:09:04 library kernel: [ 236.344036] usb 3-1: configuration #1
> chosen from 1 choice
> May 7 05:09:04 library bluetoothd[2968]: HCI dev 0 registered
> May 7 05:09:04 library kernel: [ 236.372633] Bluetooth: Generic Bluetooth
> USB driver ver 0.3
> May 7 05:09:04 library kernel: [ 236.372758] usbcore: registered new
> interface driver btusb

You are using the module btusb 0.3 , in my case i'm using the 0.4 on

Linux Maximiliano 2.6.29-1-686 #1 SMP Fri Apr 17 14:35:16 UTC 2009 i686
GNU/Linux

But works fine my Bluetooth on old kernel 2.6.26, but i don't know what
module use...

> May 7 05:09:04 library bluetoothd[2968]: HCI dev 0 up
> May 7 05:09:04 library bluetoothd[2968]: Starting security manager 0
> May 7 05:09:09 library kernel: [ 241.512969] hci_cmd_task: hci0 command
> tx timeout
> May 7 05:09:14 library bluetoothd[2968]: Can't write class of device:
> Connection timed out (110)
> May 7 05:09:14 library bluetoothd[2968]: Adapter /org/bluez/2968/hci0 has
> been enabled
> May 7 05:09:14 library kernel: [ 246.519680] hci_cmd_task: hci0 command
> tx timeout
> May 7 05:09:19 library bluetoothd[2968]: Sending getting name command
> failed: Connection timed out (110)
> May 7 05:09:19 library kernel: [ 251.524851] hci_cmd_task: hci0 command
> tx timeout
> May 7 05:09:24 library bluetoothd[2968]: Can't read class of device on
> hci0: Connection timed out (110)
> May 7 05:09:24 library kernel: [ 256.530150] hci_cmd_task: hci0 command
> tx timeout
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Maximiliano Augusto Castañón Araneda
Santiago, Chile
Linux user # 394821

kylea (kylea) wrote :

Hi Dominique - if you can try this.

If you have a Nokia phone, install anyremote and then set it up to use bluetooth channel 19. Install the java client on the phone - you might need to sms it to yourself. I can sms them to you - then it will install automatically on the phone.

I have to most often, link from the phone to the PC - I use anyremote. This seems to "wake up" the bluetooth service and then I can link from the PC to my phone.

here is the link details

http://anyremote.sf.net/

http://ppa.launchpad.net/anyremote/ppa/ubuntu jaunty main

psychodude (dhir-dhir-1992) wrote :

erm hello
anyon can help?
i'm kinda new to linux

kylea (kylea) wrote :

psychodude - might be helpful for you to have a long careful read of this bug :)

There are several hundred posts covering a multitude of issues and suggestions.

This is seemly a very complex bug to fix with several overlapping pieces of software pulling in different directions. as its not fixed for a lot of people.

VladimirCZ (vlabla) wrote :

After installing Jaunty (fresh install) everything works flawlessly.

USB bluetooth adapter:
Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

OS Ubuntu 9.04 64-bit (2.6.28-11-generic)
Motherboard Asus P5KPL (Intel chipset with Intel(R) Core(TM)2 Duo CPU E4500 @ 2.20GH)

Pirouette Cacahuète (lissyx) wrote :

I burned & tested Jaunty LiveCD a couple of minutes ago, and my bluetooth dongle USB Device 1131:1004 worked. I'm currently upgrading my laptop to Jaunty, and I hope I'll confirm it works for me once on hard drive.

Pirouette Cacahuète (lissyx) wrote :

My device (1131:1004) now works, with Jaunty. Thanks.

Confirming that my device

1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

works now under a plain old Jaunty netbook remix install (2.6.28-11-generic kernel).

I have only tried using it with a wiimote, so I can't confirm phone issues. The wiimote works fine.

Thanks everyone!

Giles Weaver (gweaver) wrote :

I have the same device

1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

It works with Ubuntu 9.04, but not for very long:(
It times out after a short time when I use it to connect to my Sony-Ericcson
K510i. It worked fine under Ubuntu 8.04 and still works under Windows XP, so
I think that there is still a bluetooth stack issue under Jaunty, though the
situation is improved as compared to 8.10.

2009/5/8 adamjlincoln <email address hidden>

> Confirming that my device
>
> 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
>
> works now under a plain old Jaunty netbook remix install
> (2.6.28-11-generic kernel).
>
> I have only tried using it with a wiimote, so I can't confirm phone
> issues. The wiimote works fine.
>
> Thanks everyone!
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>

maximi89 (maximi89) wrote :

What about the kernel, and bluez programs?, i have the bluetooth-applet, and
btusb 0.4, yesterday i read about umounting /proc/bus/usb the bluetooth
works for a moment, but a time later the device stop to works and happen the
same, only messages about "hci0 time out"
http://osdir.com/ml/linux.bluez.user/2003-07/msg00129.html

Greetings!

2009/5/8 Giles Weaver <email address hidden>

> I have the same device
>
> 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
>
> It works with Ubuntu 9.04, but not for very long:(
> It times out after a short time when I use it to connect to my
> Sony-Ericcson
> K510i. It worked fine under Ubuntu 8.04 and still works under Windows XP,
> so
> I think that there is still a bluetooth stack issue under Jaunty, though
> the
> situation is improved as compared to 8.10.
>
> 2009/5/8 adamjlincoln <email address hidden>
>
> > Confirming that my device
> >
> > 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> >
> > works now under a plain old Jaunty netbook remix install
> > (2.6.28-11-generic kernel).
> >
> > I have only tried using it with a wiimote, so I can't confirm phone
> > issues. The wiimote works fine.
> >
> > Thanks everyone!
> >
> > --
> > Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> > https://bugs.launchpad.net/bugs/268502
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Maximiliano Augusto Castañón Araneda
Santiago, Chile
Linux user # 394821

Artur Rona (ari-tczew) wrote :

Bus 003 Device 003: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
now works fine. Fixed for this device (jaunty).

Dominique Meeùs (dominiquem) wrote :

Kernel bug NOT fixed

I read three weeks ago in the list <email address hidden> somebody patching btusb.c with
+ /* Integrated System Solution devices */
+ { USB_DEVICE(0x1131, 0x1004), .driver_info = BTUSB_WRONG_SCO_MTU },
+

I wonder if this explains that some Integrated System Solution devices recently began to work. Maybe somebody should do the same for D-Link (maybe with some other driver_info). I am a plain user. I am curious, I do my best to understand my system, I do my best to help free and open source system but I am not a developer and I don't feel like patching my btusb myself. I know nothing about C and little about make.

Would a developer be so kind to examine this?

By the way, if I am right, the fact that the D-Link dongle still does a command tx timeout is indeed a kernel bug and the #268502 kernel bug is wrongly marked as fixed.

kylea (kylea) wrote :

I am afraid I have given up on using Bluetooth to tranfer my calendar. In part the problem is the phones themselves.

I purchased a new Nokia 5800 - nice phone - and set up Bluetooth - worked fine for a while (1 Day) and then started to get the same behaviour with the 6233. Half the time I had to connect force a FROM the phone to the PC, described above.

Worked in this mode on and off for 4 days then it stopped, no sdptool browse response. So restarted the phone, could not transfer the calendar but sdptool browse <id> worked.

I then checked the output from sdptool browse <id> and noticed that the SyncMLClient channel had changed from 6 to 5 !!!

So I changed my settings to 5 in the Multisync tool, all good calender transfer worked

Next evening transfer failed. So I checked the channel again - and it had reset back to 6!

SO I have come to the conclusion that this must be a giant Nokia / Phone manufacturer conspiracy, cause I cannot take it any more.

Going to use GooSync (as we have a corporate Gmail account).

I have to sync Evo with Gmail via GCALDaemon, then I use GooSync - a pain - two steps when a cron should do it, and used to.

Good luck

kylea wrote:
> I then checked the output from sdptool browse <id> and noticed that the
> SyncMLClient channel had changed from 6 to 5 !!!

That's fine. It's not much different to computers changing IP address.
Apps should read the metadata (from sdptool!) and work out the right channel to use.

> So I changed my settings to 5 in the Multisync tool, all good calender
> transfer worked

Sounds like the bug is Multisync requiring you to enter the channel number.
It should work it out automatically. Maybe you could file a bug report for Multisync?

-- Jamie

kylea (kylea) wrote :

Jamie - ok fair enough I'll do that...

David Rubin (drubin) wrote :

This bug also affects me. (I noticed that a patch was released a while ago so I must be running that)

$ uname -a
Linux 16cpt-drubin 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

It affects this device
Bus 003 Device 003: ID 0a5c:200a Broadcom Corp. Bluetooth dongle
It isn't able to view any devices. This used to work on Hardy 32bit

How ever I have another bluetooth device that I have tested exact same system that works perfectly.
Bus 003 Device 005: ID 050d:0121 Belkin Components F5D5050 100Mbps Ethernet

Not sure if to create a new bug report on this or just add to this one?

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Confirmed
Changed in linux (Ubuntu Jaunty):
status: Fix Released → Confirmed
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Dominique Meeùs (dominiquem) wrote :

This has been marked fixed too early. For some dongles, there is absolutely no improvement since to move from bluez 3.xx to 4.xx, there is always a "command tx timeout" and "Connection timed out (110)".
The bug may have been fixed for some Integrated System devices, but obviously not for some others like Broadcom and D-Link (which were mentioned from the begining). These worked with Hardy but not with the newer btusb kernel module (and/or some other bluetooth software), which is a sad more than six month regression (through TWO Ubuntu releases). All the sadder if this is just for two lines as those I quoted on 2009-05-10.

Le jeudi 14 mai 2009 à 22:51 +0000, kylea a écrit :
> I am afraid I have given up on using Bluetooth to tranfer my calendar.
> In part the problem is the phones themselves.
>
> I purchased a new Nokia 5800 - nice phone - and set up Bluetooth -
> worked fine for a while (1 Day) and then started to get the same
> behaviour with the 6233. Half the time I had to connect force a FROM the
> phone to the PC, described above.
>
> Worked in this mode on and off for 4 days then it stopped, no sdptool
> browse response. So restarted the phone, could not transfer the calendar
> but sdptool browse <id> worked.
>
> I then checked the output from sdptool browse <id> and noticed that the
> SyncMLClient channel had changed from 6 to 5 !!!
>
> So I changed my settings to 5 in the Multisync tool, all good calender
> transfer worked
>
> Next evening transfer failed. So I checked the channel again - and it
> had reset back to 6!
>
> SO I have come to the conclusion that this must be a giant Nokia / Phone
> manufacturer conspiracy, cause I cannot take it any more.
>
> Going to use GooSync (as we have a corporate Gmail account).
>
> I have to sync Evo with Gmail via GCALDaemon, then I use GooSync - a
> pain - two steps when a cron should do it, and used to.
>
> Good luck
>

Hello,

Sorry that picky, but why do you discuss about that here, this has
nothing to do with the hci problem.
For discussion, could you use forums?

Thanks.

> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a member of
> Bluetooth, which is subscribed to bluez in ubuntu.
>

Brian Rogers (brian-rogers) wrote :

Bug trackers generally track underlying problems, not the symptoms of those problems. Since a real problem has definitely been solved here, and some dongles have gone from a non-working to a working state, this bug should be marked as fixed. So I'm resetting the status (and closing the BlueZ issue).

If you're still having Bluetooth issues, please file a new bug so the remaining issue(s) can get proper attention. Also, try testing the very latest upstream kernel. If it works there, you can track down the commit that fixed things and that can be backported. That's what I did to fix this bug.

Changed in linux (Ubuntu Jaunty):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Intrepid):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in bluez (Ubuntu):
status: New → Invalid
Changed in bluez (Ubuntu Intrepid):
status: New → Invalid
Changed in bluez (Ubuntu Jaunty):
status: New → Invalid
kylea (kylea) wrote :

Hi Baptiste Mille-Mathias your comment is correct.

 - however I have been dealing with this bug for nearly 6 months now - reporting issues and progress and given the length of time and amount of work that I and other users have dedicated to this bug I feel I have a obligation to put the comments here.

I must admit a degree of frustration has lead to this comment too. I do appreciate its not easy sometimes to fix these types of bugs - so many hardware vendors etc, but there we are. I believe that this feature is very important to Ubuntu in its struggle to remove Windows.

Also, my comments also identified another issue that may be affecting the very same users who are struggling with this bug. IE the phones are also playing a significant role in this and individuals who are reporting against this long running bug (IMHO) need to be aware that maybe they are reporting an issue that is not this bug.

So it makes sense for all the user reporters of this bug to get this info.

We need a working Bluetooth stack.

My experience clearly demonstrates that if I connect from the Phone to the PC (via anyremote) that Bluetooth generally works flawlessly.

Sometimes it will work ok from the PC to the Phone. So that is telling me that the PC Bluetooth layer is searching or trying to link to the various services on the Phone and sometimes the Phone is not listening on the channels that the PC is assuming is valid.

This is a classic time-out bug scenario.

Hope that helps some others. :)

A new bug report has been filed for DBT-122

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/377225

Dominique Meeùs (dominiquem) wrote :

The original bug goes as follows:
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
Since the bug is still there for the last two, I considered the bug as not fixed and I reopened it to make sure that work would not stop on this issue and the bug stay for ever. Sorry if this was not appropriate.

Thanks to Brian Rogers for suggesting a way out of this situation (opening a new bug).
Thanks to Sami Mäkinen for opening bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/377225.
I 'll do my best to help under this new bug.

maximi89 (maximi89) wrote :

Hi, i have the same bluetooth receptor as you

Artur Rona wrote on 2009-05-09: (permalink)

Bus 003 Device 003: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
now works fine. Fixed for this device (jaunty).

What kernel version are you using, and which bluez-utils version?

i'm running Debian.
Linux Maximiliano 2.6.29-2-686 #1 SMP Sun May 17 17:56:29 UTC 2009 i686 GNU/Linux
btusb 0.4
bluez-utils 3.36-3

i still can't make works my bluetooth
i get this messages every time when i try to connect to device

sudo hcitool cc 00:1A:XX:XX:XX:XX
dmesg:
[64563.108181] hci_cmd_task: hci0 command tx timeout

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=529880

affects: debian → bluez-utils (Debian)
Changed in bluez-utils (Debian):
status: New → Unknown
Changed in bluez (Debian):
status: Unknown → New
maximi89 (maximi89) wrote :

i update to kernel 2.6.30-rc6 on Debian, and bluez 4.34-0exp1 and now i can ping and scan devices, and the error hci0 tx timeout disappear, but still not working...

i can't use or transfers files...
ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

Changed in bluez-utils (Debian):
status: Unknown → New
maximi89 (maximi89) wrote :
maximi89 (maximi89) wrote :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530034

Bluez 4.40-1 Debian Bug Track kernel 2.6.30-rc6
hci0 tx timeout are fixed in this version.

maximi89 (maximi89) wrote :

Bluez 4.40 works for me, using this:

gnome-obex-send -d XX:XX:XX:XX:XX:XX '/home/maximi89/Foto curriculo.png'

maximi89 (maximi89) wrote :

Hi, bluez 4.40 fix my problem, please closes this bug, i use gnome-obex-send:

gnome-obex-send -d XX:XX:XX:XX:XX:XX '/home/maximi89/Foto curriculo.png'

works mostly, kernel 2.6.30-rc6 fix the problem of "hci0 tx timeout"

ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

[ 6306.340042] usb 2-2: new full speed USB device using ohci_hcd and address 4
[ 6306.564806] usb 2-2: New USB device found, idVendor=1131, idProduct=1004
[ 6306.564815] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 6306.564822] usb 2-2: Product: ISSCEDRBTA
[ 6306.564826] usb 2-2: Manufacturer: ISSC
[ 6306.564973] usb 2-2: configuration #1 chosen from 1 choice

sorry, i was trying with:
sudo hciconfig hci0 up
sudo hcitool cc XX:XX:XX:XX:XX:XX (holtmann of bluez say that it's only for developers)
that's wrong because with l2ping tell you are working fine sending tx, and gnome-obex-send or other program can tell you if are sending files or not.

When i back to the reposiroty of debian bluez 4.34-0exp1 and do hciconfig hci0 up this works for me with a bluetooth sender files like gnome-obex-send

So this bug is invalid.
Greetings!

Martin Pitt (pitti) wrote :

Accepted linux into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Dominique Meeùs (dominiquem) wrote :

In the case of ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter, it seems that it was not so much a kernel bug than a bluez bug:

It still does NOT work with kernel 2.6.29 and the regular Bluez 4.3x from the Ubuntu distribution.
It DOES work OK with Bluez 4.40-2 from Debian.

Nigel Pallett (nigelp) wrote :

output from lsusb:

ID 0a5c:200a Broadcom Corp. Bluetooth dongle

Still does not work with kernel 2.6.28-13-generic on jaunty

# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

Dominique Meeùs (dominiquem) wrote :

For some dongles (as my D-Link DBT-122), there little or no kernel problem, but a Bluez problem.

This is what I did concretely:
— display http://http.us.debian.org/debian/pool/main/b/bluez/
— click libbluetooth3_4.40-2_i386.deb and simply accept installation by GDebi
— idem with bluez_4.40-2_i386.deb and bluetooth_4.40-2_all.deb. (Others may have to make an other choice than i386.)

With Bluez 4.40, my problem was solved (after nearly eight months regression!)

It would be interesting that other people test Bluez 4.40 with the Broadcom or other dongles. It would be interesting to make this test with kernels 2.6.27 or 2.6.28. I installed 2.6.29 (with no improvement) before I heard of Bluez 4.40.

Dominique Meeùs (dominiquem) wrote :

I just did boot back in 2.6.28 (2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009 i686).
My D-Link DBT-122 (ID 2001:f111) works as expected. This confirms that, for this dongle, Bluez 4.00 to 4.32 was the problem and Bluez 4.40 the solution, not the kernel. (Mind the fact that there are two different D-Link DBT-122 in the lists of USB IDs.)

Nigel Pallett (nigelp) wrote :

Problem solved with bluez 4.40 - My Broadcom dongle now works.

lsusb output:

Bus 003 Device 002: ID 0a5c:200a Broadcom Corp. Bluetooth dongle

Ubuntu 9.04 Jaunty

kernel 2.6.28-13-generic

I can now connect to my Nokia N70 phone, my Nokia 770 Internet Tablet and my Nokia LD-3W Bluetooth GPS device.

I can also confirm that bluez 4.40 fixed my bluetooth after months of not working (9.04 AMD64 with latest kernel). All I did was follow Dominique's instructions above and used 'amd64' instead of 'i386'.

lsusb:
Bus 001 Device 008: ID 047d:105d Kensington PocketMouse Bluetooth
Bus 001 Device 005: ID 0a5c:3535 Broadcom Corp.

(Yes, I show 2 BT devices with one dongle. No idea why.)

DBT-122 also working here now, with Debian packages (AMD64, 9.04)

Steve Beattie (sbeattie) on 2009-06-16
tags: added: hw-specific
TCA (thomas-caesens) wrote :

Good news:
I bought a Belkin Mini Bluetooth Adapter (only 12€) and hooked it up to my USB port on my PC.

And guess what? Everything ran flawless!

- USB/Bluetooth device automatically detected. (Bluetooth applet showed automatically in the top pannel)
- Bluetooth user/password sequence passed without even a glitch
- browsed file system on my Nokia 6021 without problems
- adding files to the mobile phone worked fine as well

This might encourage other people to go on in their quest to get things working on their Ubuntu system.
I'm using one of the latest Ubuntu versions: Ubuntu 9.04 - the Jaunty Jackalope - released in April 2009.

Thomas

Peter van Heusden (pvh-sanbi) wrote :

I can confirm that Bluez 4.32 to 4.40 fixed my problem, as per Dominique Meeùs' suggestion. This is with a Broadcom dongle, USB ID: 0a5c:200a.

Unfortunately updating Bluez doesn't work for me.

I've tried updating Bluez from 4.32 to 4.40 as per the suggestion.
Specifically, these packages from Debian:

    bluetooth_4.40-2_all.deb
    bluez_4.40-2_i386.deb
    bluez-alsa_4.40-2_i386.deb
    bluez-compat_4.40-2_i386.deb
    bluez-cups_4.40-2_i386.deb
    bluez-gstreamer_4.40-2_i386.deb
    bluez-utils_4.40-2_all.deb
    libbluetooth3_4.40-2_i386.deb

Using the above packages and Jaunty's latest kernel,
2.6.28-13-generic, I'm still not able to make connections to my
Sony-Ericsson K850i phone.

The symptoms are the same old: the phone seems an attempted
connection, and asks for confirmation (if not already allowed), and
then the phone sees a second attempted connection.

With my ancient kernel patch (long ago now on this bug), there's only
one connection and it works.

Håkon Enger (hakon-enger) wrote :

Jamie: Did you try using the script that I have attached to bug #336012:
http://bugs.launchpad.net/ubuntu/+source/bluez/+bug/336012/comments/4

The point is to enable encryption before making the PAN connection. Note that you have to use a script because timing is very important, baseband connection will be disconnected automatically after about one second if no other connection is made. The bug is that the PAN connection request is resent when the phone requests encryption, so you have to enable encryption first. I think this is a kernel bug, not a bluez bug.

Thanks Håkon!

The script does not work, but adding one more command makes it work on my Sony-Ericsson K850i. I'll be adding details to bug #336012, which is the proper place for it.

I had it confused with the "hci_cmd_task: hci0 command tx timeout" because I have seen that too, occasionally, when trying to make these connections.

There's now good evidence that the difficulty connecting to Sony-Ericsson phones is a completely separate bug, although it's possible to have both if you're unlucky.

Further comments from me, including a script which I now use to connect to the net over 3g on my Sony-Ericsson phone, on #336012.

DocterD (docterdee) wrote :

Another one with a not working Bluetooth connection:

bluez-4.45
kernel-2.6.30.1

When I try to connect to my Playstatio 3 remote i often get this problem. I'm really tiered of this.:

input: Sony Computer Entertainment Inc BD Remote Control as /devices/pci0000:00/0000:00:0b.0/usb2/2-1/2-1:1.0/bluetooth/hci0/hci0:1/input7
generic-bluetooth 0005:054C:0306.0001: input,hidraw0: BLUETOOTH HID v1.00 Gamepad [Sony Computer Entertainment Inc BD Remote Control] on 00:11:67:AB:3A:AD
usb 2-1: USB disconnect, address 2
btusb_bulk_complete: hci0 urb f6790400 failed to resubmit (19)
btusb_intr_complete: hci0 urb f6790900 failed to resubmit (19)
btusb_bulk_complete: hci0 urb f6790600 failed to resubmit (19)
btusb_send_frame: hci0 urb ee9f7000 submission failed
usb 2-1: new full speed USB device using ohci_hcd and address 3
usb 2-1: configuration #1 chosen from 1 choice

Changed in bluez-utils (Debian):
status: New → Fix Committed
Changed in bluez (Debian):
status: New → Fix Committed

I also have this problem in 9.04.

dmesg:
[ 1572.852058] usb 2-1: new full speed USB device using uhci_hcd and address 4
[ 1573.008758] usb 2-1: configuration #1 chosen from 1 choice
[ 1578.026633] hci_cmd_task: hci0 command tx timeout
[ 1583.031905] hci_cmd_task: hci0 command tx timeout

hciconfig:
hci0: Type: USB
 BD Address: 00:1F:81:XX:XX:XX ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING
 RX bytes:360 acl:0 sco:0 events:13 errors:0
 TX bytes:297 acl:0 sco:0 commands:17 errors:4

lsusb:
Bus 002 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

hcitool scan:
Scanning ...
Inquiry failed: Connection timed out

Vincent Law (vincentlaw) wrote :

Exactly the same as Matthijs.
Same dongle, same hciconfig status (UP RUNNING ... strange) and same dmesg.

Jaunty x86_64
I've installed 2.6.29 kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29.6/
Having read that patches have been applied to 2.6.29-rc3
Is it the good place to find up-to-date kernel packages ?

I also have the bluetooth packages from http://philip.magicalforest.se
dpkg -l | grep blue
ii bluemon 1.4-5ubuntu1
ii bluetooth 4.47-jaunty~ppa1
ii bluez 4.47-jaunty~ppa1
ii bluez-alsa 4.47-jaunty~ppa1
ii bluez-cups 4.47-jaunty~ppa1
ii bluez-gnome 1.8-0ubuntu5
ii bluez-gstreamer 4.47-jaunty~ppa1
ii bluez-utils 4.47-jaunty~ppa1
ii libbluetooth-dev 4.47-jaunty~ppa1
ii libbluetooth3 4.47-jaunty~ppa1

Philip (hallo9999) on 2009-08-16
Changed in linux (Ubuntu Jaunty):
status: Fix Released → Fix Committed
status: Fix Committed → New
Changed in linux (Ubuntu Jaunty):
status: New → Fix Released
Brian Rogers (brian-rogers) wrote :

A fix for one Bluetooth issue has already been committed and released, so "Fix Released" is the proper state for this bug report.

If you still have the same symptoms even with the fix and have reported one of the bugs that is marked as a duplicate of this one, you can undupe your own bug report and reopen that. Otherwise, if you are still experiencing Bluetooth issues, please file a new bug report. There are more issues to fix, and they all need to be tracked in their own bug reports.

Oh, and if your symptoms have changed in any way after this fix, be sure to file a new bug and not reopen a duplicated bug report, so you don't cause confusion.

Download full text (3.6 KiB)

Am I stupid or something? Where, pray tell, can I find this "fix"?

Bruce

On Aug 16, 2009, at 7:45 AM, Brian Rogers wrote:

> A fix for one Bluetooth issue has already been committed and released,
> so "Fix Released" is the proper state for this bug report.
>
> If you still have the same symptoms even with the fix and have
> reported
> one of the bugs that is marked as a duplicate of this one, you can
> undupe your own bug report and reopen that. Otherwise, if you are
> still
> experiencing Bluetooth issues, please file a new bug report. There are
> more issues to fix, and they all need to be tracked in their own bug
> reports.
>
> Oh, and if your symptoms have changed in any way after this fix, be
> sure
> to file a new bug and not reopen a duplicated bug report, so you don't
> cause confusion.
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: In Progress
> Status in “bluez” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in bluez in Ubuntu Intrepid: Invalid
> Status in linux in Ubuntu Intrepid: Fix Committed
> Status in bluez in Ubuntu Jaunty: Invalid
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in “bluez” package in Debian: Fix Committed
> Status in “bluez-utils” package in Debian: Fix Committed
>
> Bug description:
> SRU justification:
>
> Impact: A series of bluetooth dongles [1] do not work properly with
> the new
> btusb driver which replaced usb_hci. This has been fixed
> upstream
> (2.6.29-rc3). The required changes are all local to the btusb
> driver.
>
> Fix: The following three patches are required to fix this (two as
> prerequisite
> and one for the actual fix). The fix deviates from upstream by
> the change
> of a version number and the missing resume part which does not
> exist for
> Intrepid nor Jaunty.
>
> Test: Fix has been tested by bug reporters.
>
> ---
>
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth
> Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
>
> They don't work properly with the newer btusb driver, which replaced
> hci_usb by default in 2.6.27. This hasn't been fixed upstream as of
> v2.6.29-rc3.
>
> Original message below:
>
> Association with Bluetooth works using kernel 2.6.26, since the
> updates to 2.6.27 (both -1 and -2) association fails. I can scan and
> see bluetooth devices but not pair.
>
> Using my phone, I start the association process, the phone asks for
> a passkey, and in 2.6.26 the popup window appears normally allowing
> me to enter the passkey. In 2.6.27 the dialog box never appears.
>
> If I use hcitool:
>
> :~$ sudo hcitool cc 00:1B:59:96:A6:DD
> :~$ sudo hcitool auth 00:1B:59:96:A6:DD
> HCI authentication request failed: Connection timed out
>
> the dialog box appears very very briefly then ...

Read more...

Martin Emrich (emme) wrote :

Hi!

I have one of these dongles:

ID 1131:1004 Integrated System Solution Corp. Bluetooth Device

I saw this message: hci_cmd_task: hci0 command tx timeout
and several of these: btusb_bulk_complete: hci0 urb ef171800 failed to resubmit (1)

I am running karmic with linux 2.6.31-5-generic. Is this bug also affecting karmic or could there be another problem?

Brian Rogers (brian-rogers) wrote :

Bruce,

The fix is in Jaunty's 2.6.28-11.39 Linux kernel. If you have all the updates, then you should have the fix. To double-check, "uname -r" should report something newer than 2.6.28-11-generic. So if you still have problems, then you're being affected by a separate issue and should file a new bug.

Martin,

The fix put into Jaunty was from upstream so it's already included in Karmic's kernel by now. This means there's at least one more (separate) problem to be fixed before your dongle will work. I was hoping the one fix would work for all dongles having the same symptoms as mine, but that wasn't the case, so we need new bugs for the remaining non-working dongles.

Brian,

I still have this problem with my dongle (0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)). What bug should I subscribe to? Jaunty 2.6.28-14-generic right now.

Martin Emrich (emme) wrote :

Ok. Yesterday, a new kernel as well as a new bluez version came to karmic, and then I was able to send a picture to my phone as well as listening to music via A2DP. so either these updates fixed it, or it's another problem.

kylea (kylea) wrote :

I am running Karmic 64bit - 2.6.31-5-generic #24-Ubuntu SMP Sat Aug 1 12:47:58 UTC 2009 x86_64 GNU/Linux

A word of warning I found the latest release of Bluez, 4.48 very unstable and have reverted back to 4.45-0ubuntu4, this was in combination with kernel 2.6.31-6, in combination with gnome-bluetooth 2.27.8

The devices would disappear from the menu and basically nothing worked.

I'll build a new instance and re-test it and log a new bug report if I can repeat the behaviour

Adrian Grebin (adrian-grebin) wrote :
Download full text (3.8 KiB)

I am running jaunty 9.04 2.6.28-15 with bluez 4.42 and still having issues.
tryied with several kernel ranging from 2.6.27-11 , 2.6.28-11 and 2.6.29.6 with bluez 4.32 and bluez 4.42 having the same results.
Sometimes the dongle is well recognized and can pair, and transfer files, some other times not.
restarting bluetooth (/etc/init.d/bluetooth restart) removing btusb, starting bluetooth again and then insterting the module again seems to work but again, just sometimes.

I've read that there is an actual fix, it seems to be a btusb issue, how can i go back to the previous driver, just by recompiling manuall another kernel?

The configuration that i have now is:
root@redemption:~# uname -a
Linux redemption 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux
root@redemption:~# lsusb |grep -i blue
dBus 008 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
root@redemption:~# dpkg -l |grep blue
ii blueman 1.10-1~ppa3j A Graphical bluetooth manager
ii bluetooth 4.42-2 Bluetooth support
ii bluez 4.42-2 Bluetooth tools and daemons
ii bluez-alsa 4.42-2 Bluetooth ALSA support
ii bluez-audio 4.42-2 Transitional package
ii bluez-cups 4.42-2 Bluetooth printer driver for CUPS
rc bluez-gnome 1.8-0ubuntu5 Bluetooth utilities for GNOME
ii bluez-gstreamer 4.42-2 Bluetooth GStreamer support
ii bluez-utils 4.42-2 Transitional package
ii gnome-bluetooth 0.11.0-0ubuntu4 GNOME Bluetooth tools.
ii libbluetooth3 4.42-2 Library to use the BlueZ Linux Bluetooth stack

Typical message:
root@redemption:~# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

- After stopping bluetoog (/etc/init.d/bluetooth stop)
- rmmod btusb
- modprobe btusb
I get this:

root@redemption:~# hciconfig dev
hci0: Type: USB
 BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING
 RX bytes:407 acl:0 sco:0 events:18 errors:0
 TX bytes:318 acl:0 sco:0 commands:19 errors:2

root@redemption:~# hcitool inq
Inquiring ...
Inquiry failed.: Connection timed out
- and some syslog errors:
Aug 21 16:34:07 redemption bluetoothd[6915]: bridge pan0 created
Aug 21 16:34:07 redemption bluetoothd[6915]: HCI dev 0 registered
Aug 21 16:34:07 redemption bluetoothd[6915]: HCI dev 0 up
Aug 21 16:34:07 redemption bluetoothd[6915]: Sta...

Read more...

Download full text (4.0 KiB)

Description of problem:

Bluetooth detection and use is very unstable with gnome-bluetooth and/or blueman.

lsusb:
Bus 003 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

When I insert it, this shows up in /var/log/messages:

Aug 25 15:28:31 localhost kernel: usb 3-1: new full speed USB device using uhci_hcd and address 4
Aug 25 15:28:31 localhost kernel: usb 3-1: New USB device found, idVendor=0a12, idProduct=0001
Aug 25 15:28:31 localhost kernel: usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Aug 25 15:28:31 localhost kernel: usb 3-1: configuration #1 chosen from 1 choice
Aug 25 15:28:31 localhost bluetoothd[1677]: HCI dev 0 registered
Aug 25 15:28:31 localhost bluetoothd[1677]: HCI dev 0 up
Aug 25 15:28:31 localhost bluetoothd[1677]: Starting security manager 0
Aug 25 15:28:36 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:41 localhost bluetoothd[1677]: Can't write inquiry mode for /org/bluez/1677/hci0: Connection timed out (110)
Aug 25 15:28:41 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:46 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:46 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:51 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:51 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:28:56 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:28:56 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:01 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:01 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:06 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:06 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:11 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:11 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:16 localhost bluetoothd[1677]: Can't write class of device: Connection timed out (110)
Aug 25 15:29:16 localhost bluetoothd[1677]: probe failed with driver input-headset for device /org/bluez/1677/hci0/dev_00_1B_59_52_99_41
Aug 25 15:29:16 localhost bluetoothd[1677]: Adapter /org/bluez/1677/hci0 has been enabled
Aug 25 15:29:16 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:21 localhost bluetoothd[1677]: Sending getting name command failed: Connection timed out (110)
Aug 25 15:29:21 localhost kernel: hci_cmd_task: hci0 command tx timeout
Aug 25 15:29:26 localhost bluetoothd[1677]: Can't read class of device on hci0: Connection timed out (110)
Aug 25 15:29:26 localhost kernel: hci_cmd_task: hci0 command tx timeout

[root@portatil ~]# hciconfig
hci0: Type: USB
 BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING
 RX bytes:676 acl:0 sco:0 events:21 errors:0
 TX bytes:327 acl:0 sco:0 commands:32 errors:12

[root@portatil ~]# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

[root@portatil ~]...

Read more...

Forgot to say, this happens using kernel PAE-2.6.29.6-217.2.8 and PAE-2.6.30.5-32.fc11.i686.

Usually, if I turn the laptop on with the bluetooth adaptor already plugged in, it works for a few moments, hcitool scan, pairing. After some bluetooth actions, the adaptor stops working with the message: kernel: hci_cmd_task: hci0 command tx.

If the adaptor is inserted after booting the laptop, usually it doesn't work and always shows the command tx error message when trying to scan, pairing or any other bluetooth action.

I own two other bluetooth adaptors which work flawlessly since fedora 6 or 7.
All three adaptors have the same usb id:

Bus 003 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

One of them seems to work every time (kernel-PAE-2.6.30.5-32.fc11.i686), the other one upon inserted requires a restart of the bluetooth service to start working. The new one, which originated this bug report, always stops working (or never does) after some bt actions, like scanning, pairing or browsing files on a cell phone with the error message on /var/log/messages: kernel: hci_cmd_task: hci0
command tx.

Could this be a problem around hci_usb kernel module being replaced with btusb kernel module?

I'll be very happy to provide any additional information needed to debug this problem.

Thanks in advance!

Works here with:
  0a5c:2101 Broadcom Corp. A-Link BlueUsbA2 Bluetooth

Thanks for taking time to review this bug.

I'm in the process of installing a box with F12 Alpha, I'll have new comments about this bug as soon as I can update it and groupinstall gnome desktop.

Also works with Kensington model #33348 dongle, id 047d:105e

I have the same problem with 2.6.29.6-217.2.16.fc11.x86_64. And a very similar bluetooth dongle.

If more information is needed just ask for it.

Thanks in advance.

(In reply to comment #7)
> I have the same problem with 2.6.29.6-217.2.16.fc11.x86_64. And a very similar
> bluetooth dongle.
>
> If more information is needed just ask for it.
>
> Thanks in advance.

Just add it is a:

Bus 002 Device 005: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Running Fedora 12 Alpha updated till today:

2.6.31-0.204.rc9.fc12.i686.PAE

bluez-libs-4.52-1.fc12.i686
bluez-cups-4.52-1.fc12.i686
gnome-bluetooth-2.27.90-2.fc12.i686
gnome-bluetooth-libs-2.27.90-2.fc12.i686
bluez-4.52-1.fc12.i686

[root@utopia ~]# hciconfig -a
hci0: Type: USB
 BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING PSCAN
 RX bytes:972 acl:0 sco:0 events:28 errors:0
 TX bytes:361 acl:0 sco:0 commands:29 errors:2
 Features: 0xff 0x3e 0x0d 0x76 0x80 0x01 0x00 0x80
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

Sep 7 21:07:35 utopia kernel: hci_cmd_task: hci0 command tx timeout

lsusb:
Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Regarding the last error message from hciconfig, Can't read local name on hci0:, I tried this:

[root@utopia ~]# hciconfig hci0 name utopia
Can't change local name on hci0: Connection timed out (110)

I tried some hciconfig options:

[root@utopia ~]# hciconfig hci0 down

Prompt resumes, seems down.

[root@utopia ~]# hciconfig hci0 up

Prompt doesn't resume. Ctrl-C or Ctrl-Z doesn't work. Kill -9 doesn't work either. /var/log/messages says this:

Sep 7 21:21:33 utopia bluetoothd[1062]: HCI dev 0 down
Sep 7 21:21:33 utopia bluetoothd[1062]: Adapter /org/bluez/1059/hci0 has been disabled
Sep 7 21:21:33 utopia bluetoothd[1062]: Stopping security manager 0
Sep 7 21:21:42 utopia kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
Sep 7 21:21:42 utopia kernel: btusb 4-2:1.0: no reset_resume for driver btusb?
Sep 7 21:21:42 utopia kernel: btusb 4-2:1.1: no reset_resume for driver btusb?

More hciconfig options:

[root@utopia ~]# hciconfig hci0 reset
[root@utopia ~]# hciconfig -a
hci0: Type: USB
 BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING PSCAN
 RX bytes:2224 acl:0 sco:0 events:61 errors:0
 TX bytes:733 acl:0 sco:0 commands:59 errors:2
 Features: 0xff 0x3e 0x0d 0x76 0x80 0x01 0x00 0x80
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
 Name: 'Accel-OB2'
 Class: 0x4a0104
 Service Classes: Networking, Capturing, Telephony
 Device Class: Computer, Desktop workstation
 HCI Ver: 2.0 (0x3) HCI Rev: 0x3 LMP Ver: 2.0 (0x3) LMP Subver: 0x3
 Manufacturer: Cambridge Silicon Radio (10)

After the hciconfig reset, this adaptor has never stopped working. Do I really have to issue hciconfig hci0 reset each boot for bluetooth to work? Is this still a kernel related problem?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Download full text (6.0 KiB)

Have updated kernel to 2.6.28-11-generic but still get:

"Connecting to device 00:07:61:05:91:90.
Can't get device information Device information: Connection
timed out"

Tried the various codes like 0000, 1234, 9999, etc. to no avail.

Can't tell you much about the dongle except it's a cheap, micro-
miniature
one shaped like a half-moon with no identification on it.

Other (larger) dongles work.

Bruce

On Sep 14, 2009, at 9:52 AM, Launchpad Bug Tracker wrote:

> This bug was fixed in the package linux - 2.6.27-14.41
>
> ---------------
> linux (2.6.27-14.41) intrepid-proposed; urgency=low
>
> [ Stefan Bader ]
>
> * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
> - LP: #300143
>
> linux (2.6.27-14.40) intrepid-proposed; urgency=low
>
> [ Amit Kucheria ]
>
> * Disable DEVKMEM for all archs on Intrepid
> - LP: #354221
> * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
> - LP: #332443
>
> [ Andy Isaacson ]
>
> * LIRC_PVR150: depends on VIDEO_IVTV
> - LP: #341477
> * SAUCE: FSAM7400: select CHECK_SIGNATURE
> - LP: #341712
>
> [ Andy Whitcroft ]
>
> * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo
> laptops
> - LP: #330259
> * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
> - LP: #336189
>
> [ Anton Veretenenko ]
>
> * SAUCE: sony-laptop: add support for Sony Vaio FW series function/
> media
> keys
> - LP: #307592
>
> [ Ayaz Abdulla ]
>
> * SAUCE: forcedeth: msi interrupt fix
> - LP: #288281
>
> [ Chuck Short ]
>
> * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
> - LP: #125250
>
> [ Ike Panhc ]
>
> * squashfs: correct misspelling
> - LP: #322306
> * SAUCE: Fixing symbol name in HECI module
> - LP: #336549
> * Copy header files for various kernel media driver
> - LP: #322732
>
> [ Stefan Bader ]
>
> * SAUCE: vgacon: Return the upper half of 512 character fonts
> - LP: #355057
> * SAUCE: input: Blacklist digitizers from joydev.c
> - LP: #300143
>
> [ Upstream Kernel Changes ]
>
> * libata: make sure port is thawed when skipping resets
> - LP: #269652
> * x86-64: fix int $0x80 -ENOSYS return
> - LP: #339743
> * rt2x00: Fix race conditions in flag handling
> - LP: #258985
> * USB: cdc-acm: Add another conexant modem to the quirks
> - LP: #323829
> * Bluetooth: Add fine grained mem_flags usage to btusb driver
> - LP: #268502
> * Bluetooth: Handle bulk URBs in btusb driver from notify callback
> - LP: #268502
> * Bluetooth: Submit bulk URBs along with interrupt URBs
> - LP: #268502
> * hwmon: (abituguru3) Match partial DMI board name strings
> - LP: #298798
> * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
> - LP: #292619
> * sis190: add identifier for Atheros AR8021 PHY
> - LP: #247889
> * ath9k: implement IO serialization
> - LP: #373034
> * ath9k: AR9280 PCI devices must serialize IO as well
> - LP: #373034
> * acer-wmi: fix regression in backlight detection
> - LP: #333386
>
> -- Stefan Bader <email address hidden> Wed, 26 Aug 2009
> 11:48:11 +0200
>
> ** Changed in: linux (Ubuntu Intrepid)
> Status: Fix Com...

Read more...

Last day update solved the problem. Bluetooth is working now.

Michael Mior (michaelmior) wrote :

Confirmed on 2.6.28-15 with the following dongle:

Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

I can pair a device using the dongle, but any time I attempt any kind of communication, I get the timeout.

Hi, I'm also affected by this bug. This seems to have been fixed. Where to I find the fix? What do I need to do? I'm quite new to launchpad so please excuse me I'm missing something. I'm using Ubuntu 9.04.

Brian Rogers (brian-rogers) wrote :

If you have an up-to-date kernel in Intrepid or Jaunty, you should have the fix that was released. Unfortunately, the error message is rather generic, and could indicate just about any problem with communicating with the dongle. I was hoping the one fix would cover most people who were getting this error message, but that may not have been the case.

You may want to try a Karmic LiveCD, which will have newer code from upstream. You don't have to install it, you can just boot from the disc and try out Bluetooth stuff. If it works on the LiveCD, it should be working in the next release.

You can get the latest disc image at http://cdimage.ubuntu.com/daily-live/current/

I'm looking at putting kernels in my PPA, such as one with newer Bluetooth code from upstream. If I get that going, I'll post a message here.

Changed in bluez (Debian):
status: Fix Committed → New
Changed in bluez-utils (Debian):
status: Fix Committed → New
Leif Gruenwoldt (leifer) wrote :

Success! Fixed for me on Ubuntu 9.10 Karmic-beta Live-CD

See Bug #133690

Tested with Fedora 12 Beta and is working for my bluetooth dongle now.

I recommend anyone previously getting the "hci_cmd_task: hci0 command tx timeout" give the live cd Beta a shot.

lively (doratheexplorer) on 2009-11-03
Changed in linux (Ubuntu Jaunty):
status: Fix Released → Confirmed
status: Confirmed → Fix Released

I just upgraded my distribution from 9.04 to 9.10 and I'm still experiencing kinda the same as in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/268502/comments/252.

My bluetooth dongle is:
$ lsusb | grep -i blue
Bus 002 Device 003: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

And I'm getting all problems listed in comment #252.

Is this really fixed?

Any additional tips, please?

Vincent Law (vincentlaw) wrote :

Same symptoms here after an upgrade from 9.04 to 9.10 and same detected device for my BT dongle.
What I do to have it work is
* unplugging the usb dongle,
* $ sudo modprobe -r btusb
* plugg the donggle again
* pray for the BT applet to become "enabled"
* else unplugging
* ...

After a moment I get it work :-/

This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

tags: added: iso-testing

Mythbuntu 9.10 here. Same problems as everyone else.

$ lsusb | grep -i blue
Bus 004 Device 003: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.10
DISTRIB_CODENAME=karmic
DISTRIB_DESCRIPTION="Ubuntu 9.10"

$ hcitool scan
Device is not available: No such device

$ dpkg -l | grep -i blue
rc blueman 1.22+r646+200911300759~karmic A Graphical bluetooth manager
ii blueman-icon-humanity 1.22-0ubuntu1 Blueman icon for Humanity Icon theme
ii bluez 4.51-0ubuntu2 Bluetooth tools and daemons
ii gnome-bluetooth 2.28.1-0ubuntu2 GNOME Bluetooth tools
ii libbluetooth3 4.51-0ubuntu2 Library to use the BlueZ Linux Bluetooth sta
ii libgnome-bluetooth7 2.28.1-0ubuntu2 GNOME Bluetooth tools - support library
ii mythtv-theme-blueosd 1:0.22.0~zrc1-0ubuntu2 The blueosd MythTV Theme

I still hit this bug. I'm running F12 fully updated till today.

I get this in /var/log/messages upon inserting the bluetooth dongle:

Jan 6 15:52:34 desktop kernel: usb 4-1: new full speed USB device using uhci_hcd and address 6
Jan 6 15:52:34 desktop kernel: usb 4-1: New USB device found, idVendor=0a12, idProduct=0001
Jan 6 15:52:34 desktop kernel: usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Jan 6 15:52:34 desktop kernel: usb 4-1: configuration #1 chosen from 1 choice
Jan 6 15:52:34 desktop bluetoothd[687]: HCI dev 0 registered
Jan 6 15:52:34 desktop bluetoothd[687]: HCI dev 0 up
Jan 6 15:52:34 desktop bluetoothd[687]: Starting security manager 0
Jan 6 15:52:39 desktop bluetoothd[687]: Can't read version info for /org/bluez/686/hci0: Connection timed out (110)
Jan 6 15:52:50 desktop bluetoothd[687]: bridge pan0 removed
Jan 6 15:52:50 desktop bluetoothd[687]: Stopping SDP server
Jan 6 15:52:50 desktop bluetoothd[687]: Exit
Jan 6 15:52:50 desktop obex-data-server: sdp_send_req_w4_rsp: Error sending data:Broken pipe
Jan 6 15:52:50 desktop obex-data-server: sdp_send_req_w4_rsp: Error sending data:Broken pipe

Dmitry Diskin (diskin) wrote :

BT (KY-BT100 dongle) worked right after fresh install of Karmic, then I installed blueman from Karmic repositories, and seems that it caused the above problems. Tried to remove blueman completely - did not help. Booting from standard Karmic live CD - BT worked. The problem was solved after installing blueman from PPA, which removed gnome-bluetooth. It worked even before I updated bluez from the same PPA.

When I installed blueman originally from Karmic repositories, it did not remove gnome-bluetooth, and I had two bluetooth icons for some time (both disabled).

Download full text (3.7 KiB)

I've added deb http://ppa.launchpad.net/blueman/ppa/ubuntu karmic main
and ran apt-get update;apt-get install blueman, it removed
gnome-bluetooth but i'm still having timeout messages.
Could you please explain a bit longer how did you manage to solve it?

Thanks!

2010/1/12 Dmitry Diskin <email address hidden>:
> BT (KY-BT100 dongle) worked right after fresh install of Karmic, then I
> installed blueman from Karmic repositories, and seems that it caused the
> above problems. Tried to remove blueman completely - did not help.
> Booting from standard Karmic live CD - BT worked. The problem was solved
> after installing blueman from PPA, which removed gnome-bluetooth. It
> worked even before I updated bluez from the same PPA.
>
> When I installed blueman originally from Karmic repositories, it did not
> remove gnome-bluetooth, and I had two bluetooth icons for some time
> (both disabled).
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: In Progress
> Status in “bluez” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in “bluez” source package in Intrepid: Invalid
> Status in “linux” source package in Intrepid: Fix Released
> Status in “bluez” source package in Jaunty: Invalid
> Status in “linux” source package in Jaunty: Fix Released
> Status in “bluez” package in Debian: New
> Status in “bluez-utils” package in Debian: New
>
> Bug description:
> SRU justification:
>
> Impact: A series of bluetooth dongles [1] do not work properly with the new
>        btusb driver which replaced usb_hci. This has been fixed upstream
>        (2.6.29-rc3). The required changes are all local to the btusb driver.
>
> Fix: The following three patches are required to fix this (two as prerequisite
>     and one for the actual fix). The fix deviates from upstream by the change
>     of a version number and the missing resume part which does not exist for
>     Intrepid nor Jaunty.
>
> Test: Fix has been tested by bug reporters.
>
> ---
>
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
>
> They don't work properly with the newer btusb driver, which replaced hci_usb by default in 2.6.27. This hasn't been fixed upstream as of v2.6.29-rc3.
>
> Original message below:
>
> Association with Bluetooth works using kernel 2.6.26, since the updates to 2.6.27 (both -1 and -2) association fails. I can scan and see bluetooth devices but not pair.
>
> Using my phone, I start the association process, the phone asks for a passkey, and in 2.6.26 the popup window appears normally allowing me to enter the passkey. In 2.6.27 the dialog box never appears.
>
> If I use hcitool:
>
> :~$ sudo hcitool cc 00:1B:59:96:A6:DD
> :~$ sudo hcitool auth 00:1B:59:96:A6:DD
> HCI authentication request failed: Connection timed out
>
> t...

Read more...

Dmitry Diskin (diskin) wrote :

I think I rebooted after installing blueman from PPA. But it is not clear how exactly did it help, so I guess it can be not helpful in your case. Just had to share my experience.

Adrian Grebin (adrian-grebin) wrote :
Download full text (3.2 KiB)

Thanks diskin, i just installed from PPA and rebooted but still not working..

REgards!

2010/1/13 Dmitry Diskin <email address hidden>:
> I think I rebooted after installing blueman from PPA. But it is not
> clear how exactly did it help, so I guess it can be not helpful in your
> case. Just had to share my experience.
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: In Progress
> Status in “bluez” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in “bluez” source package in Intrepid: Invalid
> Status in “linux” source package in Intrepid: Fix Released
> Status in “bluez” source package in Jaunty: Invalid
> Status in “linux” source package in Jaunty: Fix Released
> Status in “bluez” package in Debian: New
> Status in “bluez-utils” package in Debian: New
>
> Bug description:
> SRU justification:
>
> Impact: A series of bluetooth dongles [1] do not work properly with the new
>        btusb driver which replaced usb_hci. This has been fixed upstream
>        (2.6.29-rc3). The required changes are all local to the btusb driver.
>
> Fix: The following three patches are required to fix this (two as prerequisite
>     and one for the actual fix). The fix deviates from upstream by the change
>     of a version number and the missing resume part which does not exist for
>     Intrepid nor Jaunty.
>
> Test: Fix has been tested by bug reporters.
>
> ---
>
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
>
> They don't work properly with the newer btusb driver, which replaced hci_usb by default in 2.6.27. This hasn't been fixed upstream as of v2.6.29-rc3.
>
> Original message below:
>
> Association with Bluetooth works using kernel 2.6.26, since the updates to 2.6.27 (both -1 and -2) association fails. I can scan and see bluetooth devices but not pair.
>
> Using my phone, I start the association process, the phone asks for a passkey, and in 2.6.26 the popup window appears normally allowing me to enter the passkey. In 2.6.27 the dialog box never appears.
>
> If I use hcitool:
>
> :~$ sudo hcitool cc 00:1B:59:96:A6:DD
> :~$ sudo hcitool auth 00:1B:59:96:A6:DD
> HCI authentication request failed: Connection timed out
>
> the dialog box appears very very briefly then vanishes.
>
> dmesg shows a couple of problems:
>
> [25791.306170] btusb_intr_complete: hci0 urb ffff88004dd0fb40 failed to resubmit (19)
> [25791.315446] btusb_send_frame: hci0 urb ffff880048542840 submission failed
>
> and the syslog shows that there was an attempt to associate:
>
> Sep 23 08:16:59 charlie hcid[5903]: link_key_request (sba=00:11:67:9C:59:B5, dba=00:1B:59:96:A6:DD)
> Sep 23 08:16:59 charlie hcid[5903]: pin_code_request (sba=00:11:67:9C:59:B5, dba=00:1B:59:96:A6:DD)
>
> To unsubscribe from this bug, go to:
> h...

Read more...

Changed in bluez (Ubuntu Jaunty):
status: Invalid → Fix Committed
Steve Langasek (vorlon) on 2010-01-21
Changed in bluez (Ubuntu Jaunty):
status: Fix Committed → Invalid
123vier (flowrist) wrote :

I'm still getting "hci_cmd_task: hci0 command tx timeout" on Karmic.
I can transfer one file, but as soon as a second file starts, it stops the transfer after 2 seconds or ~50 KB of transmitted data.

Stefan Bader (smb) on 2010-02-11
Changed in linux (Ubuntu Intrepid):
assignee: Stefan Bader (stefan-bader-canonical) → nobody

Removing myself from CC because works-for-me.

Fernando D. (fdbozzo) wrote :

Hi, I confirm this bug.

I've done a full report on Bug #493747:

[KARMIC] Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout) (Broadcom dongle)
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/493747

Didn't work on Lucid too (19.04 alpha)

KeithG (grider-4) on 2010-03-27
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

Please don't change bug statuses without explanation.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
KeithG (grider-4) wrote :

Ok, I have read tons of these posts about defective bluetooth support in gnome/kernel. What is the fix? Can I try something? Do we have any idea as to when this may be pushed to the updater for 9.10? I have been patient for a couple of months and still nothing works. Dongle shows up, It can see nothing. If it does see a device, it cannot pair. This dongle works fine on the same computer under XP. It is a cambridge dongle which pairs with my serial port device on 2 laptops with XP I dearly want to run it on Karmic and would be willing to try a 'fix' if ti were clear as to what that 'fix' might be.

KeithG

On Sun, Mar 28, 2010 at 12:59:57AM -0000, KeithG wrote:
> Ok, I have read tons of these posts about defective bluetooth support in
> gnome/kernel. What is the fix? Can I try something? Do we have any idea
> as to when this may be pushed to the updater for 9.10?

The fix for this bug was present in Ubuntu 9.10 when it released. If you
are having issues with bluetooth in 9.10, you should file a separate bug
report.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Download full text (3.9 KiB)

This bug is present for at least 9.4, it is still present, no actual
bug fix was posted.
Never explained, the issue persist allways, execpt for a few persons
that i was able to see that posted that somehow, with some device
worked, never for me.

2010/3/27 Steve Langasek <email address hidden>:
> On Sun, Mar 28, 2010 at 12:59:57AM -0000, KeithG wrote:
>> Ok, I have read tons of these posts about defective bluetooth support in
>> gnome/kernel. What is the fix? Can I try something? Do we have any idea
>> as to when this may be pushed to the updater for 9.10?
>
> The fix for this bug was present in Ubuntu 9.10 when it released.  If you
> are having issues with bluetooth in 9.10, you should file a separate bug
> report.
>
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> Ubuntu Developer                                    http://www.debian.org/
> <email address hidden>                                     <email address hidden>
>
> --
> Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)
> https://bugs.launchpad.net/bugs/268502
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: In Progress
> Status in “bluez” package in Ubuntu: Invalid
> Status in “linux” package in Ubuntu: Fix Released
> Status in “bluez” source package in Intrepid: Invalid
> Status in “linux” source package in Intrepid: Fix Released
> Status in “bluez” source package in Jaunty: Invalid
> Status in “linux” source package in Jaunty: Fix Released
> Status in “bluez” package in Debian: New
> Status in “bluez-utils” package in Debian: New
>
> Bug description:
> SRU justification:
>
> Impact: A series of bluetooth dongles [1] do not work properly with the new
>        btusb driver which replaced usb_hci. This has been fixed upstream
>        (2.6.29-rc3). The required changes are all local to the btusb driver.
>
> Fix: The following three patches are required to fix this (two as prerequisite
>     and one for the actual fix). The fix deviates from upstream by the change
>     of a version number and the missing resume part which does not exist for
>     Intrepid nor Jaunty.
>
> Test: Fix has been tested by bug reporters.
>
> ---
>
> Bluetooth doesn't work for at least the following devices:
> ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
> ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
> ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
> ID 0a5c:200a Broadcom Corp. Bluetooth dongle
>
> They don't work properly with the newer btusb driver, which replaced hci_usb by default in 2.6.27. This hasn't been fixed upstream as of v2.6.29-rc3.
>
> Original message below:
>
> Association with Bluetooth works using kernel 2.6.26, since the updates to 2.6.27 (both -1 and -2) association fails. I can scan and see bluetooth devices but not pair.
>
> Using my phone, I start the association process, the phone asks for a passkey, and in 2.6.26 the popup window appears normally allowing me to enter the passkey. In 2.6.27 the dialog box never appears.
>
> If I use hc...

Read more...

VladimirCZ (vlabla) wrote :

Steve Langasek wrote: "The fix for this bug was present in Ubuntu 9.10 when it released. If you are having issues with bluetooth in 9.10, you should file a separate bug report."

For me and probably most others effected by that "original general" bug the problem was solved. So it is time to focus on probably more hardware specific bugs.

Tom (tom6) wrote :

Hi Keith :)

I think you thought that by clicking on "Fix Commited" it would have an effect on your machine. I guess you know now that bug-report threads are a convenient way for people working on solving the bug to communicate with each other and keep track of progress and the "current state of play".

It helps when ordinary users like you & me are able to say when a bug also exists on some other hardware or with a different version of Ubuntu but we do sometimes need a bit of direction to make sure we post into the right thread as the distinctions between bugs can seem a bit hazy to us. Hopefully we might be able to help beta-test a bug patch or few but my skills are not that advanced yet.

Thanks for helping the Ubuntu community with this so far :)
Good luck and regards from
Tom :)

PS sorry for using this thread as a personal message board. I just thought a bit of clarification might help

KeithG (grider-4) wrote :

Tom ,

Thanks! I did not think that the 'fix committed' worked like that, but was looking through the thread for a fix that someone said "worked" and a response saying, "yes, worked for me, too".

On a whim, I added the repository "http://ppa.launchpad.net/blueman/ppa/ubuntu karmic main" and then ran an update. It updated the packages and now I have been able to pair 2 phones with Karmic. The one allows PANU network connection and the other file transfers. I verified both worked last night. Now, I can pair to my phone with the PANU network, but cannot actually connect to that network... I will try a reboot, but that is very XP :-(. The phone and the computer show 'connected' and I selected connect to network, but the network manager will not connect, thiough it shows up in the dropdown list in the gnome applet. When the other phone comes home, I will see if I can transfer files again today. I tried a number of times last night and was successful via all means of file transfer. The next test is to see if I can connect my BT-serial port.

IN summary, it still seems a bit iff-y. THe BTUSB dongle shows up as Accel-OB2 and it identifies as Cambridge ltd. The error in the syslog is:
NetworkManager: <WARN> nm_device_bt_connect_cb(): Error connecting with bluez: Connection refused (111)

If my serial port works, I'll post that here.

Keith

KeithG (grider-4) wrote :

Well, I just tried the serial port. I do not think this is part of this bug, though, as it will not allow me to select the 1234 paring number that my serial port needs. What I did was click on the device in the BT manager, then select the pin option and select 1234 then clicked connect. At that time, the BT manager gives me a 6 digit random pin to type in on the serial port (which is impossible). If there is a command line way to do this, I am fine with thaty as well. I just want to be able to connect to the serial port. Oh, and, when I type "hcitool scan" at the command line, the serial port does not show up in the list, though it does in the BT manager. If this belongs somewhere else, let me know.

Keith

KeithG (grider-4) wrote :

The latest I have tried is to uninstall "gnome-bluetooth" and install "bluez-gnome". This allowed me to actually connect to the serial port with the '1234' code. It now shows up in BT manager with a totally different dialog graphics and commands, but it seems to be more robust at least for this pair. I still struggle with my iPhone bt pairing regardless of which interface I use (bluez-gnome or gnome-bluetooth). It connects sometimes, but rarely. The Nokia uses OBEX to allow me to see files and is very robust. It appears that this is still not correct as the title says.

Changed in linux (Ubuntu):
assignee: Brian Rogers (brian-rogers) → nobody
Download full text (3.1 KiB)

I hit very similar problem. I cannot enable my usb bluetooth adapter, it's visible in lsusb:

...
Bus 004 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
...

hciconfig:
hci0: Type: USB
        BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
        DOWN
        RX bytes:0 acl:0 sco:0 events:0 errors:0
        TX bytes:0 acl:0 sco:0 commands:4 errors:0
==============
Here's how it looks in /var/log/messages

Apr 18 14:06:59 moj kernel: Bluetooth: Core ver 2.15
Apr 18 14:06:59 moj kernel: NET: Registered protocol family 31
Apr 18 14:06:59 moj kernel: Bluetooth: HCI device and connection manager initialized
Apr 18 14:06:59 moj kernel: Bluetooth: HCI socket layer initialized
Apr 18 14:07:02 moj kernel: usb 1-6: USB disconnect, address 3
Apr 18 14:07:06 moj kernel: usb 4-2: new full speed USB device using uhci_hcd and address 2
Apr 18 14:07:16 moj kernel: usb 4-2: New USB device found, idVendor=1131, idProduct=1001
Apr 18 14:07:16 moj kernel: usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 18 14:07:16 moj kernel: usb 4-2: Product: ISSCBTA
Apr 18 14:07:16 moj kernel: usb 4-2: configuration #1 chosen from 1 choice
Apr 18 14:07:16 moj kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Apr 18 14:07:16 moj kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
Apr 18 14:07:16 moj kernel: btusb 4-2:1.0: no reset_resume for driver btusb?
Apr 18 14:07:16 moj kernel: btusb 4-2:1.1: no reset_resume for driver btusb?
Apr 18 14:07:16 moj kernel: usbcore: registered new interface driver btusb
Apr 18 14:07:17 moj bluetoothd[2811]: Bluetooth daemon 4.58
Apr 18 14:07:17 moj bluetoothd[2812]: Starting SDP server
Apr 18 14:07:17 moj kernel: Bluetooth: L2CAP ver 2.14
Apr 18 14:07:17 moj kernel: Bluetooth: L2CAP socket layer initialized
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Apr 18 14:07:17 moj kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Apr 18 14:07:17 moj kernel: Bluetooth: BNEP filters: protocol multicast
Apr 18 14:07:17 moj bluetoothd[2812]: bridge pan0 created
Apr 18 14:07:17 moj kernel: Bridge firewalling registered
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Apr 18 14:07:17 moj bluetoothd[2812]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Apr 18 14:07:17 moj NetworkManager: <WARN> device_creator(): /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Apr 18 14:07:17 moj bluetoothd[2812]: HCI dev 0 registered
Apr 18 14:07:17 moj kernel: Bluetooth: SCO (Voice Link) ver 0.6
Apr 18 14:07:17 moj kernel: Bluetooth: SCO socket layer initialized
Apr 18 14:07:27 moj bluetoothd[2824]: Can't init device hci0: Connection timed out (110)
=================
When trying to do hcicontrol hci0 up or reset i got timeout error on the console
"Can't init device hci0: Connection timed out (110)"

and in /var/logmessages

...
Apr 18 14:07:38 moj kernel: usb 4-2: reset full speed USB device using uhci_hcd and address 2
...
================
last know working kernel is 2.6.31.5-127 (the one shipped on F12 f...

Read more...

I'm also hit with this issue ...

[root@cygn ~]# uname -r
2.6.32.11-99.fc12.i686.PAE

[root@cygn ~]# lsusb
Bus 004 Device 006: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

[[root@cygn ~]# hciconfig hci0 down
[root@cygn ~]# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)
[root@cygn ~]# hciconfig hci0 reset
Can't init device hci0: Connection timed out (110)

dmesg:
usb 4-1: USB disconnect, address 5
usb 4-1: new full speed USB device using uhci_hcd and address 6
usb 4-1: New USB device found, idVendor=1131, idProduct=1001
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 4-1: Product: ISSCBTA
usb 4-1: configuration #1 chosen from 1 choice
usb 4-1: reset full speed USB device using uhci_hcd and address 6
btusb 4-1:1.0: no reset_resume for driver btusb?
btusb 4-1:1.1: no reset_resume for driver btusb?
hci_cmd_task: hci0 command tx timeout
usb 4-1: reset full speed USB device using uhci_hcd and address 6
usb 4-1: reset full speed USB device using uhci_hcd and address 6

Hi,

I can confirm it (same kernel version and BT device). It was working fine running with the latest F11 kernel (kernel-PAE-2.6.30.10-105.2.23.fc11.i686).

(In reply to comment #20)
The following device works perfectly, though (again with kernel version 2.6.32.11-99.fc12.i686.PAE):

# lsusb
...
Bus 006 Device 008: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
...

Eugene San (eugenesan) wrote :

Bug is still in Lucid as 14May2010.
If fix released, where it is?

LP #460743 (https://bugs.edge.launchpad.net/fedora/+source/linux/+bug/460743)
Should be merged with this one.

Selmi (selmi) wrote :

i had no problem with karmic. since update to lucid it doesn't work. i will try clean install, bue i doubt it will solve something

opposite experience here: finally works in Lucid for the first time
ever, All seems to work, from file browsing and moving filesa across to
one-click internet connection via mobile phone

On 20/05/10 19:07, Selmi wrote:
> i had no problem with karmic. since update to lucid it doesn't work. i
> will try clean install, bue i doubt it will solve something
>

Brian Rogers (brian-rogers) wrote :

You don't have to reinstall to do a clean test. You can just boot the livecd session and test there.

alxQ (alxq) wrote :

I have same bug. Ubuntu 10.04, bluez 4.60-0ubuntu8.

ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

# hciconfig -a
hci0: Type: USB
 BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
 DOWN
 RX bytes:0 acl:0 sco:0 events:0 errors:0
 TX bytes:0 acl:0 sco:0 commands:0 errors:0

dmesg:
hci_cmd_task: hci0 command tx timeout
btusb_intr_complete: hci0 urb e522e200 failed to resubmit (19)
btusb_bulk_complete: hci0 urb e522ed00 failed to resubmit (19)
btusb_bulk_complete: hci0 urb e522ea00 failed to resubmit (19)

I have a similar problem - noticed it connecting to my iPhone over bluetooth for tethering. It work previously under F12 however has recently stopped. I get the laptop and phone paired and then the connection drops.

...
May 26 00:52:48 neathway kernel: btusb_intr_complete: hci0 urb ef044600 failed to resubmit (1)
May 26 00:52:48 neathway kernel: btusb_bulk_complete: hci0 urb ef044180 failed to resubmit (1)
May 26 00:52:48 neathway kernel: btusb_bulk_complete: hci0 urb ef044d80 failed to resubmit (1)
May 26 00:52:55 neathway kernel: btusb_intr_complete: hci0 urb f6bc1500 failed to resubmit (1)

...

$ uname -a
Linux neathway 2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30 20:14:08 UTC 2010 i686 i686 i386 GNU/Linux

I too have an ISSC KY-BT100 BT adaptor, and the kernel messages I get are the same as in comment 19.

Bus 007 Device 005: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

This adaptor used to work under Fedora.

akaars (ilyabr) wrote :

Can confirm this - Lucid 10.04, Version: 4.60-0ubuntu8 2.6.32-22-generic

Bus 005 Device 022: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

akaars (ilyabr) wrote :

Hmm... Same PC, another dongle (noname):
Integrated System Solution Corp. Bluetooth Device
 - works like a charm.

akaars (ilyabr) wrote :

No changes with last bluez version:

Package: bluez
State: installed
Automatically installed: no
Version: 4.65-0ubuntu1

I've also tried 4.66 - same problem.

I appear to be having the same problem with a CSR bluetooth dongle.

hci0: Type: BR/EDR Bus: USB
 BD Address: 00:1F:81:00:01:1C ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING PSCAN ISCAN
 RX bytes:1046 acl:0 sco:0 events:35 errors:0
 TX bytes:371 acl:0 sco:0 commands:31 errors:3
 Features: 0xff 0x3e 0x09 0x76 0x80 0x01 0x00 0x80
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT

Jul 2 09:07:28 localhost kernel: hci_cmd_task: hci0 command tx timeout
Jul 2 09:14:44 localhost kernel: hci_cmd_task: hci0 command tx timeout

Linux ninja 2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686 i386 GNU/Linux

I inserted the the dongle and it was recognized, but the I got the tx timeout right away when I tried to use it. I was slightly more successful when I rebooted the system with the dongle connected. I attempted to pair my phone and it started the process, but got a tx timeout in the middle of the pairing transaction. After that it wouldn't communicate at all.

It seems this issue is fixed for me in 2.6.34 kernels. Kernels I've tried:
  - kernel-2.6.34.1-9.fc13.i686
  - kernel-2.6.34.1-15.fc13.i686

and bluetooth works as it should, it can be hot/coldplugged, hciconfig shows proper device information:

hci0: Type: BR/EDR Bus: USB
        BD Address: 00:11:67:0E:CC:76 ACL MTU: 678:8 SCO MTU: 48:10
        UP RUNNING PSCAN
        RX bytes:2883 acl:0 sco:0 events:79 errors:0
        TX bytes:1071 acl:0 sco:0 commands:79 errors:0

and I can send files, access phone with Wammu with no problems.

David A. Cuadrado (krawek) wrote :

I have the same problem

distribution: Ubuntu 10.04 LTS
kernel: 2.6.32-23-generic
bluez 4.60-0ubuntu8
Bus 002 Device 004: ID 0a5c:2021 Broadcom Corp.

Mark Hobley (markhobley) wrote :

I am using Debian (squeeze/testing) and I am testing with kernel 2.6.32-5-486
. I am getting the timeout here, so I reckon this is still broken in Debian (squeeze) testing:

# hciconfig -a
hci0: Type: BR/EDR Bus: USB
        BD Address: 00:1F:81:00:01:1C ACL MTU: 1021:4 SCO MTU: 180:1
        UP RUNNING
        RX bytes:330 acl:0 sco:0 events:8 errors:0
        TX bytes:24 acl:0 sco:0 commands:16 errors:8
        Features: 0xff 0x3e 0x09 0x76 0x80 0x01 0x00 0x80
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
        Link policy:
        Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

# dmesg
[127422.591465] hci_cmd_task: hci0 command tx timeout

# lsusb
Bus 003 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

I tried updating to bluez-4.69, which I downloaded from an upstream source and compiled myself, but the problem still persists.

Mark.

David A. Cuadrado (krawek) wrote :

same issue on kernel 2.6.34. I've just tested.

xulio77 (juliojgd) wrote :

Same issue with usb BT dongle from Cambridge Silicon Radio (0a12:0001) and kernel 2.6.31 (x86_64 arch).

$ uname -a
Linux oem-desktop 2.6.31-22-generic #60-Ubuntu SMP Thu May 27 02:41:03 UTC 2010 x86_64 GNU/Linux

$ lsusb
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 003: ID 05e3:0716 Genesys Logic, Inc.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 004 Device 002: ID 046d:c517 Logitech, Inc. LX710 Cordless Desktop Laser
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

$sudo dpkg -l |grep bluetooth
ii bluetooth 4.51-0ubuntu2 Bluetooth support
ii gnome-bluetooth 2.28.1-0ubuntu2 GNOME Bluetooth tools
ii libbluetooth3 4.51-0ubuntu2 Library to use the BlueZ Linux Bluetooth sta
ii libgnome-bluetooth7 2.28.1-0ubuntu2 GNOME Bluetooth tools - support library
ii pulseaudio-module-bluetooth 1:0.9.19-0ubuntu4.1 Bluetooth module for PulseAudio sound server

$ hcitool scan
Scanning ...
Inquiry failed: Connection timed out

$tail /var/log/kern.log
Aug 3 19:59:38 oem-desktop kernel: [ 194.740037] usb 4-4: new full speed USB device using ohci_hcd and address 4
Aug 3 19:59:38 oem-desktop kernel: [ 194.966352] usb 4-4: configuration #1 chosen from 1 choice
Aug 3 20:01:26 oem-desktop kernel: [ 302.647758] hci_cmd_task: hci0 command tx timeout
Aug 3 20:02:35 oem-desktop kernel: [ 371.505141] hci_cmd_task: hci0 command tx timeout

xulio77 (juliojgd) wrote :

Sorry, I am same user as comment #288 (previous one), I forgot:

$ hciconfig -a
hci0: Type: USB
 BD Address: 00:1F:81:00:02:50 ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING PSCAN
 RX bytes:1477 acl:0 sco:0 events:54 errors:0
 TX bytes:426 acl:0 sco:0 commands:39 errors:5
 Features: 0xff 0x3e 0x0d 0x76 0x80 0x01 0x00 0x80
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)

$tail /var/log/kern.log
Aug 3 20:06:28 oem-desktop kernel: [ 604.365742] hci_cmd_task: hci0 command tx timeout

Sorry to be the bearer of bad news, but the problem persists here as well. Please note that there is a bug in linux-firmware-nonfree. In order to get even this far, I had to manually symlink /lib/firmware/bcm2033-fw.bin and /lib/firmware/bcm2033-md.hex to BCM2033-FW.bin and BCM2033-MD.hex. Separate bug, separate issue, but just the same, if you're attempting to reproduce my results, that's something to keep in mind. This also required that I install bluez-compat. The hci device never gets created otherwise:

[260752.445568] Bluetooth: Broadcom Blutonium firmware driver ver 1.2
[260752.445600] usb 1-5.4: firmware: requesting BCM2033-MD.hex
[260752.461661] usb 1-5.4: firmware: requesting BCM2033-FW.bin
[260752.464100] usbcore: registered new interface driver bcm203x
[260753.012646] usb 1-5.4: USB disconnect, address 8
[260753.270167] usb 1-5.4: new full speed USB device using ehci_hcd and address 9
[260753.411283] usb 1-5.4: configuration #1 chosen from 1 choice
[260753.757933] Bluetooth: L2CAP ver 2.14
[260753.757935] Bluetooth: L2CAP socket layer initialized
[260753.810302] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[260753.810305] Bluetooth: BNEP filters: protocol multicast
[260753.852462] Bridge firewalling registered
[260753.937918] Bluetooth: SCO (Voice Link) ver 0.6
[260753.937920] Bluetooth: SCO socket layer initialized
[260754.182674] Bluetooth: RFCOMM TTY layer initialized
[260754.182690] Bluetooth: RFCOMM socket layer initialized
[260754.182692] Bluetooth: RFCOMM ver 1.11
[260793.491079] hci_cmd_task: hci0 command tx timeout
[260842.812029] hci_cmd_task: hci0 command tx timeout
[260871.528140] hci_cmd_task: hci0 command tx timeout
[260895.742432] hci_cmd_task: hci0 command tx timeout
root@shadwickt-desk:/usr/lib/bluetooth/plugins# hciconfig -a
hci0: Type: USB
 BD Address: 00:40:05:D0:C1:AF ACL MTU: 377:10 SCO MTU: 16:0
 UP RUNNING
 RX bytes:664 acl:0 sco:0 events:18 errors:0
 TX bytes:98 acl:0 sco:0 commands:23 errors:0
 Features: 0xff 0xfd 0x05 0x00 0x00 0x00 0x00 0x00
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy:
 Link mode: SLAVE ACCEPT
Can't read local name on hci0: Connection timed out (110)
root@shadwickt-desk:/usr/lib/bluetooth/plugins# hciutil dev
hciutil: command not found
root@shadwickt-desk:/usr/lib/bluetooth/plugins# hcitool dev
Devices:
 hci0 00:40:05:D0:C1:AF
root@shadwickt-desk:/usr/lib/bluetooth/plugins# lsusb | grep -i blue
Bus 001 Device 009: ID 0a5c:2001 Broadcom Corp. Bluetooth Device

Crap, forgot to mention - Lucid x86-64.

Linux shadwickt-desk 2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:21:58 UTC 2010 x86_64 GNU/Linux

Problem still persists for me with 2.6.34.6-54.fc13.i686.PAE
When I insert the dongle I get:
Sep 9 13:49:14 ninja kernel: usb 4-1: new full speed USB device using uhci_hcd and address 2
Sep 9 13:49:14 ninja kernel: usb 4-1: New USB device found, idVendor=0a12, idProduct=0001
Sep 9 13:49:14 ninja kernel: usb 4-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Sep 9 13:49:14 ninja kernel: Bluetooth: Core ver 2.15
Sep 9 13:49:14 ninja kernel: NET: Registered protocol family 31
Sep 9 13:49:14 ninja kernel: Bluetooth: HCI device and connection manager initialized
Sep 9 13:49:14 ninja kernel: Bluetooth: HCI socket layer initialized
Sep 9 13:49:14 ninja kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Sep 9 13:49:14 ninja kernel: usbcore: registered new interface driver btusb
Sep 9 13:49:14 ninja bluetoothd[2766]: Bluetooth daemon 4.64
Sep 9 13:49:14 ninja bluetoothd[2767]: Starting SDP server
Sep 9 13:49:14 ninja kernel: Bluetooth: L2CAP ver 2.14
Sep 9 13:49:14 ninja kernel: Bluetooth: L2CAP socket layer initialized
Sep 9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Sep 9 13:49:14 ninja kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Sep 9 13:49:14 ninja kernel: Bluetooth: BNEP filters: protocol multicast
Sep 9 13:49:14 ninja bluetoothd[2767]: bridge pan0 created
Sep 9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Sep 9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Sep 9 13:49:14 ninja kernel: Bridge firewalling registered
Sep 9 13:49:14 ninja bluetoothd[2767]: HCI dev 0 registered
Sep 9 13:49:14 ninja kernel: Bluetooth: SCO (Voice Link) ver 0.6
Sep 9 13:49:14 ninja kernel: Bluetooth: SCO socket layer initialized
Sep 9 13:49:14 ninja NetworkManager[1385]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Sep 9 13:49:14 ninja bluetoothd[2767]: HCI dev 0 up
Sep 9 13:49:14 ninja bluetoothd[2767]: Starting security manager 0
Sep 9 13:49:14 ninja bluetoothd[2767]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Sep 9 13:49:14 ninja kernel: Bluetooth: RFCOMM TTY layer initialized
Sep 9 13:49:14 ninja kernel: Bluetooth: RFCOMM socket layer initialized
Sep 9 13:49:14 ninja kernel: Bluetooth: RFCOMM ver 1.11
Sep 9 13:49:14 ninja bluetoothd[2767]: Adapter /org/bluez/2766/hci0 has been enabled
Sep 9 13:49:20 ninja bluetoothd[2767]: Sending read scan enable command failed: Connection timed out (110)
Sep 9 13:49:58 ninja bluetoothd[2767]: Discovery session 0x1c6f068 with :1.75 activated
Sep 9 13:49:58 ninja kernel: hci_cmd_task: hci0 command tx timeout

The last message repeats if I try to do much of anything else.

I'd say this isn't really fixed in 2.34.1 or we're looking at two different issues.

I can confirm this issue for Ubuntu Lucid x86-64. I have a Super Mini Bluetooth 2.0 Adapter USB Dongle which is identified as "Accel-OB2", Manufacturer "Cambridge Silicon Radio (10)". After booting the dongle works, but after a while the connection is lost and I get the time out message. I also tested whether an update from Bluez 4.60 to Bluez 4.70 solves the problem, but sadly it persits.
The kernel I'm running is 2.6.32-24-generic #42-Ubuntu. The system is a clean basic ubuntu install (no desktop) with some additional server software (i.e., LAMP, Samba).

Download full text (3.6 KiB)

Just to add my report, this occurs for me with 2.6.34.7-56.fc13.x86_64 in FC13.

/var/log/messages from plugin to attempted discovery:

Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: new full speed USB device using uhci_hcd
 and address 2
Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: New USB device found, idVendor=0a12, idP
roduct=0001
Sep 24 10:22:37 lip06jcs-desktop kernel: usb 5-2: New USB device strings: Mfr=0, Product=0
, SerialNumber=0
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: Core ver 2.15
Sep 24 10:22:37 lip06jcs-desktop kernel: NET: Registered protocol family 31
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: HCI device and connection manager initialized
Sep 24 10:22:37 lip06jcs-desktop kernel: Bluetooth: HCI socket layer initialized
Sep 24 10:22:38 lip06jcs-desktop kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Sep 24 10:22:38 lip06jcs-desktop kernel: usbcore: registered new interface driver btusb
Sep 24 10:22:38 lip06jcs-desktop bluetoothd[27218]: Bluetooth daemon 4.64
Sep 24 10:22:38 lip06jcs-desktop bluetoothd[27219]: Starting SDP server
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: L2CAP ver 2.14
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: L2CAP socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: BNEP filters: protocol multicast
Sep 24 10:22:39 lip06jcs-desktop kernel: Bridge firewalling registered
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: bridge pan0 created
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: SCO (Voice Link) ver 0.6
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: SCO socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: HCI dev 0 registered
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: HCI dev 0 up
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Starting security manager 0
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM TTY layer initialized
Sep 24 10:22:39 lip06jcs-desktop bluetoothd[27219]: Adapter /org/bluez/27218/hci0 has been enabled
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM socket layer initialized
Sep 24 10:22:39 lip06jcs-desktop kernel: Bluetooth: RFCOMM ver 1.11
Sep 24 10:22:39 lip06jcs-desktop NetworkManager[1312]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Sep 24 10:22:44 lip06jcs-desktop bluetoothd[27219]: Sending read scan enable command failed: Connection timed out (110)
Sep 24 10:31:47 lip06jcs-desktop pulseaudio[2526]: ratelimit.c: 592 events suppressed
Sep 24 10:42:22 lip06jcs-desktop kernel: hci_cmd_task: hci0 command tx timeout
Sep 24 10:42:37 lip06jcs...

Read more...

SrinivasaMoorthy (rsmoorthy) wrote :

I have tested this on Karmic, Lucid and Maverick and continued to find this problem (timeout). After some googling and debugging, I found this bug #453885 specifying in detail and also the workaround from that bug.

First, here's the workaround for those (like me) who want to get bluetooth working in Karmic / Lucid / Maverick: (I have tried this only on Karmic)

1. Downgrade your bluez package to the jaunty's version. (apt-get remove bluez, dpkg -i <jaunty's 4.32-0ubuntu4 deb file>)
2. You may want to install blueman, since gnome-bluetooth has other package dependencies)

I have got it finally working consistently and without any issues, after this!!!

My Device details:

Bus 002 Device 015: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Based on my debugging and the info from bug #453885, I noticed the following:

a. After the device initializes, /usr/sbin/bluetoothd is issuing the command to the device "Read Default Link Policy Settings" and there is no response from the device. This may happen because the device does not support and is a HCI Version 1.1 and/or bluez cannot handle such devices (and ignores the error that encountered by the prev "Write Default Link Policy Settings").

b. Even though there is no response to this command, there is no syslog error indicating a timeout.

c. Most usually at this time, the hci0 interface would say "UP RUNNING" without any "PSCAN". The moment you issue any action (hciconfig hci0 pscan or hcitool scan), the kernel issues a timeout syslog error -- to the previous "Read Default Link Policy Settings" command.

d. After this, it goes haywire and nothing works. It has worked very few times though for me (scanning or browsing files) -- I am not entirely sure how -- but it stops working after sometime, and I suspect it would have hit the above scenario. However, during the entire period I was testing with hcidump on, it never worked and I can't say how the scanning was successful a time or two.

e. bluez 4.32 did not issue the "Read Default Link Policy Settings" command, so this issue never comes up.

f. To me the issue can be resolved by fixing bluez that should not issue "Read Default Link Policy Settings" command, for devices that does not support it (I am not very sure, but this may be due to HCI ver 1.1 on the device, which you can look at by hciconfig -a) and/or properly handle errors if the HCI command was not responded.

Matt Trower (trowerm) wrote :

Workaround does not work for Lucid 32bit running 2.6.35.4 kernel.

SrinivasaMoorthy (rsmoorthy) wrote :

I just tried the above workaround that I posted (going back to bluez-4.32) on plain Maverick amd64 (actually a Kubuntu 10.10 installation) and it did work (which was not working earlier with the same timeout problem). On Kubuntu, since bluedevil does not have any dependencies with bluez -- unlike gnome-bluetooth, downgrading bluez and testing was very easy.

@Matt - Make sure you remove the module, stop bluetooth service, remove the device - downgrade bluez and put everything back. Or simply reboot and check.

Michael Mior (michaelmior) wrote :

I tried your workaround on Maverick @Srinivasa here. No luck here.

Matt Trower (trowerm) wrote :

@Srinivasa What kernel are you using? Others mentioned that this also seems to have an effect on the bug.

SrinivasaMoorthy (rsmoorthy) wrote :

@Matt - Karmic kernel version was amd64 2.6.31-16-generic. Maverick kernel version was amd64 2.6.35-22-generic.

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

fixed for me on 2.6.34.7-61.fc13.x86_64

This is still a problem for me with kernel-PAE-2.6.34.7-61.fc13.i686. I see:

Nov 4 09:08:25 stealth kernel: hci_cmd_task: hci0 command tx timeout
Nov 4 09:08:34 stealth kernel: hci_cmd_task: hci0 command tx timeout
Nov 4 09:10:18 stealth kernel: hci_cmd_task: hci0 command tx timeout

In the logs when I try to do a discovery.

I still hit this bug. Running F14 fully update till today.

Upon insertion of BT dongle:

Nov 24 16:29:20 work kernel: [14024.876104] usb 2-1.2: new full speed USB device using ehci_hcd and address 6
Nov 24 16:29:20 work kernel: [14024.963736] usb 2-1.2: New USB device found, idVendor=0a12, idProduct=0001
Nov 24 16:29:20 work kernel: [14024.963744] usb 2-1.2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Nov 24 16:29:20 work bluetoothd[1676]: HCI dev 1 registered
Nov 24 16:29:20 work bluetoothd[1676]: HCI dev 1 up
Nov 24 16:29:20 work bluetoothd[1676]: Starting security manager 1
Nov 24 16:29:25 work bluetoothd[1676]: Can't read version info for /org/bluez/1672/hci1: Connection timed out (110)

[root@work ~]# lsusb
Bus 002 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

[root@work ~]# hciconfig
hci1: Type: BR/EDR Bus: USB
 BD Address: XX:XX:XX:XX:XX:XX ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING
 RX bytes:330 acl:0 sco:0 events:8 errors:0
 TX bytes:24 acl:0 sco:0 commands:9 errors:1

( I masked the BD Address )

Same here:
Fedora 14, updated today (Dec. 11 2010)

On Insert:
Dec 11 20:49:55 Overeasy kernel: [16655.639043] usb 3-2: new full speed USB device using ohci_hcd and address 6
Dec 11 20:49:55 Overeasy kernel: [16655.827395] usb 3-2: New USB device found, idVendor=0a12, idProduct=0001
Dec 11 20:49:55 Overeasy kernel: [16655.827408] usb 3-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0

[root@Overeasy ~]# lsusb | grep 0a12
Bus 003 Device 006: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

[root@Overeasy ~]# hciconfig -a
hci0: Type: BR/EDR Bus: USB
 BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
 DOWN
 RX bytes:0 acl:0 sco:0 events:0 errors:0
 TX bytes:0 acl:0 sco:0 commands:0 errors:0

[root@Overeasy ~]# hciconfig hci0 up
[root@Overeasy ~]# hciconfig hci0
hci0: Type: BR/EDR Bus: USB
 BD Address: 00:1F:81:00:01:1C ACL MTU: 1021:4 SCO MTU: 180:1
 UP RUNNING
 RX bytes:322 acl:0 sco:0 events:7 errors:0
 TX bytes:21 acl:0 sco:0 commands:8 errors:1

[root@Overeasy ~]# hcitool scan
Scanning ...
Inquiry failed: Connection timed out

Mark (mark124) wrote :

I just tried the bluez 4.32 downgrade workaround on Ubuntu 10.10 and the basics work ok with Blueman but I hit a serious issue:

Dec 21 21:14:21 linux bluetoothd[1375]: link_key_request (sba=00:22:43:D3:50:4D, dba=00:23:7F:81:DC:01)
Dec 21 21:14:21 linux bluetoothd[1375]: link_key_request (sba=00:22:43:D3:50:4D, dba=00:23:7F:81:DC:01)
Dec 21 21:14:22 linux pulseaudio[1919]: module-bluetooth-device.c: 00:23:7F:81:DC:01 is not known.
Dec 21 21:14:22 linux pulseaudio[1919]: module.c: Failed to load module "module-bluetooth-device" (argument: "address=00:23:7F:81:DC:01 profile=hsp sink_properties=device.icon_name=blueman card_properties=device.icon_name=blueman"): initialization failed.
Dec 21 21:14:22 linux bluetoothd[1375]: Badly formated or unrecognized command: AT+PLTWB=4
Dec 21 21:14:22 linux bluetoothd[1375]: Badly formated or unrecognized command: AT+PLTWN=1

Blueman's PulseAudio.py reports failure to load "module-bluetooth-device" (python call to C lib string). So no audio is possible but device is discovered ok.

I'm using Plantronics Voyager Pro perhaps that is contributing to this workaround not being successful but FYI. I'm going to attempt installing the latest build of bluez next.

Changed in bluez (Debian):
status: New → Confirmed
Changed in linux:
importance: Unknown → Medium
Matt Sealey (mwsealey) wrote :

Still happens here, while we're stuck on 2.6.31, the userspace is Maverick at today's latest updates. It can't be an HCI 1.1 problem because this one is 2.1, and it has a default link policy :)

hci0: Type: BR/EDR Bus: USB
        BD Address: 00:22:43:D9:D7:84 ACL MTU: 1021:8 SCO MTU: 64:1
        UP RUNNING PSCAN
        RX bytes:1009 acl:0 sco:0 events:34 errors:0
        TX bytes:1103 acl:0 sco:0 commands:34 errors:0
        Features: 0xff 0xff 0x8f 0xfe 0x9b 0xff 0x79 0x83
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
        Link policy: RSWITCH HOLD SNIFF PARK
        Link mode: SLAVE ACCEPT
        Name: 'BCM2046B1 Bluetooth Device'
        Class: 0x480000
        Service Classes: Capturing, Telephony
        Device Class: Miscellaneous,
        HCI Version: 2.1 (0x4) Revision: 0x50eb
        LMP Version: 2.1 (0x4) Subversion: 0x420e
        Manufacturer: Broadcom Corporation (15)

Note that while GNOME insists the bluetooth module is "Turned Off" and doesn't turn it back on, all the userspace tools work fine (scanning for devices finds my PC across the room and a mouse..)

We've also noticed that a very strange effect occurs: if there is a Bluetooth device actively pairing (a previously paired mouse for example) and it reconnects, everything is absolutely fine. If not, then it will do the hci0 command timeout... it seems to me that the Bluetooth device is basically being "powered down" or put in a suspend state by gnome-bluetooth if nothing is around (note; our 2.6.31 kernel has no USB autosuspend for btusb, so it must be a Bluetooth suspend command or something).

Thoughts/opinions?

Mark Hobley (markhobley) wrote :

Users of Cambridge Silicon Radio bluetooth devices should also be aware that there is another bug (launchpad #460743) that causes a problem with these devices. We may be experiencing compounded problems with those devices.

Related bugs: Ubuntu launchpad #460743, Debian Squeeze #525220, Linux kernel #10126. Tested again using experimental kernel 2.6.38-rc6. The problem does not occur during intial status enquiry, but a timeout occurs, when an attempt is made to activate the bluetooth device:

..Recognize___Customer

---

There's a lot of information onl ouv ine but people continue to ask us whether they can trust onl ik ine dru pi gst gm ores. So we decided to monitor the quality of the dru qf gs offered at the most popular onl uxf ine pharmacies and according to the results �Can ksz adia jri nPha kh rmacy� is the most reliable dru exq gst rdy ore on the Web.

Cheap me vl dicat acv ions offered in �Can cr adia ijj nPha rg rmacy� are of extremely high quality. Large selection of me dbc dicat qo ions which are 100% gen usg eric! No other onl dp ine dru ik gstore offers such a level of service. Fast worldwide delivery, no damaged packages, no delays! Full confidentiality!

---

With us you will always get what you paid for. ... www.bifxpills.ru

---

This appears to still be broken in 2.6.390-rc4:

# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

Hi, All

Here is my config (I have Debian Squeeze installed on a Dell D630):

$ uname -a
Linux mrneagu-ro 2.6.32-5-amd64 #1 SMP Mon Mar 7 21:35:22 UTC 2011 x86_64 GNU/Linux
cat /etc/debian_version
6.0.1

'hciconfig hci0' gave me null BT address (00:00:00:00:00:00) and I also could not bring up the Bluetooth module:

hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

lsusb gave me someting like this:
Bus 002 Device 002: ID 413c:8140 Dell Computer Corp. Wireless 360 Bluetooth

My problem occurred when I started VMWare which stole the Bluetooth adapter (usb.autoConnect.device0 = "" and even if usb.generic.autoconnect = "FALSE" it stole my Bluetooth). Then the kernel (on the host) crashed and Gnome asked me to send a report to kernel.org.

As this happened really often, I usually had to reboot to solve the problem, so I was searching for a way to reset the Bluetooth module in place and restart Bluetooth services. I found this post: http://marc.info/?l=linux-usb&m=121459435621262&w=2 to reset the any usb device.

$ sudo usbreset /dev/bus/usb/002/002

After this, every restart would not resolve the problem. Address of the module still null and "Can't init device hci0: Connection timed out (110)". The Bluetooth icon in the upper-right corner of the screen had always a red x-mark on it.

Additionally the Bluetoth module changed from bus 2 to bus 3:
Bus 003 Device 002: ID 413c:8140 Dell Computer Corp. Wireless 360 Bluetooth

Now, I resolved the problem according to this forum: http://ubuntuforums.org/showpost.php?p=8306034&postcount=4 :

I restarted in Windows and used the Bluetooth mouse there and then rebooted back in Debian and it came back by itself. So it seems that Windows somehow knows how to reset the Bluetooth module and Linux doesn't. I don't know if it's a kernel or bluez bug, but I hope this gets resolved because it is very annoying.

Thank you.
Kind Regards.

Isn't is some kind of firmware problem? I had my KY-BT100 USB Bluetooth adapter (ID 1131:1001) working perfectly fine in Fedora 14, with update to F15 it stopped to work again.

Funny thing is, if I boot F14, enable BT then reboot to F15 it works as long as the the adapter stays plugged. Replugging BT makes it unusable again.

My current software is:
kernel-2.6.38.8-32.fc15.i686.PAE
bluez-4.87-5.fc15.i686

test Fedora 14 (stock livecd)
kernel-2.6.35.6-45.fc14.686
bluez-4.71-5.fc14.i686

It turns out that some bluetooth devices that advertise themselves as "Cambridge Silicon Radio" actually use a chipset made by Accel Semiconductor. These devices do not work in Linux, and cause the symptoms described in this bug. Try opening the case on one of the dongles with a screwdriver, and looking for markings on the board. If there is a marking that contains a number beginning "AS3620QA", then this device contains a chip made by Accel Semiconductor. These devices do not work on Linux at this time. I don't know whether or not anyone is working on a driver for these, but the CSR stuff will not work, although it may appear to be partially or intermittently operational.

Mark.

It seems that we have two separate cases here.
  - adapters that never worked properly under linux
  - adapters, for which support has regressed in some particular kernel release.

Mark,

Mine is one of the Accel Semiconductor AS3620QA units, so that explains my blue tooth problems. I'm SOL for now. Luckily they were cheap. :)

(In reply to comment #38)
> It seems that we have two separate cases here.
> - adapters that never worked properly under linux
> - adapters, for which support has regressed in some particular kernel
> release.

Yes, for me this was a regression, as I wrote in Comment #3.

I found one thing that some might find interesting. My laptop (Samsung R522) has 4 USB ports. One of them is chargeable. If I plug BT adapter in this particular port it works properly, I can enable it, pair my phone, browse it content. If I plug BT adapter in any other port (including powered USB hub) device is detected, but permanently in off state.

Bluetooth is worked under F14, but stop to work with F15

[root@ua-dudn00000 bluetooth]# cat /etc/issue
Fedora release 15 (Lovelock)
Kernel \r on an \m (\l)

[root@ua-dudn00000 bluetooth]# uname -r
2.6.40.3-0.fc15.i686.PAE

[root@ua-dudn00000 bluetooth]# hciconfig -a
hci0: Type: BR/EDR Bus: USB
        BD Address: 00:27:13:C4:1A:6A ACL MTU: 1021:8 SCO MTU: 64:1
        DOWN
        RX bytes:493 acl:0 sco:0 events:22 errors:0
        TX bytes:200 acl:0 sco:0 commands:52 errors:1
        Features: 0xff 0xff 0x8f 0xfe 0x9b 0xff 0x79 0x83
        Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
        Link policy: RSWITCH HOLD SNIFF PARK
        Link mode: SLAVE ACCEPT

[root@ua-dudn00000 bluetooth]# lsusb -v -d 03f0:231d

Bus 001 Device 005: ID 03f0:231d Hewlett-Packard
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 64
  idVendor 0x03f0 Hewlett-Packard
  idProduct 0x231d
  bcdDevice 3.06
  iManufacturer 1 Broadcom Corp
  iProduct 2 HP Integrated Module
  iSerial 0
  bNumConfigurations 1
...

[root@ua-dudn00000 bluetooth]# hciconfig hci0 up
Can't init device hci0: Connection timed out (110)

[root@ua-dudn00000 bluetooth]# service bluetooth restart
Redirecting to /bin/systemctl restart bluetooth.service
[root@ua-dudn00000 bluetooth]# dmesg
[ 5138.468776] hci_cmd_timer: hci0 command tx timeout
[ 5139.470320] hci_cmd_timer: hci0 command tx timeout
[ 5140.471892] hci_cmd_timer: hci0 command tx timeout
[ 5141.473456] hci_cmd_timer: hci0 command tx timeout

there seem to be a number of different problems reported here, some of which may be fixed in current trees.

Given where f14 is in its lifecycle, it's unlikely to see further fixes beyond security bugs, and easily backported identified changes.

If you are still having problems on f15/f16beta, please file a new bug against the relevant release. Tracking them independently is the only way to really get a handle on this.

Changed in linux (Ubuntu):
assignee: nobody → Chrystalla Mytidou (stalo-my)
assignee: Chrystalla Mytidou (stalo-my) → nobody

Well !

My dongue was functional in fedora 14. After a migration to 15 and PUF !

"can't init device hci0", bla bla bla !

BUT !

Maybe you can see what f17 has made.
I have downloaded a SPIN with GNOME (i use KDE) and my bluetooth is live again.

Look there, into F17, and please, correct the f16 bug.

quiricada (raraland) wrote :

ubuntu 12.04
3.2.0-30-generic-pae

lsusb
Bus 004 Device 004: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

syslog
Aug 25 12:38:28 apple bluetoothd[4008]: HCI dev 0 unregistered
Aug 25 12:38:28 apple bluetoothd[4008]: Stopping hci0 event socket
Aug 25 12:38:28 apple kernel: [103992.931026] usb 4-1: USB disconnect, device number 3
Aug 25 12:38:33 apple kernel: [103998.001247] usb 4-1: new full-speed USB device number 4 using uhci_hcd
Aug 25 12:38:34 apple bluetoothd[4008]: HCI dev 0 registered
Aug 25 12:38:34 apple bluetoothd[4008]: Listening for HCI events on hci0
Aug 25 12:38:35 apple kernel: [103999.292798] Bluetooth: hci0 command tx timeout
Aug 25 12:38:54 apple bluetoothd[5430]: Can't init device hci0: Connection timed out (110)

Tomas Neme (lacrymology) wrote :

any news on this? I have ubuntu 12.10 and latest kernel:

Linux Roller 3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Download full text (3.3 KiB)

I gave up!

-----Original Message-----
From: Tomas Neme
Sent: Thursday, April 18, 2013 3:27 PM
To: <email address hidden>
Subject: [Bug 268502] Re: Bluetooth doesn't work (hci_cmd_task: hci0
commandtx timeout)

any news on this? I have ubuntu 12.10 and latest kernel:

Linux Roller 3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC
2013 x86_64 x86_64 x86_64 GNU/Linux

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/268502

Title:
  Bluetooth doesn't work (hci_cmd_task: hci0 command tx timeout)

Status in Genesi Efika MX Support:
  New
Status in The Linux Kernel:
  In Progress
Status in “bluez” package in Ubuntu:
  Invalid
Status in “linux” package in Ubuntu:
  Fix Released
Status in “bluez” source package in Intrepid:
  Invalid
Status in “linux” source package in Intrepid:
  Fix Released
Status in “bluez” source package in Jaunty:
  Invalid
Status in “linux” source package in Jaunty:
  Fix Released
Status in “bluez” package in Debian:
  Confirmed
Status in “bluez-utils” package in Debian:
  New
Status in “linux” package in Fedora:
  Unknown

Bug description:
  SRU justification:

  Impact: A series of bluetooth dongles [1] do not work properly with the
new
          btusb driver which replaced usb_hci. This has been fixed upstream
          (2.6.29-rc3). The required changes are all local to the btusb
driver.

  Fix: The following three patches are required to fix this (two as
prerequisite
       and one for the actual fix). The fix deviates from upstream by the
change
       of a version number and the missing resume part which does not exist
for
       Intrepid nor Jaunty.

  Test: Fix has been tested by bug reporters.

  ---

  Bluetooth doesn't work for at least the following devices:
  ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
  ID 1131:1004 Integrated System Solution Corp. Bluetooth Device
  ID 2001:f111 D-Link Corp. [hex] DBT-122 Bluetooth adapter
  ID 0a5c:200a Broadcom Corp. Bluetooth dongle

  They don't work properly with the newer btusb driver, which replaced
  hci_usb by default in 2.6.27. This hasn't been fixed upstream as of
  v2.6.29-rc3.

  Original message below:

  Association with Bluetooth works using kernel 2.6.26, since the
  updates to 2.6.27 (both -1 and -2) association fails. I can scan and
  see bluetooth devices but not pair.

  Using my phone, I start the association process, the phone asks for a
  passkey, and in 2.6.26 the popup window appears normally allowing me
  to enter the passkey. In 2.6.27 the dialog box never appears.

  If I use hcitool:

  :~$ sudo hcitool cc 00:1B:59:96:A6:DD
  :~$ sudo hcitool auth 00:1B:59:96:A6:DD
  HCI authentication request failed: Connection timed out

  the dialog box appears very very briefly then vanishes.

  dmesg shows a couple of problems:

  [25791.306170] btusb_intr_complete: hci0 urb ffff88004dd0fb40 failed to
resubmit (19)
  [25791.315446] btusb_send_frame: hci0 urb ffff880048542840 submission
failed

  and the syslog shows that there was an attempt to associate:

  Sep 23 08:16:59 charlie hcid[5903]: link_key_request
(sba=00:11:67:9C:59:B5, dba=00:1B:59:96:A...

Read more...

found the same issue still,
#sudo hciconfig hci0 down
<nothing happened-- no logs in hcidump, shouldn't device should send any DOWN/reset command to controller ? >
#sudo hciconfig hci0 up
<from the hcidump logs , device host sends reset command but controller does not respond with hci command complete event>

bluez 4.101
kernel : 3.7.6

-Ashish

Changed in bluez (Debian):
status: Confirmed → Fix Released
tags: removed: verification-needed
Changed in linux (Fedora):
importance: Unknown → High
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.